appModule.controller('comPersonController', ['$scope', 'appService', '$state', '$stateParams', '$ionicLoading', '$svDistrict', '$sce', '$compile', '$ionicHistory',
  function ($scope, appService, $state, $stateParams, $ionicLoading, $svDistrict, $sce, $compile, $ionicHistory) {
    //data
    $scope.stateName = $state.current.name;
    $scope.personId = $stateParams.personId;
    $scope.shareFlag = 9;
    $scope.person = null;
    var url = urlMap[$stateParams.personQuery];
    var whiteList = [
      { cityId: '210211', distName: '甘井子区' }
    ];
    /* root enterBefore */
    $scope.$on('changeDistrict', function (e, data) {
      if ($scope.stateName == $state.current.name) {
        var isOpen = $scope.isOpenAction(data);
        if (isOpen) $scope.getPersion();
      }
    });
    //method
    $scope.isOpenAction = function (data) {
      var goPage = function () { $state.go('home') }
      return $svDistrict.isOpenAction(data, whiteList, goPage);
    }
    $scope.getPersion = function () {
     /* if(1){
        $scope.person = {name:"负责人名",
        pic:"http://xn--5bvz82b.com:81/image_v1569396834286f.png",
        duties: "职位",
        officePhone: "12345689",
        introduction:"负责人简介,负责人简介,负责人简介. 负责人简介,负责人简介,负责人简介. 负责人简介,负责人简介,负责人简介. 负责人简介,负责人简介,负责人简介. 负责人简介,负责人简介,负责人简介."
        };
        return;
      }*/
      $scope.$emit('loading','show');
      appService.getData(url, { id: $scope.personId },
        function (results) {
          $scope.$emit('loading','hide');
          console.log(results[0]);
          var person = results[0];
          // person.pic = ((/http/i).test(person.pic) ? person.pic : $scope.pic + person.pic) || ($scope.pic + urlMap.defaultImg);
          person.name = person.partyMemberName || person.name || person.TITLE;
          person.duties = person.duties || person.DUTIES;
          person.pic = person.pic || person.pic_name || $scope.pic + urlMap.defaultImg;
          person.pic = (/http/i).test(person.pic) ? person.pic : $scope.pic + '/' + person.pic;
          person.officePhone = person.officePhone || person.phone || '无';
          person.introduction = $sce.trustAsHtml(person.contentText || person.CONTENTTEXT); //过滤
          $scope.person = person;
        });
    }
    //分享
    $scope.shareWX = function (id, person) {
      console.log("person:  " + person);
      if (typeof Wechat === "undefined") {
        alert("Wechat plugin is not installed.");
        return;
      }
      var scene, params = {};
      switch (id) {
        case 'SESSION':
          scene = Wechat.Scene.SESSION;
          break;
        case 'TIMELINE':
          scene = Wechat.Scene.TIMELINE;
          break;
      }
      params.scene = scene;
      params.message = {
        title: "[TEST]",
        description: "[TEST]Sending from test application",
        mediaTagName: "TEST-TAG-001",
        messageExt: "这是第三方带的测试字段",
        messageAction: "<action>dotalist</action>",
        media: {}
      };
      params.message.title = person.name + person.duties;//标题
      params.message.description = person.description || '';//副标题
      params.message.thumb = "https://cordova.apache.org/images/cordova_256.png";//微信分享 缩略图
      params.message.media.type = Wechat.Type.WEBPAGE || Wechat.Type.LINK; //网页链接
      params.message.media.webpageUrl = $.shareUrl + '/' + $scope.shareFlag + "?id=" + person.id;

      if (!!person.pic) {
        params.message.thumb = person.pic + "?" + (new Date()).getTime();
      }
      Wechat.share(params, function () {
      }, function (reason) {
      });
    }
    
  }
])
