appModule.controller('comTitlesListController', ['$scope', 'appService', '$state', '$stateParams',
  function ($scope, appService, $state, $stateParams) {
    //data
    $scope.stateName = $state.current.name;
    var url = urlMap[$stateParams.titlesQuery];
    $scope.domore;
    $scope.pageNext;
    $scope.articleArray = null;
    /* loaded */
    $scope.$on('$ionicView.loaded', function () {
      $scope.getTitlesList(0);
    });
    /* root enterBefore */
    $scope.$on('changeDistrict', function (e, data) {
      if ($scope.stateName == $state.current.name) {
      }
    });
    //method
    $scope.getTitlesList = function (page) {
      $scope.$emit('loading', 'show');
      if (page == 0 || page == 1) { //页面刷新时为0,下拉刷新时为1
        $scope.pageNext = 1;
        page = 1;
        $scope.domore = true;
      }
      var data = {
        TYPEFLAG: 1,
        page: page
      }
      appService.getData(url, data,
        function (results) {
          $scope.$emit('loading', 'hide');
          $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
          console.log(results.resultList);
          var list = results.resultList, length = list.length, size = results.size,
            articles = $scope.allArrays || []
            ;
          if (length < size) $scope.domore = false;
          else $scope.domore = true;
          if (length > 0) {
            for (var i = 0; i < length; i++) {
              var item = list[i], article = {};
              article.id = item.id;
              article.title = item.title || item.TITLE;
              articles.push(article);
            }
          }
          $scope.allArrays = articles;
        });
    }
    $scope.onInfinite = function () {
      if (!$scope.pageNext) return;
      $scope.getTitlesList(++$scope.pageNext);
    }
    //跳转到文章页
    $scope.getArticleDetail = function (id) {
      var articleUrl = 'queryGuideArticle';
      var params = {
        fromTab: $scope.tabIndex,
        articleQuery: articleUrl,
        id: id,
        whiteList: []
      }
      $state.go('comArticle', params);
    }
  }
])
