var DealCommodityModule = (function (model) {
    //发布商品_后台管理
    model.showAddDiv = function () {
        //查询交易分类信息
        AjaxFetchData({
            type: "get",
            url: config.url + "/thapp/commodity/queryCommodityAll_bg",
            data: {}
        }, function (jsonData) {
            var json = jsonData.resultList;
            var array = json;
            var sel = document.getElementById('categoryId');
            if (json == 'null') {
                sel.options.length = 1;
            } else {
                sel.options.length = 0;
                for (var i = 0; i < array.length; i++) {
                    sel.options.add(new Option(array[i].nameCh, array[i].id));
                }
            }

        });

        //重置添加交易内容
        $("#titleCh").val("");
        $("#titleEn").val("");
        UE.getEditor('content_rt').setContent("");

        //初始化地区下拉框
        initComplexArea('seachprov1', 'seachcity1', 'seachdistrict1', area_array, sub_array, '22', '2205', '0');
        changeCity(2205,'seachdistrict1','seachdistrict1');
        $("#seachdistrict1").val('220521');

        $("#addDealModal").modal("show");
    },
    model.saveDeal = function () {
        console.log("00000");
        if ($.trim($("#title_Ch").val()).length == 0) {
            alert('请输入标题！');
            return;
        }
        if (!UE.getEditor('content_rt').hasContents()) {
            alert('请输入商品内容！');
            //UM.getEditor('content_rt').focus();
            return;
        }
            var areaID = getAreaIDForAdd();
            if (areaID==0){
                areaID=null;
        }

        //发布商品
        AjaxFetchData({
            url: config.url + "/thapp/commodity/saveCommodity_bg",
            type: "post",
            data: {
                "titleCh": $("#title_Ch").val(),
                "titleEn": $("#title_En").val(),
                "content_rt": UE.getEditor('content_rt').getContent(),
                "categoryId": $("#categoryId").val(),
                "area_id": areaID

            }
        }, function (jsonData1) {
            console.log(jsonData1);
            //成功返回
            if (jsonData1) {
                $("#addDealModal").modal("hide");
                $("#ctrlDealTipModal").modal("show");
                //window.location.reload();
                queryNews();
            } else {
                //未成功发布商品
            }

        });
        $("#addDealModal").modal("show");
    }
    //查看交易详情
    model.lookDealItem = function (itemId) {
        if (itemId) {
            AjaxFetchData({
                type: "get",
                url: config.url + "/thapp/commodity/queryOneCommodityEdit",
                data: {id: itemId}
            }, function (jsonData1) {
                var jsonData = jsonData1[0];
                var type = jsonData.type;
                if (type == 2) {
                    $("#showNewsTitle").text(jsonData.titleCh);
                    $("#showNewsContent").text(jsonData.contentCh);
                    $("#scoreVideo").attr("src", config.vio + '/' + jsonData.picName);
                    $("#scoreVideo").attr("style", "display:block");

                    $("#price").text(jsonData.price);
                    $("#phone").text(jsonData.phone);
                    $("#seat").text(jsonData.seat);

                } else {

                    $("#pictures").empty();
                    $("#showNewsTitle").text(jsonData.titleCh);
                    $("#showNewsContent").text(jsonData.contentCh);
                    var imgStr = '<img  width="100%"  src= "' + config.pic + '/' + jsonData.picName + '"/>';
                    $("#pictures").append(imgStr);
                    $("#price").text(jsonData.price);
                    $("#phone").text(jsonData.phone);
                    $("#seat").text(jsonData.seat);


                }


                $("#lookDealModal").modal("show");
            })

        } else {
            //重置新闻信息
            $("#showNewsTitle").text("");
            $("#showNewsContent").text("");
            $("#price").text("");
            $("#phone").text("");
            $("#seat").text("");

            $("#lookNewsModal").modal("show");
        }

    },

        //删除详情
        model.delDealItem = function (itemId) {

        $("#delNewsTipModal").modal("show");
        $('#delNewsTipModal').find(".btn-primary").on('click', function () {
            $("#delNewsTipModal").modal("hide");
            AjaxFetchData({
                type: "post",
                url: config.url + "/thapp/commodity/delCommodityH",
                data: {
                    id: itemId
                }
            }, function (jsonData) {
                $("#delNewsTipModal").modal("hide");
                queryNews();
            })
        });
    };
    //修改详情
    model.editDealItem = function (itemId) {
        if (itemId) {
            AjaxFetchData({
                type: "get",
                url: config.url + "/thapp/commodity/queryDealMenuAll",
                data: {id: itemId}
            }, function (jsonData) {
                var sel = '';
                //为类别列表赋值
                $.each(jsonData.resultList, function (i, item) {
                    if (item.id == jsonData.deal_id) {
                        sel = 'selected'
                    } else {
                        sel = '';
                    }
                    $("#deal_id_edit").append("<option value='" + item.id + "' " + sel
                    + ">" + item.nameCh + "</option>");
                });
            });
            AjaxFetchData({
                type: "get",
                url: config.url + "/thapp/commodity/queryOneDeal",
                data: {id: itemId}
            }, function (jsonData) {

                $("#title_ch_edit").val(jsonData[0].title_ch);
                $("#title_en_edit").val(jsonData[0].title_en);
                $("#editDealId").val(jsonData[0].id);

                UE.getEditor('content_rt_edit').setContent(jsonData[0].content_rt);
                //为地区下拉框赋值
                var area_id = jsonData[0].area_id;
                var s = 0;
                var ss = 0;
                var q = 0;
                if (area_id.length == 6) {
                    s = area_id.substring(0, 2);
                    ss = area_id.substring(0, 4);
                    q = area_id.substring(0, 6);

                } else if (area_id.length == 4) {
                    s = area_id.substring(0, 2);
                    ss = area_id.substring(0, 4);
                }
                initComplexArea('seachprov2', 'seachcity2', 'seachdistrict2', area_array, sub_array, s, ss, q);
                changeComplexProvince(s, sub_array, 'seachcity2', 'seachdistrict2');
                changeCity(ss, 'seachdistrict2', 'seachdistrict2');
                $("#seachcity2").val(ss);
                $("#seachdistrict2").val(q);
            })

        } else {
            //重置
            $("#deal_id_edit").text("");
            $("#title_ch_edit").text("");
            $("#title_en_edit").text("");
            $("#content_rt_edit").html("");
        }

        $("#editDealModal").modal("show");

    },
        model.editDeal = function (itemId) {
            var area_id;
            if ($("#seachdistrict2").val() != "0" && $("#seachdistrict2").val() != null) {
                area_id = $("#seachdistrict2").val();
            } else if ($("#seachcity2").val() != "0") {
                area_id = $("#seachcity2").val();
            }

            if (area_id == '0' || area_id == undefined) {
                alert('请选择地区！');
                return;
            }
            if ($.trim($("#title_ch_edit").val()).length == 0) {
                alert('请输入标题！');
                return;
            }
            if (!UE.getEditor('content_rt_edit').hasContents()) {
                alert('请输入内容！');
                return;
            }

            var areaID_edit = getAreaIDForEdit();
            if (areaID_edit==0){
                areaID_edit=null
            }

            AjaxFetchData({
                type: "post",
                url: config.url + "/thapp/commodity/editCommodity",
                data: {
                    "id": itemId,
                    "title_ch": $("#title_ch_edit").val(),
                    "title_en": $("#title_en_edit").val(),
                    "content_rt": UE.getEditor('content_rt_edit').getContent(),
                    "Commodity_id": $("#deal_id_edit").val()
                }
            }, function (jsonData) {
                if (jsonData) {
                    $("#editDealModal").modal("hide");
                }
                console.log(jsonData);
                //$("#ctrlDealTipModal").modal("show");
                //window.location.reload();
                queryDeal();
            });
        }

        //查看交易详情
        model.lookDealItem = function (itemId) {
            AjaxFetchData({
                type: "get",
                url: config.url + "/thapp/commodity/queryOneDeal",
                data: {id: itemId}
            }, function (jsonData) {
                $("#showDealTitle").text(jsonData[0].title_ch);
                $("#showDealTitleEn").text(jsonData[0].title_en);
                $("#showDealClass").text(jsonData[0].deal_name);
                $("#showDealContent").html(jsonData[0].content_rt);

                //为地区下拉框赋值
                var area_id = jsonData[0].area_id;
                var s = 0;
                var ss = 0;
                var q = 0;
                if (area_id.length == 6) {
                    s = area_id.substring(0, 2);
                    ss = area_id.substring(0, 4);
                    q = area_id.substring(0, 6);
                } else if (area_id.length == 4) {
                    s = area_id.substring(0, 2);
                    ss = area_id.substring(0, 4);
                    //隐藏第三个下拉框
                    $("#seachdistrict3").hide();
                }
                initComplexArea('seachprov3', 'seachcity3', 'seachdistrict3', area_array, sub_array, s, ss, q);
                changeComplexProvince(s, sub_array, 'seachcity3', 'seachdistrict3');
                changeCity(ss, 'seachdistrict3', 'seachdistrict3');

                $("#seachcity3").val(ss);
                $("#seachdistrict3").val(q);

                $("#lookDealModal").modal("show");

            })
        },
        //置顶新闻
        model.topDealItem= function (itemId,isTop){
            $("#topDealTipModal").modal("show");
            $('#topDealTipModal').find(".btn-primary").on('click', function () {
                $("#topDealTipModal").modal("hide");
                AjaxFetchData({
                    type:"post",
                    url:config.url+"/thapp/commodity/topDeal",
                    data:{
                        _method:"GET",
                        id:itemId,
                        isTop:isTop
                    }
                },function(jsonData){
                    $("#topDealTipModal").modal("hide");
                    queryNews();
                })
            });
        };
    //表格操作列

    model.formatStr = function (jsonObj) {
        var zdstr = "置顶";
        if(jsonObj.isTop == '1') zdstr = "取消置顶";
        var temp = '<a href="#" class="alink" onclick="DealCommodityModule.lookDealItem(\'' + jsonObj.id + '\')"  >详情</a>';
        temp += '<a href="#" class="alink" onclick=" DealCommodityModule.editDealItem(\'' + jsonObj.id + '\');"  >修改</a>';
        temp += '<a href="#" class="alink" onclick="DealCommodityModule.delDealItem(\'' + jsonObj.id + '\');"  >删除</a>';
        temp += '<a href="#" class="alink" onclick="DealCommodityModule.topDealItem(\'' + jsonObj.id + '\',\'' + jsonObj.isTop+ '\');"  >' + zdstr +'</a>';


        return temp;
    };


    return model;

})(window.DealCommodityModule || {});


function queryNews() {
    var areaID = getAreaIDForQuery();
    if (areaID==0){
        areaID=null;
    }

    $("#comTable").tableExpand({
        tableClass: "comTable",
        url: config.url + "/thapp/commodity/queryCommodityByH",

        ajaxType: "get",
        items_per_page: 10,
        ajaxData: {
            titleCh: $("#newsTitle").val(),
            rows: "10",
            theader: [
                [
                    {
                        "width": "60",
                        "key": "index",
                        "title": "序号"
                    },
                    {
                        "key": "titleCh",
                        "title": "标题"
                    },

                    {

                        "key": "title_en",
                        "title": "副标题"
                    },

                    {

                        "key": "categoryName",
                        "title": "分类"
                    },

                    {
                        "width": 300,
                        "key": "operation",
                        "title": "操作",
                        "formatter": "DealCommodityModule.formatStr"
                    }
                ]
            ]
        }

    })

}
//得到添加地区码
    function getAreaIDForAdd() {
        var area = 0;
        if ($("#seachdistrict1").val() != "0" && $("#seachdistrict1").val() != null) {
            area = $("#seachdistrict1").val();
        } else if ($("#seachcity1").val() != "0") {
            area = $("#seachcity1").val();
        } else {
            area = $("#seachprov1").val();
        }
        return area;
    }
//得到查询地区码
    function getAreaIDForQuery() {
        var area = 0;
        if ($("#seachdistrict").val() != "0" && $("#seachdistrict").val() != null) {
            area = $("#seachdistrict").val();
        } else if ($("#seachcity").val() != "0") {
            area = $("#seachcity").val();
        } else {
            area = $("#seachprov").val();
        }
        return area;
    }
//得到修改地区码
    function getAreaIDForEdit() {
        var area = 0;
        if ($("#seachdistrict2").val() != "0" && $("#seachdistrict2").val() != null) {
            area = $("#seachdistrict2").val();
        } else if ($("#seachcity2").val() != "0") {
            area = $("#seachcity2").val();
        } else {
            area = $("#seachprov2").val();
        }
        return area;
    }
$(function () {

    //初始查询条件
    initComplexArea('seachprov', 'seachcity', 'seachdistrict', area_array, sub_array, '', '', '0');
    changeCity('0', 'seachdistrict', 'seachdistrict');
    $("#seachcity").append("<option value=''>请选择</option>");

    queryNews();
    $(".modal-dialog").find(".close").on("click", function () {
        $(this).parents('.modal').hide();
    });

    // $(".modal-dialog").find(".btn-primary").on("click", function () {
    //$(this).parents('.modal').hide();
    // })
    //实例化编辑器
    var ue = UE.getEditor('content_rt');
    var ue_edit = UE.getEditor('content_rt_edit');

    UE.Editor.prototype._bkGetActionUrl = UE.Editor.prototype.getActionUrl;
    UE.Editor.prototype.getActionUrl = function (action) {
        console.log("a:   " + action);
        if (action == 'doUploadImg' || action == 'screenAction' || action == 'doUpload' || action == 'uploadfile' || action == 'catchimage') {
            return config.url + '/thapp/hometown/doUpload?typeflag=1';   //上传图片
        } else if (action == 'doUploadVio') {
            return config.url + '/thapp/hometown/doUpload?typeflag=2';   //上传视频
        } else if (action == '/thapp/ueditor/ueditorConfig') {
            return config.url + '/thapp/ueditor/ueditorConfig'; //配置
        } else {
            return this._bkGetActionUrl.call(this, action);
        }
    };

    $("#queryBtn").on("click", function () {

        queryNews();

        setTimeout(function () {
            //console.log($("html,body").height());
            top.topIframeHeight('mainIframe', $("html,body").height());
        }, 1000)


    });


    $(".modal-dialog").find(".close").on("click", function () {
        $(this).parents('.modal').hide();
    })

    //$(".modal-dialog").find(".btn-primary").on("click", function () {
    //    $(this).parents('.modal').hide();
    //})

    $("#upNewsBtn").on("click", function () {
        DealCommodityModule.saveDeal();
    });

    $("#editDealBtn").on("click", function () {
        DealCommodityModule.editDeal($("#editDealId").val());
    });

    setTimeout(function () {
        //console.log($("html,body").height());
        top.topIframeHeight('mainIframe', $("html,body").height());
    }, 800);


})



