appModule.controller('DealDetailController', ['$scope', '$ionicPopup', '$stateParams', 'appService', '$state', '$sce', '$compile','$ionicHistory',
    function ($scope, $ionicPopup, $stateParams, appService, $state, $sce, $compile,$ionicHistory) { //首页

        console.log("交易商品详情参数:");
        console.log($stateParams);
        var userInfo = window.localStorage.getItem("userInfo");
        $scope.user = JSON.parse(userInfo);

        $scope.alert = function (info) {
            $ionicPopup.alert({
                title: '提示框',
                template: info
            });
        }
        $scope.detailId = $stateParams.id;
        // $scope.type = $stateParams.type;
        //新闻详情
        appService.getData(urlMap.getDealById, {id: $scope.detailId},
            function (jsonData) {
                //console.log(jsonData[0]);
                $scope.dealItem = jsonData[0];
                $scope.trustHtml = "";

                var content = $scope.dealItem.content_rt;
                //找到<img标签
                var reg = /<img[^>]*>/gi;
                // 匹配出html中的src属性
                var images = content.match(reg);

                //console.log("images:    "+images);
                //包含图片
                if (null != images) {

                    //隐藏掉不带图片的DIV
                    $("#showDealContent_other").hide();
                    //清空内容
                    $("#showDealContent_image").html();
                    //点击图片显示大图
                    new RTP.PinchZoom($('#pinchZoom'), {});
                    var winHeight = $(window).height();
                    var winWidth = $(window).width();
                    $('#pinchZoom').height(winHeight);
                    $('#pinchZoom').parents('.pinch-zoom-container')
                        .width(winWidth)
                        .height(winHeight);

                    //解析拼接内容
                    for (var i = 0; i < images.length; i++) {
                        var image = images[i];

                        var first = image.substr(0, image.indexOf(' ') + 1);
                        var next = image.substr(image.indexOf(' '));
                        var regSrc = /src=[\'\"]?([^\'\"]*)[\'\"]?/i;
                        var srcStr = image.match(regSrc);
                        // 将ng-click事件拼接到html中
                        var final = first + ' ng-click="showBigImage(' + "'" + srcStr[1] + "'" + ')"' + next;

                        //为适应点击图片放大，因此将width和height属性过滤掉
                        final = final.replace(/\s+((width)=[\'"]+[0-9]+[\'"]+)/, "");
                        final = final.replace(/\s+((height)=[\'"]+[0-9]+[\'"]+)/, "");

                        content = content.replace(image, final);

                        // 编译dom,使其在angularjs的监听下
                        $("#showDealContent_image").html($compile(content)($scope));
                    }
                }else{//没有匹配到图片
                    //隐藏掉带图片的DIV
                    $("#showDealContent_image").hide();
                    //清空内容
                    $("#showDealContent_other").html();
                    $scope.trustHtml = $sce.trustAsHtml($scope.dealItem.content_rt);
                }


                //var vio = jsonData[0].picName;
                //var type = jsonData[0].type;
                //$scope.dealItem.nickName = $stateParams.nickName;
                //console.log($scope.dealItem.content_rt);
                //$scope.trustHtml=$sce.trustAsHtml($scope.dealItem.content_rt);

                /*
                $("#jp_container_1").attr("style", "display:none");
                var portrait = $scope.dealItem.portrait;
                if(portrait!=null&&portrait!=""){
                    $scope.dealItem.portrait = $scope.pic + "/" + portrait;
                }else{
                    $scope.dealItem.portrait = $scope.pic +  urlMap.defaultImg;
                }
                if (type == "1") {
                    $("#pic").attr("src", $scope.pic + "/" + vio);
                    $("#jp_container_1").attr("style", "display:none");
                    $("#vio").attr("style", "display:none");
                    $("#pic").attr("style", "display:block");
                    $scope.bigImageSrc = $scope.pic + "/" + vio;

                    new RTP.PinchZoom($('#pinchZoom'), { minZoom: 0.2 });
                    var winHeight = $(window).height();
                    var winWidth = $(window).width();
                    $('#pinchZoom').height(winHeight);
                    $('#pinchZoom').parents('.pinch-zoom-container')
                        .width(winWidth)
                        .height(winHeight);

                } else if (type == "2") {
                    var pic = vio.substring(0, vio.length - 3);
                    pic = pic + "jpg";
                    var Poster = $scope.vio + "/" + vio.replace(/mp4/gi,"jpg");
                    //              $("#vio").attr("src", $scope.vio + "/" + vio);
                    //              $("#vio").attr("poster", $scope.vio + "/" + pic);
                    $("#jquery_jplayer_1").jPlayer({
                        ready: function() {
                            $(this).jPlayer("setMedia", {
                                m4v: $scope.vio + "/" + vio ,
                                poster: Poster
                            }).jPlayer('play');
                        },
                        ended: function() { // The $.jPlayer.event.ended event
                            $(this).jPlayer("play"); // Repeat the media
                        },
                        supplied: "m4v",
                        swfPath: "assets/swf",
                        supplied: "webmv, ogv, m4v, oga, mp3",
                        useStateClassSkin: true,
                        autoBlur: false,
                        smoothPlayBar: true,
                        keyEnabled: true,
                        audioFullScreen: true,
                        size: {
                            width: $(window).width() - 30 + "px",
                            height: "auto"
                        },
                        autohide: {
                            restored: false,
                            full: false

                        }
                    });
                    $("#vio").attr("style", "display:block");
                    $("#pic").attr("style", "display:none");
                    $("#jp_container_1").attr("style", "display:block");
                }
                -*/
            });
        $scope.pageNext = 1;
        $scope.queryLeaveMsg = function (pageIndex) {

            $.ajax({
                type: "post",
                url: urlMap.queryCommodityMessage,
                data: {page: pageIndex, replyType: -1, commodity_id: $scope.detailId},
                success: function (jsonDataArr) {
                    var jsonData = jsonDataArr[0].resultList;
                    if (pageIndex == 1) {
                        $scope.msgDataArr = [];
                        $scope.domore = false;
                    }
                    if (jsonData.length != 0) {
                        var dataItemArr = jsonData;
                        for (var i = 0; i < dataItemArr.length; i++) {

                            var portrait = dataItemArr[i].portrait;
                            if (portrait != null && portrait != "") {
                                dataItemArr[i].portrait = $scope.pic + "/" + portrait;
                            } else {
                                dataItemArr[i].portrait = $scope.pic + "/man.GIF";
                            }
                            $scope.msgDataArr.push(dataItemArr[i]);
                        }
                        $scope.pageNext = pageIndex + 1;

                        $scope.$broadcast('scroll.refreshComplete');
                        $scope.$broadcast('scroll.infiniteScrollComplete');

                    } else {
                        $scope.domore = true;
                        $scope.$broadcast('scroll.refreshComplete');
                        $scope.$broadcast('scroll.infiniteScrollComplete');
                    }


                }
            });

        }
        //下拉刷新
        $scope.doRefresh = function () {
            $scope.queryLeaveMsg(1);
        }
        $scope.doRefresh();
        //上拉加载
        $scope.onInfinite = function () {
            $scope.queryLeaveMsg($scope.pageNext);
        }

        $scope.delGoods = function () {

            var confirmPopup = $ionicPopup.confirm({
                title: '提示',
                template: '你确定要删除这条记录吗？',
                cancelText: '取消',
                okText: '确定'
            });
            confirmPopup.then(function (res) {
                if (res) {

                    appService.postData(urlMap.delCommodity, $scope.detailId,
                        function (delBoolean) {
                            if (delBoolean) {
                                $scope.alert("删除成功！");
                                window.location.href = "#/goods";
                            } else {
                                $scope.alert("删除失败！");
                            }
                        });

                } else {
                    console.log('返回！');
                }
            });
        }
        //点击放大图
        $scope.bigImage = false;
        $scope.showBigImage = function (imgSrcPath) {
            //console.log("imgSrcPath:   " + imgSrcPath);
            $scope.bigImage = true;
            // $scope.bigImageSrc = $scope.pic + "/" + imgSrcPath + "?" + (new Date()).getTime();
            $scope.bigImageSrc = imgSrcPath + "?" + (new Date()).getTime();
        };
        $scope.hideBigImage = function () {
            $scope.bigImage = false;
            $('#pinchZoom').parents('.pinch-zoom-container').hide();
        };
        $scope.loadBigImage = function () {
            $('#pinchZoom').parents('.pinch-zoom-container').show();
        }

        // 评论


        $scope.sendLeaveMsg = function () {
            var content = $("#content").val();

            if (content == '') {
                $scope.alert("请填写评论！");
                return;
            }
            var user_id = $scope.user.id;
            var user_name = $scope.user.userName;


            $.ajax({
                type: "post",
                url: urlMap.insertCommodityMessage,
                data: {
                    content: content,
                    commodity_id: $scope.detailId,
                    user_id: user_id,
                    user_name: user_name
                },
                success: function (jsonData) {

                    if (jsonData) {
                        $scope.alert("评论成功！");
                        $("#content").val("");
                        $scope.queryLeaveMsg(1);

                    }
                }
            });
        }

        $scope.shareWX = function (id, dealItem) {
            console.log(dealItem.picName);
            if (typeof Wechat === "undefined") {
                alert("Wechat plugin is not installed.");
            }
            var params = {
                scene: id
            };
            params.message = {
                title: "[TEST]",
                description: "[TEST]Sending from test application",
                mediaTagName: "TEST-TAG-001",
                messageExt: "这是第三方带的测试字段",
                messageAction: "<action>dotalist</action>",
                media: {}
            };

            params.message.title = dealItem.titleCh;//标题
            params.message.description = dealItem.titleEn;//副标题
            params.message.thumb = "https://cordova.apache.org/images/cordova_256.png";//微信分享 缩略图
            params.message.media.type = Wechat.Type.LINK;
            //params.message.media.webpageUrl = $scope.lsmCtx + '/share/doShare/7?id=' + dealItem.id;
            params.message.media.webpageUrl = 'zz.xn--5bvz82b.com/thapp/share/doShare/7?id=' + dealItem.id;

            if (dealItem.picName != null && dealItem.picName != "") {
                var url = dealItem.picName;
                /* var picname = dealItem.picName;
                 if(dealItem.type == 2) {
                     url = $scope.vio;
                     picname = picname.substring(0, picname.length - 3);
                     picname = picname + "jpg";
                 }*/
                //params.message.thumb = url + '/' + picname + "?" + (new Date()).getTime();
                params.message.thumb = dealItem.picName + "?" + (new Date()).getTime();
            }
            Wechat.share(params, function () {
//                alert("Success");
            }, function (reason) {
//                alert("Failed: " + reason);
            });
        }

    }
])