appModule.controller('MessageController', ['$scope', 'appService', '$ionicPopup', '$stateParams', '$ionicModal','$ionicHistory',
    function($scope, appService, $ionicPopup, $stateParams, $ionicModal,$ionicHistory) {
        var askUserId = $scope.user.id;
        $("#askUserId").val(askUserId);

        $scope.phones;
        $scope.$on('$ionicView.enter', function() {
            console.log("MessageController ionicView.enter");
            //获取部门Id
            $scope.departmentId = window.localStorage.getItem("departmentId");
            //部门列表
            appService.getData(urlMap.section, {}, function(newItems) {
                //debugger
                console.log("部门列表---->");
                console.log(newItems);
                for (var i = 0; i < newItems.length; i++) {
                    if (newItems[i]["id"] == $scope.departmentId) {
                        $scope.sectionItem = newItems[i];
                        break;
                    }
                }
            });


        })

        //获取部门Id
        $scope.departmentId = window.localStorage.getItem("departmentId");

        //添加留言
        $scope.addMessage = function() {

                //var areaID =getAreaID();
                var areaID = window.localStorage.getItem("areaID")
                $("#areaID").val(areaID);
                $("#departmentId").val($scope.departmentId);


                var picExt = ".jpg|.jpeg|.png|";
                var vioExt = ".mp4|.3gp|.avi|";
                var file = $("#file").val();

                var extName = file.substring(file.lastIndexOf(".")).toLowerCase(); //（把路径中的所有字母全部转换为小写）   

                if (picExt.indexOf(extName + "|") != -1) {
                    $("#type").val("1");
                }
                if (vioExt.indexOf(extName + "|") != -1) {
                    $("#type").val("2");
                }
                if ($("#file").val() == '') {
                    $("#type").val("0");
                }
                $("#messageForm").ajaxSubmit({
                    url: urlMap.sectionInspect,
                    type: "post",
                    dataType: "json",
                    success: function(saveBoolean) {

                        if (saveBoolean == 'true') {
                            $scope.showHint();
                            $("#messageForm")[0].reset();
                        }
                    },
                    error: function(xhr) {
                        alert(xhr.responseText);
                    }
                });
            }
            //留言成功
        $scope.showHint = function() {
            $ionicPopup.alert({
                title: '提示框',
                template: '提交成功'
            });
        }

        //结构介绍
        appService.getData(urlMap.section, {}, function(newItems) {
            $scope.newssItem = [];
            console.log("部门列表---->");
            console.log(newItems);
            $scope.phones = 123;
            for (var i = 0; i < newItems.length; i++) {
                if (newItems[i]["id"] == $scope.departmentId) {
                    $scope.sectionItem = newItems[i];


                    //部门列表
                    appService.getData(urlMap.sectionPhone, { areaId: window.localStorage.getItem("areaID"), departmentName: $scope.sectionItem.nameCh }, function(newItems) {
                        //                         console.log("部门手机列表");
                        //                         console.log(newItems);
                        $scope.phoneArr = [];
                        $scope.phoneInspect; //纪委电话号码
                        for (var i = 0; i < newItems["resultList"].length; i++) {
                            var itemObj = newItems["resultList"][i];
                            if (itemObj.departmentType == 0) {
                                $scope.phoneInspect = itemObj.departmentPhone;
                            } else {
                                $scope.phones = itemObj.departmentPhone;
                                $scope.phoneArr.push(itemObj);
                            }
                        }
                        var content =$scope.sectionItem.menuComment;
                        var contentArr = content.split("@image@");
                        var pictures =$scope.sectionItem.picName;
                        var picArr =  pictures.split(",");
                        var  resultList = [];
                        for(var i=0;i<picArr.length;i++)
                        {
                            var obj = new Object();
                            obj.pic = picArr[i];
                            obj.content = contentArr[i];
                            obj.type = 1;
                            resultList.push(obj);

                        }
                        $scope.newssItem.picList = resultList;
                        if(picArr.length==0){
                            document.getElementById("showmethem").hidden;
                        }

                    });
                    break;
                }
            }
        });

        $ionicModal.fromTemplateUrl('introDesc.html', {
            scope: $scope
        }).then(function(modal) {
            $scope.modal = modal;
        });

        $scope.showIntro = function($event) {
            console.log("机构介绍---->");
            console.log($scope.sectionItem);
            $scope.modal.show($event);
        }

        //部门电话列表
        $ionicModal.fromTemplateUrl('telList.html', {
            scope: $scope
        }).then(function(modal) {
            $scope.modal = modal;
        });

        //展示电话列表
        $scope.showTel = function() {
            $scope.modal.show();
        }
        $scope.goBack = function () {
          $ionicHistory.goBack();
       }


    }
])
