//新闻详情
appModule.controller('NewsDetailController', 
    ['$scope', '$stateParams', 'appService','$ionicHistory',

    function($scope, $stateParams, appService,$ionicHistory) {
        console.log("新闻详情参数:");
        console.log($stateParams);
        $scope.detailId = $stateParams.id;
        $scope.imgFlag = true;
        appService.getData(urlMap.homeNewsDetail, { id: $scope.detailId },
            function(jsonData) {
        		$scope.newsItem = [];
	        	$("#pic").hide();
	            $("#jp_container_1").attr("style", "display:block");
	            $("#contentCh").attr("style", "display:block");
            
               // console.log(jsonData);
                var vio = jsonData.picName;
                var type = jsonData.type;
                var Poster = $scope.vio + "/" + vio.replace(/mp4/gi,"jpg");
                	$scope.newsItem = jsonData;
                if (type == "2") {
                    $scope.imgFlag =false;
                    $("#jquery_jplayer_1").jPlayer({
                         ready: function() {
                             $(this).jPlayer("setMedia", {
                                 m4v: $scope.vio + "/" + vio,
                                 poster: Poster
                             }).jPlayer('play');
                         },
                         ended: function() { 
                             $(this).jPlayer("play");
                         },
                         supplied: "m4v",
                         swfPath: "assets/swf",
                         supplied: "webmv, ogv, m4v, oga, mp3",
                         useStateClassSkin: true,
                         autoBlur: false,
                         smoothPlayBar: true,
                         keyEnabled: true,
                         audioFullScreen: true,
                         size: {
                             width: $(window).width() - 30 + "px",
                             height: "auto"
                         },
                         autohide: {
                             restored: false,
                             full: false

                         }
                     });
                    
                }  else {
                	$("#pic").show();
               	 	$("#jp_container_1").attr("style", "display:none");
               	 	$("#contentCh").attr("style", "display:none");
               	 
                	var  content = jsonData.contentCh;
                	var  contentArr = content.split("@image@");
                	var  picArr = jsonData.picList;
                	var  resultList = [];
                	for(var i=0;i<picArr.length;i++)
                		{
                		 var obj = new Object();
                		     obj.pic = picArr[i];
                		     obj.content = contentArr[i];
                		     obj.type = 1;
                		     resultList.push(obj);     
                		
                		}
                	
                	 $scope.newsItem.picList = resultList;
                	 /*$scope.newsItem.time = jsonData.time;
                	 $scope.newsItem.titleCh = jsonData.titleCh;*/
                	 $scope.newsItem.id = jsonData.id;
                	 
                }
                
                new RTP.PinchZoom($('#pinchZoom'), { minZoom: 0.2 });
                var winHeight = $(window).height();
                var winWidth = $(window).width();
                $('#pinchZoom').height(winHeight);
                $('#pinchZoom').parents('.pinch-zoom-container')
                    .width(winWidth)
                    .height(winHeight);
            });




        //点击放大图
        $scope.bigImage = false;
        $scope.showBigImage = function(imgSrcPath) {
            //console.log(imgSrcPath);
            $scope.bigImage = true;
            $scope.bigImageSrc = $scope.pic + "/" + imgSrcPath + "?" + (new Date()).getTime();
        };
        $scope.hideBigImage = function() {
            $scope.bigImage = false;
            $('#pinchZoom').parents('.pinch-zoom-container').hide();
        };
        $scope.loadBigImage = function() {
            $('#pinchZoom').parents('.pinch-zoom-container').show();
        }
        
        
      //点击放大图
        /*$scope.bigImage = false;
        $scope.showBigImageNew = function() {
            $scope.bigImage = true;
            $('#pinchZoom').parents('.pinch-zoom-container').show();
        };*/
        
        $scope.shareWX = function(id, newsItem) {
        	if (typeof Wechat === "undefined") {
                alert("Wechat plugin is not installed.");
            }
        	var params = {
        		scene: id
            };
        	params.message = {
                title: "[TEST]",
                description: "[TEST]Sending from test application",
                mediaTagName: "TEST-TAG-001",
                messageExt: "这是第三方带的测试字段",
                messageAction: "<action>dotalist</action>",
                media: {}
            };
        	
        	params.message.title = newsItem.titleCh;
            params.message.description = newsItem.contentCh.substring(0, 35);
            params.message.thumb = "https://cordova.apache.org/images/cordova_256.png";
            params.message.media.type = Wechat.Type.LINK;
            params.message.media.webpageUrl = 'zz.xn--5bvz82b.com/thapp/share/doShare/1?id=' + newsItem.id;
            
            var url = $scope.pic;
    		var picname = "";
            if(newsItem.picList[0].pic == undefined) {
            	url = $scope.vio;
        		picname = newsItem.picName;
        		picname = picname.substring(0, picname.length - 3);
        		picname = picname + "jpg";
            }else {
            	if(newsItem.picList[0].pic != null && newsItem.picList[0].pic.length != 0) {
            		picname = newsItem.picList[0].pic;
            	}
            }
            
            params.message.thumb = url + '/' + picname + "?" + (new Date()).getTime();
        	
        	Wechat.share(params, function () {
//                alert("Success");
            }, function (reason) {
//                alert("Failed: " + reason);
            });
        } 
    }
])
