appModule.controller('OursController', ['$scope', 'appService', '$state','$ionicModal', function ($scope, appService, $state,$ionicModal) {
    $scope.$on('$ionicView.enter', function () {
        appService.getData(urlMap.ours, {}, function (jsonData) {
            console.log(jsonData);
            $scope.aboutItem = jsonData[0];
            // $scope.value = newLineBySign(jsonData[0]);
            //$scope.trustHtml = $sce.trustAsHtml($scope.aboutItem);
        });
    })
    $scope.newLineBySign = function (value) {
        // value = trim(value);
        value = value.trim();
        console.log(value.indexOf("\\n"));
        var result = '';
        if (value.indexOf("\\n") > 0) {
            result = value.replace(/(\\n)/g, "$1\n");
            result = result.replace(/(\\n)/g, "");
        }
        return result;
    }
    /*** 
    * 协议隐私模态框 
    */
   $scope.appAgreementModal = {};
    $ionicModal.fromTemplateUrl('appAgreementServicePrivacy.html', {
        scope: $scope,
        animation: 'slide-in-up'
    }).then(function (modal) {
        $scope.appAgreementModal.modal = modal;
    });
    $scope.openModalAppAgreementServicePrivacy = function (type) {
        $scope.appAgreementModal.modal.show();
        $scope.appAgreementModal.content = "载入中...";
        var url;
        if (type == '1') {
            $scope.appAgreementModal.title = '服务协议';
            url = urlMap.agreement;
        } else {
            $scope.appAgreementModal.title = '隐私政策';
            url = urlMap.privacyPolicy;
        }
        appService.getData(url, {
            time: (new Date()).getTime()
        }, function (result) {
            if (result && result[0]) {
                $scope.appAgreementModal.content = result[0].contentCh;
                return;
            }
            $scope.appAgreementModal.content = "载入失败，请联系客服。";
        }, function () {
            $scope.appAgreementModal.content = "载入失败，请检查您的网络，并稍后重试";
        });
    };
}])
