﻿//娱乐用户信息
angular.module('ngUserInfo', ['app_service']).
    directive(
        'userInfo', [function () {
            return {
                restrict: 'EA',
                replace: true,
                scope: {
                    userItem: '='
                },
                template: '<div class="user-info">' +

                    '<div class=" favour-box"><div class="fleft info">' +
                    '<img ng-src="{{userItem.portrait}}" alt="" /> ' +
                    '<strong>{{userItem.nickName||userItem.nickName }}</strong>' +
                    '</div>' +
                    '<span  class="fright favour active">{{userItem.favourNum}}</span>' +
                    '</div> ' +
                    '<p >' +
                    '<span ng-if="userItem.score == 2" ><i  title = "周冠军" class=" icon_week" ></i>周冠军</span>' +
                    '<span ng-if="userItem.score == 3" ><i  title = "月冠军" class=" icon_month"  ></i>月冠军</span>' +
                    '<span ng-if="userItem.titleEn==\'人气王\'" ><i   class=" icon-top" title = "人气王"></i>人气王</span></p></div>'
                ,
                link: function (scope, element, attrs) {


                }

            }
        }]).
    directive(
        'dealUser', [function () {
            return {
                restrict: 'EA',
                replace: true,
                scope: {
                    userItem: '='
                },
                template: '<div class="user-info" style="width:90%">' +
                    '<div class="fleft info">' +
                    '<img ng-src="{{userItem.portrait}}" alt="" /> ' +
                    //                '<strong>{{userItem.nickName==""?userItem.userName:userItem.nickName }}</strong>  ' +
                    '<strong style="width:110px;">{{userItem.titleCh==""?userItem.titleCh:userItem.titleCh }}</strong>  ' +
                    '</div></div>'
            }
        }]).

    /* directive(
        'hometownUser', [function() {
            return {
                restrict: 'EA',
                replace: true,
                scope: {
                    userItem: '='
                },
                template: '<div class="user-info" style="width:100%">' +
                    '<div class="fleft info">' +
                    '<img ng-src="{{userItem.portrait}}" alt="" /> ' +
                    '<strong style="">{{userItem.title_ch==""?userItem.title_en:userItem.title_ch }}</strong>  ' +
                    '</div></div>'
            }
        }]). */

    directive(
        'attentionUser', ['$state', 'appService', function ($state, appService) {
            return {
                restrict: 'EA',
                replace: true,
                scope: {
                    userItem: '=',
                    user: '='
                },
                template: '<div class="attentionUser">' +
                    '<div class="info" ng-click="vioStationAuthor(userItem)"">' +
                    '<img ng-src="{{userItem.portrait}}" alt="" />' +
                    '<strong>{{userItem.nickName==""?userItem.attentionUserName:userItem.nickName }}</strong>' +
                    '<a href="javascript:void(0);">查&nbsp;看</a></div>' +
                    '<a class="cancelAttention" href="javascript:void(0);"  ng-click="deleteAttention($event,userItem)" ><i class="icon ion-close-circled mr5"></i>取消关注</a>' +
                    '</div>',
                link: function (scope, element, attrs) {
                    scope.vioStationAuthor = function (author) {
                        $state.go("vioStationAuthor", { author: author });
                    }
                    //取消关注
                    scope.deleteAttention = function ($event, attentionObj) {
                        appService.getData(urlMap.deleteAttention, {

                            userId: scope.user.id, //点赞人id,
                            attentionUserId: attentionObj.attentionUserId
                        },
                            function (jsonData) {
                                $($event.target).parents(".attentionUser").remove();
                            });
                    }
                }
            }
        }])