appModule.controller('companyListController', ['$scope', 'appService', '$ionicScrollDelegate', '$state', '$stateParams', '$timeout',
  function ($scope, appService, $ionicScrollDelegate, $state, $stateParams, $timeout) {
    //data
    $scope.stateName = $state.current.name;
    $scope.iconName = $stateParams.iconName ? 'iconzz-' + $stateParams.iconName : null;
    $scope.searchKey;
    $scope.pageNext = 1;
    $scope.itemArr;
    $scope.domore = false;
    //加载
    $scope.$on('$ionicView.loaded', function () {
    });
    //广播 - 地域变换
    $scope.$on('changeDistrict', function (e, data) {
      if ($scope.stateName == $state.current.name) {
        if ($scope.areaId != $scope.publicCityId) {
          $scope.queryList(0);
          $scope.goTop();
        }
        $scope.areaId = $scope.publicCityId;
      }
    });
    $scope.queryList = function (page) {
      if (page == 0 || page == 1) {
        $scope.pageNext = 1;
        page = 1;
      }
      $scope.$emit('loading', 'show');
      $scope.companyList = page == 1 ? null : $scope.companyList;
      var data = {
        page: page,
        areaId: $scope.publicCityId,
        tjCompanyTypeId: $stateParams.typeId
      }
      appService.getData(urlMap.queryTJCompany, data,
        function (result) {
          $scope.$emit('loading', 'hide');
          $scope.$broadcast('scroll.refreshComplete');
          $scope.$broadcast('scroll.infiniteScrollComplete');
          console.log($scope.curCityName + "推介企业 :", result);
          $timeout(function(){
            $ionicScrollDelegate.resize();
          })
          var list = result.resultList, length = list.length, size = result.size,
            articles = $scope.companyList || [];
          if (length < size) $scope.domore = false;
          else { $timeout(function () { 
            $scope.domore = true;
            // $ionicScrollDelegate.resize(); 
          }) }
          if (length > 0) {
            for (var i = 0; i < length; i++) {
              var item = list[i], article = {};
              article.id = item.id;
              article.title = item.tjCompanyName;
              article.address = item.address;
              article.phone = item.phone == "<p>无</p>" || '无' ? null : item.phone;
              article.picName = item.pic_name||item.picName;
              if (i == 0) $scope.typeName = item.tjCompanyTypeName;
              articles.push(article);
            }
            $scope.companyList = articles;
          }
        });
    }
    //下拉刷新
    $scope.doRefresh = function (tabindex) {
      if (tabindex == 0) $scope.queryCompanyList($scope.activeFlag, 1);
      if (tabindex == 1) $scope.queryHometownList($scope.activeFlagHometown, 1);
    }
    //上拉加载
    $scope.onInfinite = function (tabindex) {
      if (tabindex == 0) $scope.queryCompanyList($scope.activeFlag, ++$scope.pageNext[0]);
      if (tabindex == 1) $scope.queryHometownList($scope.activeFlagHometown, ++$scope.pageNext[1]);
    }
    //下拉刷新
    $scope.doRefresh = function () {
      $scope.queryList(1);
    }
    //上拉加载
    $scope.onInfinite = function () {
      $scope.queryList(++$scope.pageNext);
    }

  }
])
