appModule.controller('SectionInspectController', ['$scope', 'appService', '$ionicPopup', '$stateParams', '$ionicModal', '$svDistrict', '$state', '$rootScope', function($scope, appService, $ionicPopup, $stateParams, $ionicModal, $svDistrict, $state, $rootScope) {
	//data//data
	$scope.stateName = $state.current.name;
	$scope.cityId;
	//广播 - 地域变换
	$scope.$on('changeDistrict', function(e, data) {
		if ($scope.stateName == $state.current.name) {
			$scope.cityId = data.cityId;
			var whiteList = [
				{ cityId: '220521', distName: '通化县' }
			]
			var goPage = function() { $state.go('leaveMsg', { areaID: '0' }) };
			$svDistrict.isOpenAction(data, whiteList, goPage);
		}
	});
	$scope.$on('$ionicView.enter', function() {
		$scope.querySectionPhone();
	});
	console.log("部门ID : " + $stateParams["id"]);
	$scope.departmentId = $stateParams["id"];

	$scope.addMessage = function() {
		//wyl add 2019-01-04 如果未登录，则跳转到登录页面
		if ($scope.user == null) {
			window.location.href = "#/login";
			return false;
		}
		var confirmPopup = $ionicPopup.confirm({
			title: '提示',
			template: '请勿虚假举报，否则将追究您的法律责任。',
			cancelText: '取消',
			okText: '确定'
		});
		confirmPopup.then(function(res) {
			if (res) {

				//  var areaID=window.localStorage.getItem("areaID");
				var areaID = $scope.cityId;
				$("#areaID").val(areaID);
				$("#departmentId").val($scope.departmentId);
				$("#askUserId").val($scope.user.id);
				var dataParam = {};
				/* if ($scope.beReporterName==undefined){
					 $scope.alert("请填写被举报人！");
					 return;
				 }
				 if ($scope.beReporterUnit==undefined){
					 $scope.alert("请填写被举报人单位！");
					 return;
				 }
				 if ($scope.beReporterDuties==undefined){
					 $scope.alert("请填写被举报人职务！");
					 return;
				 }
				 if ($scope.beReporterArea==undefined){
					 $scope.alert("请填写被举报人所在地区！");
					 return;
				 }*/
				if ($scope.askContent == undefined) {

					$scope.alert("举报内容不能为空！");
					return;
				}
				if ($scope.askContent != undefined) {
					if ($scope.askContent.length > 1500) {
						$scope.alert("内容不能超过1500字！");
						return;
					}
				}
				var local = $.trim($("#uploadFile").val());
				var picExt = ".jpg|.jpeg|.png|";
				var vioExt = ".mp4|.3gp|.avi|";
				if (local != "" || $("#uploadFileText").val() == "") { // 本地上传

					$scope.cameraFile = null;
					var ErrMsg;
					var file = $("#uploadFile").val();
					var extName = file.substring(file.lastIndexOf(".")).toLowerCase();//（把路径中的所有字母全部转换为小写）          
					if (picExt.indexOf(extName + "|") != -1) {
						$("#type").val("1");
					} else if (vioExt.indexOf(extName + "|") != -1) {
						$("#type").val("2");
					} else {
						if (picExt.indexOf(extName + "|") == -1) {
							ErrMsg = "该文件类型不允许上传。请上传 " + picExt + " 类型的文件，当前文件类型为" + extName;
							$scope.alert(ErrMsg);
							return;
						} else if (vioExt.indexOf(extName + "|") == -1) {
							ErrMsg = "该文件类型不允许上传。请上传 " + vioExt + " 类型的文件，当前文件类型为" + extName;
							$scope.alert(ErrMsg);
							return;
						}
					}
					if ($("#uploadFile").val() == '') {
						$("#type").val("0");
					}
					//$scope.alert("您已上传成功，后台正在审核，您可以选择浏览其它板块！");
					//$scope.alertTurn("您已上传成功，后台正在审核，请在5分钟后观看！","1");

					$("#messageForm").ajaxSubmit({
						url: urlMap.sectionInspect,
						type: "post",
						dataType: "json",
						success: function(saveBoolean) {
							if (saveBoolean == 'true') {
								$scope.alertTurn("您的举报纪检委后台已受理！", "1");
								$.get(urlMap.sendMessageForReportInfo, { areaID: areaID });
							} else {
								$scope.alert("上传失败，请到留言板留言！");
							}
						},
						error: function(xhr) {
							alert(xhr.responseText);
						},
						beforeSerialize: function() {
						},
						beforeSend: function() {
							//$("#progressNumber").html('0%');
						},
						uploadProgress: function(event, position, total, percentComplete) {/*//上传的过程
	       	                $("#progressNumber").html(percentComplete.toString() + '%');
		       	             if(percentComplete.toString() == "100") {
		 	       				$("#progressNumber").html("文件上传成功");
		 	       			}
	       	            */
							//	$("#messageForm")[0].reset();
							$scope.removeFile();
						}
					});

				} else if ($scope.cameraFile != null) {

					var ErrMsg;
					var file = $scope.cameraFile.name;
					var extName = file.substring(file.lastIndexOf(".")).toLowerCase();//（把路径中的所有字母全部转换为小写） 
					if (picExt.indexOf(extName + "|") != -1) {
						$scope.uploadFile($scope.cameraFile.name, $scope.cameraFile.fullPath, urlMap.sectionInspect, 1);
					} else if (vioExt.indexOf(extName + "|") != -1) {
						$scope.uploadFile($scope.cameraFile.name, $scope.cameraFile.fullPath, urlMap.sectionInspect, 2);
					} else {
						if (picExt.indexOf(extName + "|") == -1) {
							ErrMsg = "该文件类型不允许上传。请上传 " + picExt + " 类型的文件，当前文件类型为" + extName;
							$scope.alert(ErrMsg);
							return;
						} else if (vioExt.indexOf(extName + "|") == -1) {
							ErrMsg = "该文件类型不允许上传。请上传 " + vioExt + " 类型的文件，当前文件类型为" + extName;
							$scope.alert(ErrMsg);
							return;
						}
					}

				}


			}

			else {
				console.log('返回！！');
			}
		});


	}
	$scope.alert = function(info) {
		$ionicPopup.alert({
			title: '提示框',
			template: info
		});
	}
	$scope.alertTurn = function(info, turn) {
		var alertPopup = $ionicPopup.alert({
			title: '提示框',
			template: info
		});
		/* if(turn == 1) {
			alertPopup.then(function(res) {
				window.location.href = "#/section";
			});
		} */
	}
	//部门列表
	$scope.querySectionPhone = function() {
		appService.getData(urlMap.sectionPhone, { areaId: $scope.publicCityId }, function(newItems) {
			console.log("部门手机列表");
			console.log(newItems);
			$scope.phoneArr = [];
			$scope.phoneInspect;//纪委电话号码

			for (var i = 0; i < newItems["resultList"].length; i++) {
				var itemObj = newItems["resultList"][i];
				if (itemObj.departmentType == 0) {
					$scope.phoneInspect = itemObj.departmentPhone;
				} else {
					$scope.phoneArr.push(itemObj);
				}
			}

		});

	}
	//部门电话列表
	$ionicModal.fromTemplateUrl('telList.html', {
		scope: $scope
	}).then(function(modal) {
		$scope.modal = modal;
	});

	//展示电话列表
	$scope.showTel = function() {
		$scope.modal.show();
	}


	$scope.vioCapture = function() {
		if ($scope.user == null) {
			window.location.href = "#/login";
			return false;
		}
		//开始录像(最长录制时间:60秒)
		navigator.device.capture.captureVideo(vioSuccess, onError);

		//视频录制成功
		function vioSuccess(mediaFiles) {
			var i, path, len;
			//遍历获取录制的文件(iOS只支持一次录制一个视频或音频)
			for (i = 0, len = mediaFiles.length; i < len; i += 1) {
				path = mediaFiles[i].fullPath;
				//                alert("录制成功！\n\n"
				//                             + "文件名:" + mediaFiles[i].name + "\n"
				//                             + "大小:" + mediaFiles[i].size + "\n\n"
				//                             + "localURL地址:" + mediaFiles[i].localURL + "\n\n"
				//                             + "fullPath地址:" + path);
				//$scope.uploadFile(mediaFiles[i].name, path, urlMap.sectionInspect, 2);
				//$scope.alert("录像【" + mediaFiles[i].name + "】已保存至本地，请选择本地文件上传。");
				//$scope.clear();
				$scope.removeFile();
				$("#uploadFileText").val(mediaFiles[i].name);
				$scope.cameraFile = mediaFiles[i];
			}
		}

		//录制失败
		function onError(error) {
			if (error.code != 3)
				$scope.alert('录制视频失败！错误码:' + error.code);
		}
	}

	$scope.picCapture = function() {
		if ($scope.user == null) {
			window.location.href = "#/login";
			return false;
		}

		// limit 拍照的张数  
		navigator.device.capture.captureImage(picSuccess, onError, { limit: 1 });

		//照片拍摄成功
		function picSuccess(mediaFiles) {
			var i, path, len;
			//遍历获取录制的文件(iOS只支持一次录制一个视频或音频)
			for (i = 0, len = mediaFiles.length; i < len; i += 1) {
				path = mediaFiles[i].fullPath;
				//		                alert("录制成功！\n\n"
				//		                             + "文件名:" + mediaFiles[i].name + "\n"
				//		                             + "大小:" + mediaFiles[i].size + "\n\n"
				//		                             + "localURL地址:" + mediaFiles[i].localURL + "\n\n"
				//		                             + "fullPath地址:" + path);
				//$scope.alert("照片【" + mediaFiles[i].name + "】已保存至本地，请选择本地文件上传。");
				//$scope.uploadFile(mediaFiles[i].name, path, urlMap.sectionInspect, 1);

				//$scope.clear();
				$scope.removeFile();
				$("#uploadFileText").val(mediaFiles[i].name);
				$scope.cameraFile = mediaFiles[i];

			}
		}
		//录制失败
		function onError(error) {
			if (error.code != 3)
				$scope.alert('拍照失败！错误码:' + error.code);
		}
	}



	// type 1:图片 2：视频
	$scope.uploadFile = function(fileName, path, url, type) {


		/*       	 if ($("#beReporterName").val()==''){
						  $scope.alert("请填写被举报人！");
						  return;
					  }
					  if ($("#beReporterUnit").val()==''){
						  $scope.alert("请填写被举报人单位！");
						  return;
					  }
					  if ($("#beReporterDuties").val()==''){
						  $scope.alert("请填写被举报人职务！");
						  return;
					  }
					  if ($("#beReporterArea").val()==''){
						  $scope.alert("请填写被举报人所在地区！");
						  return;
					  }*/
		if ($("#askContent").val() == '') {

			$scope.alert("举报内容不能为空！");
			return;
		}
		if ($("#askContent").val() != '') {
			if ($("#askContent").val().length > 1500) {
				$scope.alert("内容不能超过1500字！");
				return;
			}
		}

		//$scope.alert("您已上传成功，后台正在审核，您可以选择浏览其它板块！");
		//$scope.alertTurn("您已上传成功，后台正在审核，请在5分钟后观看！","1");
		$scope.alertTurn("您的举报纪检委后台已受理！", "1");
		//var areaID =getAreaID();
		var areaID = $scope.cityId;
		var params = {};
		params.departmentId = $scope.departmentId;
		params.askContent = $scope.askContent;
		params.askUserId = $scope.user.id;

		params.reporterName = $scope.reporterName;
		params.reporterTel = $scope.reporterTel;
		params.reporterEmail = $scope.reporterEmail;

		params.reporterArea = $scope.reporterArea;
		params.reporterAddress = $scope.reporterAddress;
		params.beReporterName = $scope.beReporterName;


		params.beReporterUnit = $scope.beReporterUnit;
		params.beReporterDuties = $scope.beReporterDuties;
		params.beReporterArea = $scope.beReporterArea;

		params.type = type;

		params.areaID = areaID;


		/*  console.log(url);
		  console.log(params);*/

		var ft = new FileTransfer();
		var options = new FileUploadOptions();

		options.fileKey = "file";
		//           		if(type == 1) {
		//           			options.mimeType = "image/jpeg";
		//           		}else if(type == 2) {
		//           			options.mimeType = "video/mp4";
		//           		}
		options.mimeType = "multipart/form-data";
		options.fileName = fileName;
		options.params = params;

		//传输进度  
		ft.onprogress = function(progressEvent) {/*
           			if (progressEvent.lengthComputable) { 
               			 var percentComplete = Math.round(progressEvent.loaded * 100 / progressEvent.total);
               			$("#progressNumber").html(percentComplete.toString() + '%');
               			if(percentComplete.toString() == "100") {
               				if(type == "1") {
               					$("#progressNumber").html("图片上传成功");
           					}else if(type == "2") {
           						$("#progressNumber").html("视频上传成功");
           					}
               			}
                     }
                     else {
                    	 $("#progressNumber").html('unable to compute');
                     }
           		*/};
		ft.upload(path, url,
			function() {

				//$scope.alert("您已上传成功，后台正在审核，您可以选择浏览其它板块！");
				if (type != 1 && type != 2) {
					$scope.alert("文件上传失败，请到留言板留言！");
				}
				/*if(type == "1") {
					$scope.alert("举报成功！");
				}else if(type == "2") {
					$scope.alert("举报成功！");
				}
				$("#progressNumber").html("");*/
				// $("#messageForm")[0].reset();
			},
			function() {/*
           					if(type == "1") {
           						$scope.alert("图片上传失败");
           					}else if(type == "2") {
           						$scope.alert("视频上传失败");
           					}
           					$("#progressNumber").html("");
           				*/},
			options)


	};

	$scope.removeFile = function() {

		var file = $("#uploadFile");
		if (file.outerHTML) {
			file.outerHTML = file.outerHTML;
		}
		else {
			file.value = "";
		}
		$("#uploadFileText").val("");
	}
	$scope.clear = function() {
		$scope.removeFile();
	}
	$scope.fileChangeEvent = function() {
		$("#uploadFileText").val($("#uploadFile").val());
	}

	/*//文件上传 
	$scope.fileChangeEvent = function(){
	   $("#inspectFileText").val($("#inspectFile").val());
	}
	 */

}])
