

appModule.controller('articleListLevel4Controller', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$stateParams', '$ionicScrollDelegate', function ($scope, $rootScope, $state, appService, $timeout, $stateParams, $ionicScrollDelegate) {
  $scope.stateName = $state.current.name;
  $mScope = $scope.$parent;
  $mScope.currentFun = 'funlist';
  $scope.pageNext = [];
  $scope.domore=[];
  $scope.allArrays = {}
  $scope.$on('$stateChangeStart',
    function (event, toState, toParams, fromState, fromParams) {
      //离开本页
      $mScope.backState = $scope.stateName;
    })
  $scope.$watch('queryNavRootIndex', function (n, o) {
    if (!(n >= 0)) return;
    console.log(n)
    $scope.tabIndex = n;
    $scope.queryFLArray($scope.tabIndex, 0);
  });
  $scope.queryFLArray = function (tabindex, page) {
    if (!(tabindex >= 0)) return;
    if (page == 0 || page == 1) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext[tabindex] = 1;
      page = 1;
      $scope.allArrays['tab' + tabindex] = null;
      var delegate = $ionicScrollDelegate.$getByHandle('articlesListScroll');
      delegate.scrollTop();
    }
    $scope.$emit('loading', 'show');
    var data = {
      level: $scope.district.level,
      districtId: $scope.district.id,
      rootMenu: $scope.queryNavRootIndex,//2动态, 3党建, 4服务
      page: page
    }
    appService.getData(urlMap.intelligentDArticlesForHomeModule, data, function (results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      console.log($scope.activeNavRootObj.name, ' 文章列表: ', results);
      var list = results.resultList, length = list.length, size = results.size,
        articles = $scope.allArrays['tab' + tabindex] || []
        ;
      if (length < size) $scope.domore[tabindex] = false;
      else {
        $timeout(function () {
          $scope.domore[tabindex] = true;
        }, 200)
      }
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i], article = {};
          article = item;
          article.id = item.id;
          article.title = item.title;
          article.subMenuName = item.subMenuName;
          article.summary = $('<div>' + item.textcontent + '</div>').text().replace(/\s+/g, '');
          article.pic_name = item.picName || item.pic_name || $scope.pic + urlMap.defaultUpload;;
          article.createTime = item.picName || item.createTime;
          articles.push(article);
        }
      }
      $scope.allArrays['tab' + tabindex] = articles;
    });
  }
  $scope.doRefresh = function () {
    $scope.queryFLArray($scope.tabIndex, 0);
  }
  $scope.onInfinite = function () {
    var n = $scope.tabIndex;
    if (!$scope.pageNext[n]) return;
    $scope.queryFLArray(n, ++$scope.pageNext[n]);
  }
  $scope.getArticleDetail = function (id) {
    $state.go('intelligentDArticleDetail', { id: id, shareFlag: 14, queryUrl: 'intelligentDArticlesDetail' })
  }
}]);

