
appModule.controller('intelligentDMsgDetailController', ['$scope', '$stateParams', 'appService',
function ($scope, $stateParams, appService) {
  console.log($stateParams);
  var url = urlMap.intelligentDMsgDetail;
  $scope.detailId = $stateParams.id;
  $scope.readType = $stateParams.readType;
  $scope.$on('$ionicView.enter', function () {
    $scope.getMsgDetail();
  })
  $scope.getMsgDetail = function () {
    $scope.$emit('loading','show');
    appService.getData(url, { id: $scope.detailId },
      function (jsonData) {
        $scope.$emit('loading','hide');
        if($scope.readType == 0){$scope.myMessageCountFn(--$scope.myMessageTotalCount);}
        var portrait = jsonData.portrait;
        if (portrait != null && portrait != "") {
          jsonData.portrait = $scope.pic + "/" + portrait;
        } else {
          jsonData.portrait = $scope.pic + urlMap.defaultImg;
        }
        $scope.msgItem = jsonData;
      });
  }

}
])

