

appModule.controller('intelligentDFuncOrgController', ['$scope', '$state', 'appService', '$timeout', '$ionicScrollDelegate', '$sce', function($scope, $state, appService, $timeout, $ionicScrollDelegate, $sce) {
  $scope.stateName = $state.current.name;
  $mScope = $scope.$parent;
  $mScope.currentFun = 'org';
  $scope.pageNext = [];
  $scope.domore = [];
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.members = null;
  $scope.curMember = null;
  $scope.person = null;
  $scope.showPerson = null;
  $scope.curMember = null;
  $scope.$on('$stateChangeStart',
    function(event, toState, toParams, fromState, fromParams) {
      //离开本页
      $mScope.backState = $scope.stateName;
      $mScope.viewGoback = $rootScopeViewGoback;
    })
  $scope.$watch('districtForFuncList', function(n) {
    if (!n) return
    $scope.queryArray(0);
  });
  $scope.queryArray = function(page) {
    if (page < 2) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext = 1;
      page = 1;
    }
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.scOrg, {
      mid: 1,
      productId: $scope.productId,
      regionId: $scope.districtForFuncList.id,
      pid: 0,
    }, function(results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      if (page == 1) {
        $scope.articlesArray = null;
        var delegate = $ionicScrollDelegate.$getByHandle('articlesListScroll');
        delegate.scrollTop();
      }
      var list = results.data, length = list.length
      /*   articles = $scope.allArrays['tab' + tabindex] || []
        ;
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i], article = {};
          article.id = item.id;
          article.title = item.title;
          article.subMenuName = item.subMenuName;
          article.summary = $('<div>' + item.textcontent + '</div>').text().replace(/\s+/g, '');
          article.pic_name = item.picName || item.pic_name || $scope.pic + urlMap.defaultUpload;;
          article.createTime = item.picName || item.createTime;
          articles.push(article);
        }
      } */
      $scope.articlesArray = list;
    });
  }
  $scope.doRefresh = function() {
    $scope.queryArray(1);
  }
  $scope.onInfinite = function() {
    $scope.queryArray(++$scope.pageNext);
  }
  $mScope.viewGoback = function() {
    if ($scope.showPerson) $scope.showPerson = false;
    else $rootScopeViewGoback();
  }
  /* 组织人员 */
  $scope.getPersons = function(org) {
    $scope.showPerson = true;
    $scope.person = null;
    $scope.$emit('loading', 'show');
    var data = {
      orgId: org.id, //部门id
      page: 0,
      size: 999
    };
    appService.getData(urlMap.scOrgPerson, data,
      function(results) {
        $scope.$emit('loading', 'hide');
        var list = results.data;
        $scope.members = list;
        var per = list[0]
        per.orgName = org.name
        $scope.getPersionDetail(list[0], 0)
      })
  }
  $scope.getPersionDetail = function(per, index) {
    $scope.curMember = index;
    per.introductions = per.introductions || $sce.trustAsHtml(per.details);
    $scope.person = per;
  }
}]);

