
appModule.controller('intelligentDFuncPropertyController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', function ($scope, $rootScope, $state, appService, $timeout, $stateParams, $ionicPopup) {
  $mScope = $scope.$parent;
  $mScope.currentFun = 'property';
  $scope.stateName = $state.current.name;
  $scope.dataList;
  $scope.curPage = 0;
  $scope.domore;
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.$on('$stateChangeStart',
    function (event, toState, toParams, fromState, fromParams) {
      $mScope.backState = $scope.stateName;
      $mScope.viewGoback = $rootScopeViewGoback;
    })
  $scope.$watch('districtForFuncList', function (n) {
    if (!n) return
    $scope.queryArray(0);
  })
  $scope.queryArray = function (page) {
    if (page < 1) { //页面刷新时为0,下拉刷新时为1
      $scope.curPage = 0;
      page = 0;
      $scope.dataList = null;
    } $scope.domore = false;
    $scope.$emit('loading', 'show');
    appService.get(urlMap.scProperty, {
      userPhone: ($scope.user && $scope.user.telephone || 000),
      regionId: $scope.districtForFuncList.id,
      productId: $mScope.productId || 3,
      state: 1,
      page: page
    }, function (res) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      if (!res) return;
      var list = res.data, length = list.length, size = 10,
        articles = $scope.dataList || []
        ;
      if (length == size) $scope.domore = true;
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i];
          // item.summary = item.summary || $('<div>' + item.profile + '</div>').text().replace(/\s+/g, '').slice(0, 30);
          articles.push(item);
        }
      }
      $scope.dataList = articles;
    }, function (error, errorCode) {
      $scope.dataList = [];
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
    });
  }
  $scope.doRefresh = function () {
    $scope.queryArray(0);
  }
  $scope.onInfinite = function () {
    $scope.domore = false;
    $scope.queryArray(++$scope.curPage);
  }
  $scope.alert = function (info, queryAgain, callback) {
    $ionicPopup.alert({
      title: '提示框',
      template: info
    }).then(function (res) {
      if (queryAgain)
        $scope.queryArray(0);
      callback && callback();
    });
  }
  $scope.goDetail = function (item) {
    $state.go('scProperty', {
      regionId: $scope.districtForFuncList.id,
      // nav3: $stateParams.nav3,
      propid: item.id,
      isAdmin: item.isAdmin
    })
  }
}]);

