appModule.controller('jiweiListController', ['$scope', 'appService', '$state', '$timeout', '$stateParams', '$ionicScrollDelegate', function($scope, appService, $state, $timeout, $stateParams, $ionicScrollDelegate) {
  $scope.stateName = $state.current.name;
  $mScope = $scope.$parent;
  $mScope.pageClass = 'list';
  $scope.module = $stateParams.module
  $scope.api = $scope.module.api
  $scope.apiParams = $scope.module.param && JSON.parse($scope.module.param) || {}
  $scope.pageName = $scope.module.name
  $mScope.curMenuKey = $scope.curMenuKey = $scope.module.id
  $scope.articles
  $scope.pageNext = 0
  $scope.domore = true
  $rootScopeViewGoback = $scope.viewGoback;
  if ($mScope.cacheScope && $mScope.cacheScope.curMenuKey == $scope.curMenuKey) {
    $scope.domore = $mScope.cacheScope.domore
    $scope.pageNext = $mScope.cacheScope.pageNext
    $scope.articles = $mScope.cacheScope.articles
  }
  $scope.$on('$stateChangeStart',
    function(event, toState, toParams, fromState, fromParams) {
      $mScope.backState = $scope.stateName;
      $mScope.backStateParams = $stateParams;
      $mScope.viewGoback = $rootScopeViewGoback;
    })
  $scope.queryList = function(page) {
    $scope.apiParams.page = page
    var api = $.ctxZz + $scope.api
    appService.getData(
      api, $scope.apiParams,
      function(result) {
        $scope.domore = false;
        $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        if (page < 1) {
          $scope.articles = null
        }
        var arts = result.data
        var list = arts, length = list.length, size = result.size,
          articles = $scope.articles || []
          ;
        if (length >= size) $timeout(function() {
          $scope.domore = true;
        })
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i]
            item.publishtime = noralDate(item.publishtime)
            articles.push(item);
          }
        }
        $scope.articles = articles
      }
    );
  }
  $scope.doRefresh = function() {
    $scope.pageNext = 0
    $scope.queryList($scope.pageNext++);
  }
  $scope.onInfinite = function() {
    $scope.queryList($scope.pageNext++);
  }
  $scope.goArtDetail = function(art) {
    $scope.goState('jiweiArticle', { module: $scope.module, id: art.id, crumbs: $scope.pageName })
  }
  function noralDate(timeStamp) {
    var date = new Date(timeStamp * 1000)
    var YY = date.getFullYear() + '-'
    var MM = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
    var DD = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate());
    return YY + MM + DD
  }
  $mScope.cacheScope = $scope
}
])