appModule.controller('jiweiArtListController', ['$scope', 'appService', '$state', '$timeout', '$stateParams', '$ionicScrollDelegate', function($scope, appService, $state, $timeout, $stateParams, $ionicScrollDelegate) {
  $scope.module = $stateParams.module
  $scope.api = $stateParams.module.api
  $scope.apiParams = $scope.module.param && JSON.parse($scope.module.param) || {}
  delete $scope.apiParams.size
  delete $scope.apiParams.staytop
  $scope.pageName = $stateParams.pageName
  $scope.stateName = $state.current.name;
  $scope.articles
  $scope.pageNext = 0
  $scope.domore = true
  $scope.$on('$ionicView.enter', function() {
  });
  $scope.goArtDetail = function(id,art) {
    $scope.goState('jiweiArticle', { module: $scope.module, id: id, crumbs: $scope.pageName })
  }
  $scope.queryList = function(page) {
    $scope.apiParams.page = page
    var api = $.ctxZz + $scope.api
    appService.getData(
      api, $scope.apiParams,
      function(result) {
        $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        $scope.domore = false;
        if (page < 1) {
          $scope.articles = null
        }
        var arts = result.data
        var list = arts, length = list.length, size = result.size,
          articles = $scope.articles || []
          ;
        if (length >= size) $timeout(function() {
          $scope.domore = true;
        }, 500)
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i]
            item.publishtime = noralDate(item.publishtime)
            articles.push(item);
          }
        }
        $scope.articles = articles
      }
    );
  }
  $scope.doRefresh = function() {
    $scope.queryList(0);
    $scope.pageNext = 1
  }
  $scope.onInfinite = function() {
    $scope.queryList($scope.pageNext++);
  }
  function noralDate(timeStamp) {
    var date = new Date(timeStamp * 1000)
    var YY = date.getFullYear() + '-'
    var MM = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
    var DD = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate());
    return YY + MM + DD
  }
}
])