appModule.controller('jiweiSearchController', ['$scope', '$stateParams', 'appService', '$state', '$timeout', '$ionicScrollDelegate', '$document', '$sce', '$ionicPopup', function($scope, $stateParams, appService, $state, $timeout, $ionicScrollDelegate, $document, $sce, $ionicPopup) {
    //data
    $scope.stateName = $state.current.name;
    $scope.userId = $scope.user && $scope.user.id;
    $scope.searchPlaceholder = "请输入关键字";
    $scope.anchorStates;
    // $scope.searchKey = $stateParams.searchKey || 'all';
    $scope.allArrays;
    // $scope.showModulesId; //显示的模块
    // $scope.hasListModulesSearchKey; //有文章的模块
    // $scope.queryDoneModulesId = []; //获取过搜索结果的模块
    // $scope.searchTypeLast;
    $scope.keywordsLast;
    $scope.distName;
    $scope.keywords = "";
    $scope.showResult;
    $scope.history;
    $scope.pageNext = []; //页面初始化前为 0 初始化后为1 加载更多时累加
    $scope.domore = [];
    $scope.showNumber = 10;
    $scope.showNumberSelf = 20;
    $scope.clearComplete = 1;
    $scope.hotKeywords = [];
    $scope.hotWordsPage = 0;
    $scope.keywordsHistory;
    $scope.resultTotal = 0
    // $scope.isEmpty;
    /* root enterBefore */
    $scope.$on('$ionicView.loaded', function() {
        /* $timeout(function() {
            document.getElementById('jiweiSearchKeywords').focus()
        }, 500) */
    });
    $scope.$on('changeDistrict', function(e, data) {
        if ($scope.stateName == $state.current.name) {
            if (!!$scope.showResult) $scope.searchSubmit();
        }
    });
    $scope.$on('$ionicView.enter', function() {
        var json = JSON.parse(window.localStorage.getItem('perpetual.jiweiSearchKeywordsHistory'));
        $scope.keywordsHistory = json && json.value || [];
    });
    $scope.$watch('keywords', function(nkey) {
        $scope.inputError = !(/^[\u4e00-\u9fa5\a-zA-Z0-9\s]{0,20}$/.test(nkey));
    });
    $scope.$watch('showResult', function(show, o) {
        if (show) {
            $scope.history = 'result';
            return;
        }
    });
    $scope.clearKeywordsHistory = function() {
        $ionicPopup.confirm({
            title: '<span>确定清空全部历史记录?</span>',
            // template: '',
            okText: '确定',
            cancelText: '取消'
        }).then(function(res) {
            if (res) {
                $scope.keywordsHistory = [];
                window.localStorage.removeItem('perpetual.jiweiSearchKeywordsHistory')
            }
        });
    }
    $scope.clearKeywords = function() {
        $scope.keywords = '';
    }
    $scope.cancle = function() {
        if ($scope.history && !$scope.showResult) {
            $scope.history = null;
            $scope.showResult = true;
            // $scope.searchKey = $scope.searchTypeLast;
            $scope.keywords = $scope.keywordsLast;
            return;
        }
        $scope.viewGoback(); console.log('goback');
        return;
    }
    $scope.searchClear = function(e) {
        $scope.keywords = '';
        var ele = e.target.previousElementSibling.getElementsByTagName('input')[0];
        $scope.clearComplete = 0;
        $timeout(function() {
            ele.focus();
            $scope.clearComplete = 1;
        }, 0)
    }
    $scope.searchFocus = function() {
        $scope.searchOnFocus = true;
        $scope.showResult = false;
        $scope.keywordsLast = $scope.keywords != '' ? $scope.keywords : $scope.keywordsLast;
        $scope.cancelChangeDist();
    }
    $scope.searchBlur = function() {
        if ($scope.clearComplete)
            $scope.searchOnFocus = false;
    }
    $scope.selectKeywordsAndSubmit = function(words, isHistory) {
        $scope.keywords = words;
        $scope.searchSubmit();
    }
    $scope.searchKeyup = function(e) {
        var keycode = window.event ? e.keyCode : e.which;
        //回车事件
        if (keycode == 13) {
            if (!$scope.keywords.trim()) return
            $scope.searchSubmit();
        }
    }
    $scope.searchSubmit = function(page) {
        var matchArr = $scope.keywords.match(/[\u4e00-\u9fa5\a-zA-Z0-9\s]/g) || [], testBool = /^[\u4e00-\u9fa5\a-zA-Z0-9\s]*$/g.test($scope.keywords), matchStr = '', template = '';
        for (var i = 0; i < matchArr.length; i++) {
            matchStr += matchArr[i];
            if (matchStr.length > 20) {
                matchStr = matchStr.slice(0, 19);
                template = '您输入的关键字过长, 建议您搜索：“' + matchStr + '”'
                break;
            }
        }
        matchStr = matchStr ? matchStr : $scope.hotKeywords[0] || '政策';
        template = template.length ? template : !testBool ? '您输入的关键字含有规定外的字符,建议您搜索：“' + matchStr + '”' : template;
        $scope.keywords = matchStr;
        if (template.length)
            $ionicPopup.confirm({
                title: '<strong>提示</strong>',
                template: template,
                okText: '<span class="f14">接受搜索建议</span>',
                cancelText: '<span class="f14">取消</span>'
            }).then(function(res) {
                $scope.keywords = matchStr;
                if (res) {
                    $scope.querySearchResult(page);
                }
            });
        else $scope.querySearchResult(page);
    }
    $scope.watchKeywordsHistory = function() {
        for (var i = 0; i < $scope.keywordsHistory.length; i++) {
            if ($scope.keywordsHistory[i] == $scope.keywords) {
                $scope.keywordsHistory.splice(i, 1);
                break;
            }
        }
        $scope.keywordsHistory.unshift($scope.keywords);
        var hisArr = $scope.keywordsHistory;
        if (!hisArr.length) return;
        if (hisArr.length > 10) hisArr.pop();
        var str = JSON.stringify({ value: hisArr });
        window.localStorage.setItem('perpetual.jiweiSearchKeywordsHistory', str);
        console.log(window.localStorage.getItem('perpetual.jiweiSearchKeywordsHistory'))
    }
    $scope.querySearchResult = function() {
        $ionicScrollDelegate.$getByHandle('jiweiResultContent').scrollTop();
        var isNewKeywords = $scope.lastKeywords == $scope.keywords ? false : !!($scope.lastKeywords = $scope.keywords);
        if (isNewKeywords) {
            $scope.watchKeywordsHistory();
        }
        $scope.showResult = true;
        document.getElementById('jiweiSearchKeywords').blur();
        // if (!index) $ionicScrollDelegate.$getByHandle('jiweiResultContent').scrollTop();
        var data = {
            keywordsName: $scope.keywords
        };
        $scope.$emit('loading', 'show');
        appService.getData(urlMap.jiweiSearch, data, function(result) {
            $scope.$emit('loading', 'hide');
            $scope.allArrays = [];
            $scope.resultTotal = result.total
            var obj = result.data
            var onePageResultSum = 0;
            for (key in obj) {
                var cmodule = {}
                cmodule.moduleName = key
                var articles = obj[key], length = articles && articles.length || 0;
                onePageResultSum += length;
                for (var j = 0; j < length; j++) {
                    var article = articles[j];
                    var title = article && article.title
                    if (!title) return;
                    article.title = $sce.trustAsHtml(title);
                    article.time = noralDate(article.publishtime);
                }
                cmodule.artList = articles
                cmodule.moduleLength = length
                $scope.allArrays.push(cmodule);
            }
            console.log($scope.allArrays)
            if (onePageResultSum > 20) $scope.showNumber = 5;
        });
    }

    function noralDate(timeStamp) {
        if (!timeStamp) return timeStamp
        var date = new Date(timeStamp * 1000)
        var YY = date.getFullYear() + '-'
        var MM = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
        var DD = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate());
        return YY + MM + DD
    }
    $scope.showMoreForModule = function(index, moduleId, self) {
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        console.log(index, ':', moduleId);
        var currentModule = $scope.allArrays[index];
        var showNumber = currentModule.showNumber < $scope.showNumber ? $scope.showNumber : (currentModule.showNumber || $scope.showNumber);
        $scope.allArrays[index].showNumber = showNumber + $scope.showNumberSelf;
        $ionicScrollDelegate.resize();
    }
    $scope.articleDetail = function(article, searchModuleName) {
        var state = 'jiweiArticle';
        var param = {
            module: {
                api: article.url,
                param: article.param,
                shareUrl: article.shareApi
            },
            id: article.id,
            crumbs: searchModuleName
        }
        $state.go(state, param);

    }
}
])