appModule.controller('officeDepartmentListController', ['$scope', 'appService', '$state', '$stateParams',
  function ($scope, appService, $state, $stateParams) {
    //data
    $scope.stateName = $state.current.name;
    $scope.pageNext
    $scope.deptId = $stateParams.id;
    $scope.parentDept;
    // $scope.areaId;
    $scope.$on('$ionicView.loaded', function () {
      $scope.getDepartmentParentDetail();
      $scope.queryCompany(1);
    });
    $scope.$on('changeDistrict', function (e, data) {
      if ($scope.stateName == $state.current.name) {
      }
    });
    $scope.getDepartmentParentDetail = function () {
      appService.getData(urlMap.departmentParentDetail, { id: $scope.deptId },
        function (jsonDataArr) {
          $scope.parentDept = jsonDataArr.resultList && jsonDataArr.resultList[0] || {};
          console.log($scope.parentDept)
        });
    }
    $scope.queryCompany = function (page) {
      if (page < 2) {
        $scope.pageNext = 1;
        $scope.itemArr = null;
        page = 1
      }
      $scope.domore = false;
      appService.getData(urlMap.departmentJSCompany, { page: page, deptId: $scope.deptId },
        function (results) {
          // $scope.$broadcast('scroll.refreshComplete');
          $scope.$broadcast('scroll.infiniteScrollComplete');
          var list = results.resultList,
            length = list.length,
            size = results.size,
            articles = $scope.itemArr || [];
          if (length == size) $scope.domore = true          
          if (length > 0) {
            for (var i = 0; i < length; i++) {
              var item = list[i],
                article = item;
              articles.push(article);
            }
          }
          $scope.itemArr = articles;
        });
    }
    $scope.goDetail = function (item, isParentDept) {
      var id = item.companyId || item.id;
      var queryUrl = isParentDept ? 'departmentParentDetail' : 'departmentJSCompanyDetail';
      $state.go('officeDepartmentDetail', { id: id, queryUrl: queryUrl })
    }
    //下拉刷新
    /* $scope.doRefresh = function () {
      $scope.queryCompany(1);
    } */
    //上拉加载
    $scope.onInfinite = function () {
      $scope.queryCompany(++$scope.pageNext);
    }
  }
])
