appModule.controller('officeWangbanController', ['$scope', '$cordovaToast', '$state', '$timeout', '$ionicModal', '$cordovaBrowser', '$cordovaClipboard', 'appService', '$ionicScrollDelegate', function($scope, $cordovaToast, $state, $timeout, $ionicModal, $cordovaBrowser, $cordovaClipboard, appService, $ionicScrollDelegate) {
  $scope.stateName = $state.current.name;
  $scope.dept
  $scope.gList
  $scope.list
  $scope.domore = true
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.onInfinite = function() {
    $scope.groupByDept(function() {
      $scope.domore = false
    });
  };
  $scope.groupByDept = function(callback) {
    var data = {
      areaId: $scope.publicCityId
    }
    appService.getData(urlMap.wangban, data, function(results) {
      $scope.$broadcast('scroll.infiniteScrollComplete');
      var list = results.data || [];
      $scope.gList = list;
      callback && callback()
    })
  }
  $scope.changeDept = function(dep) {
    $scope.dept = {
      id: dep.deptId,
      name: dep.deptName
    }
    $scope.wangbanForDept()
  }
  $scope.wangbanForDept = function() {
    var data = {
      page: 0,
      size: 999,
      deptId: $scope.dept.id,
      serviceId: 1
    }
    appService.getData(urlMap.wangzhangDeptSystem, data, function(results) {
      $scope.$emit('loading', 'hide');
      var list = results.data || [];
      $scope.list = list;
      $timeout(function() {
        $ionicScrollDelegate.scrollTop();
        $ionicScrollDelegate.resize()
      })
    })
  }
  try {
    $cordovaClipboard
      .copy('')
      .then(function() {
        $scope.supportClipboard = true
      });
  } catch (e) { }
  $scope.copyUrl = function(url) {
    // event.stopPropagation()
    $cordovaClipboard
      .copy(url)
      .then(function() {
        $cordovaToast.showShortCenter("已复制网址到剪切板");
      });
  }
  /* 打开外部链接iframe */
  $ionicModal.fromTemplateUrl('open-modal.html', {
    scope: $scope,
    // animation: 'slide-in-up'
  }).then(function(modal) {
    $scope.openModal = modal;
  });
  // $scope.showUrl = '';
  $scope.openUrl = function(item) {
    // $scope.showUrl = $sce.trustAsResourceUrl(item.address);
    $cordovaBrowser.open(item.address, '_blank',
      {
        title: {
          color: '#ffffff',
          showPageTitle: true,
          staticText: item.title
        },
        closeButton: {
          wwwImage: 'images/normal/icon-back.png',
          wwwImagePressed: 'images/normal/icon-back.png',
          staticText: '关闭',
          align: 'left',
          event: 'closePressed'
        },
        closePressed: function() {
          console.log('closePressed')
        },
        toolbar: {
          height: 44,
          color: '#5769f1'
        },
        backButtonCanClose: false
      })
  }
  $scope.viewGoback = function() {
    if ($scope.dept) {
      $scope.dept = null
      $timeout(function() {
        $ionicScrollDelegate.scrollTop();
        $ionicScrollDelegate.resize()
      })
      return
    }
    $rootScopeViewGoback()
  }
}
])
