appModule.controller('officeZhangbanController', ['$scope', '$cordovaToast', '$state', '$timeout', '$ionicScrollDelegate', 'appService',
  function($scope, $cordovaToast, $state, $timeout, $ionicScrollDelegate, appService) {
    $scope.stateName = $state.current.name;
    $scope.dept
    $scope.gList
    $scope.list
    $scope.domore = true
    $scope.type = []
    $rootScopeViewGoback = $scope.viewGoback;
    $scope.onInfinite = function() {
      $scope.groupByDept(function() {
        $scope.domore = false
      });
    };
    $scope.groupByDept = function(callback) {
      var data = {
        areaId: $scope.publicCityId
      }
      appService.getData(urlMap.zhangban, data, function(results) {
        $scope.$broadcast('scroll.infiniteScrollComplete');
        var list = results.data || [];
        $scope.gList = list;
        callback && callback()
      })
    }
    $scope.tabIndex = 0;
    $scope.changeTab = function(i) {
      $scope.tabIndex = i
    }
    $scope.list
    $scope.changeDept = function(dep) {
      $scope.dept = {
        id: dep.deptId,
        name: dep.deptName
      }
      $scope.zhangbanList()
    }
    $scope.zhangbanList = function() {
      var data = {
        page: 0,
        size: 999,
        deptId: $scope.dept.id,
        serviceId: 2
      }
      appService.getData(urlMap.wangzhangDeptSystem, data, function(results) {
        $scope.$emit('loading', 'hide');
        var list = results.data || [];
        $scope.list = list;
        var firsttab = false
        $scope.list.forEach(function(item) {
          $scope.type[item.type - 1] = true
          if (!firsttab) {
            $scope.tabIndex = item.type - 1
            firsttab = true
          }
        })
        $timeout(function() {
          $ionicScrollDelegate.scrollTop();
          $ionicScrollDelegate.resize()
        })
      })
    }
    $scope.supportexec = !!window.canvas2ImagePlugin
    $scope.downPhoto = function(photoPath) {
      var pictrueUrl = encodeURI(photoPath);
      function saveImageToPhone(url, success, error) {
        var canvas, context, imageDataUrl, imageData;
        var img = new Image();
        img.onload = function() {
          canvas = document.createElement('canvas');
          canvas.width = img.width;
          canvas.height = img.height;
          context = canvas.getContext('2d');
          context.drawImage(img, 0, 0);
          try {
            imageDataUrl = canvas.toDataURL('image/jpeg', 1.0);
            imageData = imageDataUrl.replace(/data:image\/jpeg;base64,/, '');
            cordova.exec(
              success,
              error,
              'Canvas2ImagePlugin',
              'saveImageDataToLibrary',
              [imageData]
            );
          }
          catch (e) {
            error(e.message);
          }
        };
        try {
          img.src = url;
        }
        catch (e) {
          error(e.message);
        }
      }
      var success = function(msg) {
        $cordovaToast.showShortCenter("已保存到本地相册");
      };
      var error = function(err) {
        $cordovaToast.showShortCenter(err);
      };
      saveImageToPhone(photoPath, success, error);
    }
    $scope.viewGoback = function() {
      if ($scope.dept) {
        $scope.dept = null
        $timeout(function() {
          $ionicScrollDelegate.scrollTop();
          $ionicScrollDelegate.resize()
        })
        return
      }
      $rootScopeViewGoback()
    }
  }
])
