appModule.controller('PersonalController', ['$scope', '$stateParams', 'appService', '$state', '$ionicHistory', '$ionicModal', '$rootScope', '$window', '$ionicPopup',
  function($scope, $stateParams, appService, $state, $ionicHistory, $ionicModal, $rootScope, $window, $ionicPopup) {
    //data
    $scope.userRoles;
    $scope.stateName = $state.current.name;
    $scope.footerActiveFlag = 4;
    $scope.isLogin = false;
    $scope.modal;
    $scope.$on('$ionicView.beforeEnter', function() {
      $scope.isLogin = !!$scope.user
      if ($scope.isLogin) $scope.$emit("updateUserInfo");
    });
    $scope.$on('$ionicView.beforeLeave', function() {
      // $scope.user.id = $scope.user.originId
    });
    /* root enterBefore */
    $scope.$on('changeDistrict', function(e, data) {
      if ($scope.stateName == $state.current.name) {
        if ($scope.user) {
          $scope.getMyMsgCountPer();
          $scope.getMyJubaoMsgCount();
          $scope.getMyMsgcount && $scope.getMyMsgcount($scope.user.id);
          if (!$scope.userRoles || !$scope.userRoles.length) $scope.initRoles($scope.user.id);
        }
      }
    });
    $scope.getMyMsgCountPer = function() {
      appService.getData(urlMap.myMsgCount, { userId: $scope.user.id },
        function(result) {
          console.log('我的留言未读', result);
          $scope.myMsgCount = result && result[0];
        });
    }
    $scope.getMyJubaoMsgCount = function() {
      appService.getData(urlMap.myJubaoMsgCount, { userId: $scope.user.id },
        function(result) {
          console.log('我的举报未读', result);
          $scope.myJubaoCount = result && result[0];
        });
    }
    $ionicModal.fromTemplateUrl('appDownLoad.html', { scope: $scope })
      .then(function(modal) {
        $scope.modal = modal;
      });
    //记录最下方footer被选择标识
    $scope.ours = function() {
      $state.go('ours');
    }
    $scope.goStateLoginFirst = function(state, params) {
      $scope.$emit('loginFirst', function() {
        $state.go(state, params)
      })
    }
    //指南页
    $scope.goGuideModules = function() {
      var titlesQuery = 'queryGuideTitlesList';
      $state.go('comTitlesList', { titlesQuery: titlesQuery })
    }
    $scope.goGuideInstall = function() {
      var articleUrl = 'queryGuideArticle';
      var params = {
        articleQuery: articleUrl,
        id: 29,
        whiteList: []
      }
      $state.go('comArticle', params);
    }
    $scope.newVersionAlert = function() {
      $scope.checkVersion && $scope.checkVersion();
    }
    // $scope.user.id = '62b5387cd6e7451fbfea4f46516453fa'
    /* 初始化用户角色 */
    $scope.initRoles = function(userid) {
      appService.getData(urlMap.userRoles, { userId: userid },
        function(results) {
          var roles = results.data, regionIdGPS;
          roles.forEach(function(role) {
            var split = role.permission.split(':');
            role.productName = split[1];
            role.menus.forEach(function(menu) {
              if (menu.path == 'zhOlmap') regionIdGPS = role.regionId
              /* 公共路径 map */
              var state = $scope.isCommonPath(menu.path, role.regionId);
              if (!state) menu.path = role.productName + menu.path;
              else { menu.params = state.params; }
              menu.params = menu.params || {};
              /* 特殊路径 如zhsq */
              /* var district = $scope.isScPath(role.productName, role.regionId);
              if (district) menu.params.district = district; */
              menu.params = $scope.isTTBpath(menu, role)
              menu.params.region = role.regionId && { id: role.regionId }
              menu.params.roleLevel = role.level
            })
            $window.localStorage.setItem("regionIdGPS", (regionIdGPS || 'notOlmap'));
          });

          $scope.userRoles = roles
        })
    }
    $scope.isCommonPath = function(path, rid) {
      var whiteList = [
        { url: 'zhOlmap', params: { regionId: rid } }
      ]
      var bol = false;
      whiteList.forEach(function(item) {
        if (item.url == path) return bol = item
      })
      return bol
    }
    $scope.isTTBpath = function(menu, role) {
      var param = {}
      switch (menu.name) {
        case 'ttb公共卫生':
          menu.name = '公共卫生'
          param.hasOut = true
            break;
      }
      console.log(menu)
      return param
    }
    /* $scope.isScPath = function (mname, rid) {
      var district;
      if (mname == 'zhsq') {
        if (rid == 5) district = { village: { id: 133, name: '长安社区' }, area: { id: '220521' } }
        if (rid == 7) district = { village: { id: 20, name: '前进社区' }, area: { id: '220524' } }
      }
      return district
    } */
  }
])
