
appModule.controller('myJubaoDetailController', ['$scope', '$ionicPopup', '$stateParams', 'appService', '$timeout', '$state', '$ionicLoading', '$sce', function($scope, $ionicPopup, $stateParams, appService, $timeout, $state, $ionicLoading, $sce) {
  var url = urlMap[$stateParams.queryUrl];
  $scope.detailId = $stateParams.id;
  $scope.readType = $stateParams.readType;
  $scope.$on('$ionicView.enter', function() {
    $scope.getMsgDetail();
  })
  $scope.getMsgDetail = function() {
    $scope.$emit('loading', 'show');
    appService.getData(url, { id: $scope.detailId },
      function(jsonData) {
        $scope.$emit('loading', 'hide');
        if ($scope.readType == 0) { $scope.myMessageCountFn(--$scope.myMessageTotalCount); }
        var portrait = jsonData.portrait;
        if (portrait != null && portrait != "") {
          jsonData.portrait = $scope.pic + "/" + portrait;
        } else {
          jsonData.portrait = $scope.pic + urlMap.defaultImg;
        }
        $scope.article = jsonData;
        $scope.article.content = $sce.trustAsHtml($scope.article.content) && $sce.trustAsHtml($scope.article.content).$$unwrapTrustedValue();
        $scope.article.priceReportCount = $sce.trustAsHtml($scope.article.priceReportCount) && $sce.trustAsHtml($scope.article.priceReportCount).$$unwrapTrustedValue();
        $scope.article.picName = $scope.article.picName && $scope.article.type == '1' ? $scope.pic + '/' + $scope.article.picName : 
        $scope.article.type == '2'?$sce.trustAsResourceUrl($scope.vio + '/' + $scope.article.picName):null;
        $scope.article.info = [
          { key: '回复', value: $scope.article.priceReportCount, type: 'info' },
          { key: '举报信息', value: $scope.article.content, type: 'info' },
          { key: '视频/图片', value: $scope.article.picName, type: $scope.article.type == '1' ? 'img' : ($scope.article.type == '2' ? 'video' : null) },
        ];
        $scope.article.informer = [
          { key: '提供者', value: $scope.article.informant, type: 'informer' },
          { key: '提供者电话', value: $scope.article.telephone, type: 'informer' },
          { key: '提供者所在地区', value: $scope.article.areaId, type: 'informer' },
          { key: '提供者地址', value: $scope.article.address, type: 'informer' }
        ];
        $scope.article.bereported = [
          { key: '被举报人', value: $scope.article.theInformant, type: 'bereported' },
          { key: '被举报人单位', value: $scope.article.company, type: 'bereported' },
          { key: '被举报人职务', value: $scope.article.post, type: 'bereported' },
          { key: '被举报人单位地址', value: $scope.article.postAddress, type: 'bereported' }
        ];
      });
  }
}
]);
