
appModule.controller('myJubaoController', ['$scope', '$ionicPopup', '$stateParams', 'appService', '$timeout', '$state', '$ionicLoading', '$sce', function ($scope, $ionicPopup, $stateParams, appService, $timeout, $state, $ionicLoading, $sce) {
  $scope.areaID = $stateParams.areaID;
  $scope.allArrays;
  $scope.pageNext; //页面初始化前为 0 初始化后为1 加载更多时累加
  $scope.domore;
  $scope.$on('$ionicView.enter', function () {
    $scope.queryArray(0);
  });
  $scope.queryArray = function (page) {
    if (page == 0 || page == 1) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext = 1;
      page = 1;
    }
    $scope.$emit('loading', 'show');
    var data = {
      page: page,
      userId: $scope.user.id,
    }/* ,
      opts = {
        method: "get",
        url: urlMap.myJubaoList,
        params: data,
      } */
    // appService.getData(opts,
    appService.getData(urlMap.myJubaoList, data,
      function (results) {
        $scope.$emit('loading', 'hide');
        console.log(page, results.resultList);
        if (page == 1) {
          $scope.allArrays = null;
        }
        var list = results.resultList, length = list.length, size = results.size,
          articles = $scope.allArrays || []
          ;
        if (length < size) $scope.domore = false;
        else $timeout(function () { $scope.domore = true; }, 200);
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i], article = {};
            article = item;
            article.content = $sce.trustAsHtml(article.content) && $sce.trustAsHtml(article.content).$$unwrapTrustedValue();
            article.replyContent = $sce.trustAsHtml(article.replyContent) && $sce.trustAsHtml(article.replyContent).$$unwrapTrustedValue();
            /* article.info = [
              { key: '内容', value: article.content, type: 'info' },
              { key: '视频/图片', value: article.picName, type: 'info' },
            ];
            article.informer = [
              { key: '姓名', value: article.informant, type: 'informer' },
              { key: '电话', value: article.telephone, type: 'informer' },
              { key: '所在地区', value: article.areaID, type: 'informer' },
              { key: '现居住地址', value: article.address, type: 'informer' }
            ];
            article.bereported = [
              { key: '姓名', value: article.theInformant, type: 'bereported' },
              { key: '单位', value: article.company, type: 'bereported' },
              { key: '职务', value: article.post, type: 'bereported' },
              { key: '单位地址', value: article.postAddress, type: 'bereported' }
            ]; */
            articles.push(article);
          }
        }
        $scope.allArrays = articles;
      });
  }
  $scope.doRefresh = function () {
    $scope.queryArray(1);
  }
  $scope.onInfinite = function () {
    if (!$scope.pageNext) return;
    $scope.queryArray(++$scope.pageNext);
  }
  $scope.goDetail = function (item) {
    var queryUrl = 'myJubaoDetail';
    var params = {
      id: item.id,
      areaID: item.areaID,
      queryUrl: queryUrl,
      readType: item.readType
    }
    $state.go('myJubaoDetail', params);
  }
}
]);
