appModule.controller('policyDetailController', ['$scope', '$stateParams', 'appService', '$cordovaTTS', '$timeout', '$ionicPopup', '$ionicModal', function($scope, $stateParams, appService, $cordovaTTS, $timeout, $ionicPopup, $ionicModal) {
    $scope.detailId = $stateParams.id;
    $scope.searchKeywords = { text: "" };
    $scope.placeholder = "点击此处输入查询姓名";
    $scope.bigImage = false;
    $scope.newsItem = {};
    $scope.ttsState = 0;
    $scope.ctts = 0;
    // $scope.user.app_flag = 1; //测试预览账户
    $scope.$on('$ionicView.enter', function() {
        $scope.getPolicyDetails();
        try {
            $cordovaTTS.speak('', function() { $scope.ableTTS = true }, function() { })
        } catch (e) {
            // $scope.disableTTS = false
        }
    });
    $scope.timer
    $scope.$on('$ionicView.beforeLeave', function() {
        try {
            $cordovaTTS.speak('', function() { }, function() { })
        } catch (e) {
            //    $scope.disableTTS = true
        }
    });
    /* 测一测 */
    $scope.policyMatch = function() {
        $scope.matchModal.show();
        if (!$scope.QAs) {
            $scope.$emit('loading', 'show');
            $timeout(function() {
                $scope.$emit('loading', 'hide');
                $scope.QAs = [
                    {
                        id: 1,
                        question: '问题1：所属中小微企业是否在室内登记注册？',
                        options: [{
                            id: 1,
                            name: '是'
                        }, {
                            id: 2,
                            name: '否'
                        }],
                        type: 'radio'
                    },
                    {
                        id: 2,
                        question: '问题2：所属中小微企业新赵勇当年（申请之日前12个月内）符合条件人员（不包括大学生村官、留学回国学生、返乡创业农民工、网络商户等）数量是否达到企业现有在职职工人数25%（超过100人的企业达到15%）？',
                        options: [{
                            id: 1,
                            name: '是'
                        }, {
                            id: 2,
                            name: '否'
                        }],
                        type: 'radio'
                    },
                    {
                        id: 3,
                        question: '问题3：所属中小微企业是否与新招录的符合条件人员签订1年（含1年）以上劳动合同？',
                        options: [{
                            id: 1,
                            name: '是'
                        }, {
                            id: 2,
                            name: '否'
                        }],
                        type: 'radio'
                    },
                    {
                        id: 4,
                        question: '问题4：所属中小微企业是否具有具体经营项目？',
                        options: [{
                            id: 1,
                            name: '是'
                        }, {
                            id: 2,
                            name: '否'
                        }],
                        type: 'radio'
                    },
                    {
                        id: 5,
                        question: '问题5：所属中小微企业银行信用记录是否良好？',
                        options: [{
                            id: 1,
                            name: '是'
                        }, {
                            id: 2,
                            name: '否'
                        }],
                        type: 'radio'
                    },
                    {
                        id: 6,
                        question: '问题6：所属中小微企业是否符合无拖欠职工工资、欠缴社会保险费的不良信用记录条件？',
                        options: [{
                            id: 1,
                            name: '是'
                        }, {
                            id: 2,
                            name: '否'
                        }],
                        type: 'radio'
                    },
                    {
                        id: 7,
                        question: '问题7：所属中小微企业是否守法经营',
                        options: [{
                            id: 1,
                            name: '是'
                        }, {
                            id: 2,
                            name: '否'
                        }],
                        type: 'radio'
                    }
                ]
            }, 300)
        }
    }
    $scope.matchSubmit = function() {
        var wholeQa = true
        $scope.QAs.forEach(function(qa, i) {
            if (!qa.answer) {
                wholeQa = false
                return
            }
            // console.log(i)
        });
        if (!wholeQa) {
            $ionicPopup.confirm({
                template: '您还有未回答的问题，是否继续提交？',
                okText: '返回',
                cancelText: '是'
            }).then(function(res) {
                if (!res) {
                    // if(wholeQa)
                    $scope.$emit('loading', 'show');
                    $timeout(function() {
                        $scope.$emit('loading', 'hide');
                        $ionicPopup.alert({
                            template: '<p class="f16 bold">非常抱歉，根据系统测算，您不符合享受条件。您可以使用下方咨询电话进行询问。</p>' +
                                ' <p class="tc"><a class="button button-small icon-left ion-ios-telephone alert-phone-btn" href="tel:0435-5725999">【通化市人力资源和社会保障局】</a></p>' +
                                '<p class="f12">温馨提示：系统测算结果不代表最终审批结果</p>'
                        });
                    }, 300)
                }
            })
        }
        else {
            $scope.$emit('loading', 'show');
            $timeout(function() {
                $scope.$emit('loading', 'hide');
                $ionicPopup.alert({
                    template: '<p class="f16 bold">根据系统测算，您符合享受条件，具体情况请您准备好申报材料联系发文机关。</p>' +
                        ' <p class="tc"><a class="button button-small icon-left ion-ios-telephone alert-phone-btn" href="tel:0435-5725999">【通化市人力资源和社会保障局】</a></p>' +
                        '<p class="f12">温馨提示：系统测算结果不代表最终审批结果</p>'
                });
            }, 300)
        }
        // console.log($scope.QAs)
    }
    $ionicModal.fromTemplateUrl('policy-match.html', {
        scope: $scope,
        animation: 'slide-in-up'
    }).then(function(modal) {
        $scope.matchModal = modal;
    });
    $scope.changesTTSState = function() {
        $scope.ttsState = !$scope.ttsState
        try {
            // playTTS($scope.allText);
            playTTS($scope.allTextArr[$scope.ctts]);
        } catch (e) {
            $scope.ttsState = false
            $ionicPopup.alert({
                template: '您的设备无法进行语音播报, <p>请联系客服人员 <a href="tel:0435-5725999" class="f18">0435-5725999</a>。</p>'
            });
        }
        function playTTS(text) {
            if ($scope.ttsState) {
                if ($scope.ctts >= $scope.allTextArr.length) { $scope.ctts = 0; return }
                $cordovaTTS.speak(
                    {
                        // text: $scope.allTextArr[$scope.ctts],
                        text: text,
                        locale: 'zh-CN',
                        rate: 0.9
                    }, function() {
                        //播放完成
                        /* $scope.ctts++; */
                        playTTS($scope.allTextArr[++$scope.ctts]);
                    }, function() {
                        // $scope.timer = $timeout(function() { playTTS(); }, 3000)
                    })
            } else {
                $cordovaTTS.speak('', function() { }, function() { })
            }
        }
    }
    function createAllTextArr(allText, newArr) {
        if (!allText) {
            return newArr
        }
        newArr = newArr || []
        var header = allText.match(/^.{0,30}[^0-9]{3}/)
        if(!header) header = [allText]
        var body = allText.replace(header[0], '')
        if (!!header[0]) newArr.push(header[0])
        createAllTextArr(body, newArr)
        return newArr
    }
    $scope.getPolicyDetails = function() {
        $scope.$emit('loading', 'show');
        appService.getData(urlMap.policyDetail, {
            id: $scope.detailId
        },
            function(jsonData) {
                $scope.$emit('loading', 'hide');
                $scope.newsItem = jsonData;
                var allText = $scope.allText = jsonData.contentCh && $('<div>' + jsonData.contentCh + '</div>').text().replace(/\s+/g, ' ');
                // $scope.allTextArr = allText.match(/.{1,500}/g);
                $scope.allTextArr = createAllTextArr(allText)
                console.log($scope.allTextArr)
                if (!!$scope.user.app_flag) $scope.search();
                new RTP.PinchZoom($('#pinchZoom'), {
                    minZoom: 0.2
                });
                var winHeight = $(window).height();
                var winWidth = $(window).width();
                $('#pinchZoom').height(winHeight);
                $('#pinchZoom').parents('.pinch-zoom-container')
                    .width(winWidth)
                    .height(winHeight);
            });
    }
    $scope.showBigImage = function(imgSrcPath) {
        // console.log(imgSrcPath);
        $scope.bigImage = true;
        $scope.bigImageSrc = $scope.pic + "/" + imgSrcPath + "?" + (new Date()).getTime();
    };
    $scope.hideBigImage = function() {
        $scope.bigImage = false;
        $('#pinchZoom').parents('.pinch-zoom-container').hide();
    }
    $scope.loadBigImage = function() {
        $('#pinchZoom').parents('.pinch-zoom-container').show();
    }
    $scope.search = function(keywords) {
        // console.log($scope.searchKeywords);
        var thenDo = function() {
            if (!$.trim(keywords)) {
                $scope.excelJson = null;
                if (!$scope.user.app_flag) return;
            }
            $scope.$emit('loading', 'show');
            appService.getData(urlMap.getExcel, {
                excelName: $scope.newsItem.excelName,
                name: keywords
            }, function(excelJson) {
                $scope.$emit('loading', 'hide');
                $scope.excelJson = excelJson;
                $scope.initPageSort(excelJson.body);
                $scope.selectPage(1);
            });
        }
        $scope.$emit('loginFirst', thenDo);
    }
    $scope.domore;
    $scope.pageNext;
    $scope.pageSize = $scope.user.app_flag ? 20 : 8; //分页大小，可以随意更改
    $scope.initPageSort = function(item) {
        $scope.pageNext = 0;
        $scope.domore = true
        $scope.data = item;
        $scope.pages = Math.ceil($scope.data.length / $scope.pageSize); //分页数
        $scope.newPages = $scope.pages > $scope.pageSize ? $scope.pageSize : $scope.pages;
        $scope.pageList = [];
        $scope.selPage = 1;
        // 表格当前显示数据
        $scope.items = $scope.data.slice(0, $scope.pageSize);
        //分页要repeat的数组
        for (var i = 0; i < $scope.newPages; i++) {
            $scope.pageList.push(i + 1);
        }
    };
    //设置表格数据源(分页)
    $scope.setData = function() {
        $scope.items = $scope.data.slice(($scope.pageSize * ($scope.selPage - 1)), ($scope.selPage * $scope.pageSize)); //通过当前页数筛选出
    };
    $scope.onInfinite = function() {
        ++$scope.pageNext;
        var total = $scope.pageNext * $scope.pageSize;
        if (total >= $scope.data.length) $scope.domore = total >= $scope.data.length ? false : true;
        $scope.items = $scope.data.slice(0, total); //通过当前页数筛选出
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
    }
    //打印当前选中页索引
    $scope.selectPage = function(page) {
        $scope.hasPrePage = $scope.hasNextPage = true;
        if (page == 1) $scope.hasPrePage = false;
        if (page + 1 > $scope.pages) $scope.hasNextPage = false;
        //不能小于1大于最大
        if (page < 1 || page > $scope.pages) return;
        //最多显示分页数5
        if (page > 2) {
            //因为只显示5个页数，大于2页开始分页转换
            var newpageList = [];
            for (var i = (page - 3); i < ((page + 2) > $scope.pages ? $scope.pages : (page + 2)); i++) {
                newpageList.push(i + 1);
            }
            $scope.pageList = newpageList;
        }
        $scope.selPage = page;
        $scope.setData();
        $scope.isActivePage(page);
        $scope.num = ($scope.selPage - 1) * $scope.pageSize;
        //console.log("选择的页：" + page);
    }
    //设置当前选中页样式
    $scope.isActivePage = function(page) {
        return $scope.selPage == page;
    };
    //上一页
    $scope.Previous = function() {
        $scope.selectPage($scope.selPage - 1);
    };
    //下一页
    $scope.Next = function() {
        $scope.selectPage($scope.selPage + 1);
    };
    $scope.shareWX = function(id, newsItem) {
        if (typeof Wechat === "undefined") {
            alert("Wechat plugin is not installed.");
        }
        var params = {
            scene: id
        };
        params.message = {
            title: "[TEST]",
            description: "[TEST]Sending from test application",
            mediaTagName: "TEST-TAG-001",
            messageExt: "这是第三方带的测试字段",
            messageAction: "<action>dotalist</action>",
            media: {}
        };

        params.message.title = newsItem.titleCh;
        params.message.description = newsItem.contentCh.substring(0, 35);
        params.message.thumb = "https://cordova.apache.org/images/cordova_256.png";
        params.message.media.type = Wechat.Type.LINK;
        params.message.media.webpageUrl = 'zz.xn--5bvz82b.com/thapp/share/doShare/2?id=' + newsItem.id;

        if (newsItem.picList != null && newsItem.picList.length != 0) {
            params.message.thumb = $scope.pic + '/' + newsItem.picList[0] + "?" + (new Date()).getTime();
        }
        Wechat.share(params, function() {
            //                alert("Success");
        }, function(reason) {
            //                alert("Failed: " + reason);
        });
    }
}]);