appModule.controller('ttbHometownDetailController', ['$scope', '$timeout', '$stateParams', 'appService', '$ionicScrollDelegate', '$sce', '$compile', '$ionicHistory', function($scope, $timeout, $stateParams, appService, $ionicScrollDelegate, $sce, $compile, $ionicHistory) {
    // console.log($stateParams);
    $scope.articleId = $stateParams.id;
    $scope.articleHtml = $scope.favourId = 'hometowndetial' + $scope.articleId;
    $scope.showAll
    $scope.detailId = $stateParams.id;
    $scope.onInfinite = function() {
        appService.getData(urlMap.ttbHometownDetail, { id: $scope.detailId },
            function(result) {
                // article = results instanceof Array ? results[0] : results;
                article = result.data.detail;
                if (!article.titleEn) {
                    article.summary = $('<div>' + article.contentRt + '</div>').text();
                    article.summary = article.summary.replace(/\s+/g, '').slice(0, 80);
                    if (article.summary.length > 79) article.summary += '...'
                }
                $scope.dameiDetail = article;
                $scope.initZhoubian(result.data)
                if(!$scope.zhoubian.length || (!article.summary&&!article.titleEn)) $timeout(function(){
                    $scope.showAllFn()
                })
                var content = article.contentRt;
                //找到<img标签
                var reg = /<img[^>]*>/gi;
                // 匹配出html中的src属性
                var images = content && content.match(reg);
                content = $sce.trustAsHtml(content).$$unwrapTrustedValue(); //过滤
                //包含图片
                if (images && images.length) {
                    //解析拼接内容
                    for (var i = 0; i < images.length; i++) {
                        var image = images[i],
                            first = image.substr(0, image.indexOf(' ') + 1),
                            next = image.substr(image.indexOf(' ')),
                            regSrc = /src=[\'\"]?([^\'\"]*)[\'\"]?/i,
                            srcStr = image.match(regSrc)[1]
                            ;
                        if (i == 0) article.picName = article.picName || srcStr;
                        // 将ng-click事件拼接到html中
                        var final = first + ' ng-click="showBigImage(' + "'" + srcStr + "'" + ',' + i + ')"' + next;
                        //为适应点击图片放大，因此将width和height属性过滤掉
                        final = final.replace(/\s+((width)=[\'"]+[0-9]+[\'"]+)/, "").replace(/\s+((height)=[\'"]+[0-9]+[\'"]+)/, "");
                        content = content.replace(image, final);
                        // var $li = $('<li class="swiper-slide"><div class="article-zoom-img">' + image + '</div></li>');
                        var $li = $('<li class="swiper-slide"><div class="swiper-zoom-container">' + image + '</div></li>');
                        $('#articleImgs > ul').append($li);
                    }
                    $scope.imgsSwipe = new Swiper('#articleImgs', { //图片轮播 
                        zoom: {
                            toggle: false,
                        },
                        pagination: {
                            el: '.swiper-pagination',
                            dynamicBullets: true
                        },
                    });
                    content = $compile(content)($scope); //编译
                }
                $('#' + $scope.articleHtml).html(content);
            });
    }
    $scope.zhoubian = []
    $scope.initZhoubian = function(result) {
        try {
            var hasZhoubian = false
            for (i in result) {
                if (result[i] && result[i].list && result[i].list.length) hasZhoubian = true
            }
            if (hasZhoubian) {
               return $scope.zhoubian = [
                    result.tour, //周边景点
                    result.food, //周边美食
                    result.live, //周边住宿
                    result.amusement, //周边娱乐
                    result.shopping, //周边购物
                    result.travel, //周边交通
                ]
            }
        } catch (e) {

        }

    }
    $scope.showAllFn = function() {
        $scope.showAll = true
        $timeout(function() {
            $ionicScrollDelegate.resize();
        })
    }
    $scope.shareWX = function(id, dealItem) {
        console.log("dealItem.id:  " + dealItem.id);
        if (typeof Wechat === "undefined") {
            alert("Wechat plugin is not installed.");
        }
        var params = {
            scene: id
        };
        params.message = {
            title: "[TEST]",
            description: "[TEST]Sending from test application",
            mediaTagName: "TEST-TAG-001",
            messageExt: "这是第三方带的测试字段",
            messageAction: "<action>dotalist</action>",
            media: {}
        };

        params.message.title = dealItem.title;//标题
        params.message.description = dealItem.titleEn;//副标题
        params.message.thumb = "https://cordova.apache.org/images/cordova_256.png";//微信分享 缩略图
        params.message.media.type = Wechat.Type.LINK;
        params.message.media.webpageUrl = 'zz.xn--5bvz82b.com/thapp/share/doShare/6?id=' + dealItem.id;

        if (dealItem.picName != null && dealItem.picName != "") {
            var url = dealItem.picName;
            params.message.thumb = dealItem.picName + "?" + (new Date()).getTime();
        }
        Wechat.share(params, function() {
            //  console.log("Share Success");
            //                alert("Success");
        }, function(reason) {
            //                alert("Failed: " + reason);
            // console.log("Share Failed" + reason);
        });
    }
    $scope.showBigImage = function(imgSrcPath, i) {
        $scope.imgsSwipe.slideTo(i, 0, false);
        $('#articleImgs').show();
        if (!$scope.isUpdateSize) { $scope.imgsSwipe.update(); $scope.isUpdateSize = true; }
        console.log(i)
    };
    $scope.hideBigImage = function() {
        $scope.imgsSwipe.zoom.out();
        $('#articleImgs').hide();
    };
}
])