appModule.controller('ttbOPReCreateController', ['$scope', '$state', 'appService', '$stateParams', '$ionicPopup', '$timeout', '$ionicScrollDelegate',
  function($scope, $state, appService, $stateParams, $ionicPopup, $timeout, $ionicScrollDelegate) {
    // console.log('ttbOPReCreateController')
    // $scope.form = $stateParams.thing
    $scope.step = 1
    //data
    $scope.stateName = $state.current.name;
    $rootScopeViewGoback = $scope.viewGoback;
    $scope.viewGoback = function() {
      var list = $scope.completeUpload, length = list.length
      for (var i = 0; i < length; i++) {
        var file = list[i]
        if (file) $scope.change = true
      }
      if (!$scope.change && !$scope.completeThing) {
        $rootScopeViewGoback()
        return
      }
      if (!$scope.completeThing) {
        $ionicPopup.confirm({
          title: "材料修改未完结",
          template: "您修改了材料，请点击“完成”按钮重新派发材料",
          cancelText: '仍然离开',
          okText: '留在本页'
        }).then(function(stay) {
          if (!stay) $rootScopeViewGoback();
        });
        return
      }
      $scope.goState('ttbOneProcess', { complete: true })
    }
    //加载
    $scope.$on('$ionicView.loaded', function() {
      $scope.$emit('loginFirst', function() {
        $scope.ttbRole = $scope.user.ttbRole
        $scope.form = $stateParams.thing
        $scope.form.mailName = $scope.form.isMail ? '邮寄' : "自取"
      })
    });
    $scope.getDepts = function() {
      var data = {
        parentId: '1952f0ecf43f4c44a1296dd1d9598b2c',
        status: 2
      }
      appService.getData(urlMap.ttbOPDept, data, function(result) {
        $scope.select.gaj.options = result.deptList
      })
      data1 = {
        parentId: 'e7043015cab04ff59da06d8e2b5b4e0d',
        status: 2
      }
      appService.getData(urlMap.ttbOPDept, data1, function(result) {
        $scope.select.yh.options = result.deptList
      })
    }
    $scope.select = {};
    $scope.select.gaj = {
      value: '请选择', options: [],
      selecOption: function(type) {
        console.log(type)
        this.value = type.name;
        $scope.form.progressGaj = type.deptId;
        $scope.formGaj = type.deptId;
        $scope.selectBlur();
      },
      onFocus: function() {
        this.showOptions = !this.showOptions;
      },
      options: [
      ]
    };
    $scope.select.yh = {
      value: '请选择', options: [],
      selecOption: function(type) {
        console.log(type)
        this.value = type.name;
        $scope.form.progressYh = type.deptId;
        $scope.formYh = type.deptId;
        $scope.selectBlur();
      },
      onFocus: function() {
        this.showOptions = !this.showOptions;
      },
      options: [
      ]
    };
    $scope.selectBlur = function() {
      $scope.select.gaj.showOptions = false;
      $scope.select.yh.showOptions = false;
    }
    $scope.create = function() {
      if ($scope.going) return
      if ($scope.going == 'compleate') {
        $scope.goStep('next', 2)
        return
      }
      var msg = $scope.ruleAll()
      if (msg != true) {
        $scope.alert(msg);
        return;
      }
      $scope.going = true
      var formData = new FormData();
      for (key in $scope.form) {
        console.log(key)
        formData.append(key, $scope.form[key]);
      }
      // formData.append("file", fileObj);
      $.ajax({
        type: "POST",
        url: urlMap.ttbOPCreate,
        data: formData,
        cache: false,
        processData: false,
        contentType: false,
      }).success(function(result) {
        console.log(result.errmsg)
        if (result.errno == 0) {
          $scope.$apply(function() {
            $scope.going = 'compleate'
            $scope.oneThingId = result.data.oneId
            $scope.goStep('next', 2)
          })
        } else {
          $scope.alert(result.errmsg)
        }
      }).error(function(err) {
        $scope.alert(err)
      });
    }
    $scope.goStep = function(direction, step) {
      /* if (direction == 'next') {
        var msg = $scope.ruleAll()
        if (msg != true) {
          $scope.alert(msg);
          return;
        }
      } */
      $timeout(function() {
        $ionicScrollDelegate.scrollTop();
      })
      $scope.step = step
    }
    $scope.alert = function(info, callback) {
      $ionicPopup.alert({
        title: '提示框',
        template: info
      }).then(function(res) {
        callback && callback();
      });
    }
    $scope.materials = [
      { name: '通化市“出生一件事”联办登记表', alias: '联办登记表', required: 1 },
      { name: '联办授权委托书', alias: '受委托人需上传联办授权委托书' },
      { name: '受委托人身份证正面', alias: '受委托人需上传身份证正面' },
      { name: '受委托人身份证反面', alias: '受委托人需上传身份证反面' },
      { name: '父亲身份证正面', required: 2 },
      { name: '父亲身份证反面', required: 2 },
      { name: '母亲身份证正面', required: 2 },
      { name: '母亲身份证反面', required: 2 },
      { name: '父亲户口本', required: 3 },
      { name: '母亲户口本', required: 3 },
      { name: '结婚证' },
      { name: '婴儿照片', required: 1 },
      { name: '出生医学证明', required: 1 },
      { name: '预防接种证', required: 1 }
    ]
    /* 附件上传 */
    $scope.removeFile = function(reset, num, item) {
      item.uploadFiles = null
      if (!reset) {
        var id = '#localPhotoFile' + num
        $(id).val(''); //本地
      }
    }
    /* 本地附件读取 */
    function readerfile(file) {
      return new Promise( function(resolve, reject) {
        var reader = new FileReader();
        reader.onload = function() {
          resolve(reader.result);
        };
        if (file) {
          reader.readAsDataURL(file)
        }
      })
    }
    $scope.fileChangeEvent = function(num, item) {
      var id = '#localPhotoFile' + num
      var files = $(id)[0].files;
      for (var i = 0; i < files.length; i++) {
        $scope.fileType = $scope.thisfileType(files[i].name);
        if (!$scope.fileType == 'error') {
          return;
        }
        $scope.removeFile('reset', num, item);
        try {
          readerfile(files[i]).then(function(e) {
            $scope.$apply(function() {
              item.uploadFiles = e
            })
            $scope.ajaxUpload(num)
          })
        } catch (e) {
          /* alert(e);
          $scope.$apply(function () {
            $scope.showUploadNames.push(files);
          }) */
        }
      }
    }
    /* 本地文件上传 */
    $scope.completeUpload = new Array($scope.materials.length)
    $scope.ajaxUpload = function(num) {
      // file,fileRemark,idCard,oneThingTypeId,from
      $timeout(function() {
        var id = '#files' + num
        $(id).ajaxSubmit({
          url: urlMap.ttbOPReUpload,
          type: "post",
          dataType: "json",
          success: function(res) {
            console.log(res)
            if (res.errno == 0) {
              var imgUrl = res.data.url;
              $scope.completeUpload[num] = imgUrl
              $(".shade").eq(num).hide()
            } else {
              $scope.alert("文件上传失败，请联系客服人员！");
            }
          },
          error: function(xhr) {
            $scope.$emit('loading', 'hide');
            $scope.alert("媒体上传失败，请联系客服人员！");
          },
          beforeSerialize: function() {
          },
          beforeSend: function() {
            $(".shade").eq(num).show()
            $(".shade").eq(num).html('0%');
          },
          uploadProgress: function(event, position, total, percentComplete) {
            $(".shade").eq(num).html(percentComplete.toString() + '%');
          }
        });
      })
    }
    $scope.change = false
    $scope.complete = function() {
      var list = $scope.completeUpload, length = list.length
      for (var i = 0; i < length; i++) {
        var file = list[i]
        if (file) $scope.change = true
      }
      var msg = '点击“完成”将修改的材料重新派发至“' + $scope.form.cStep.name + '”，是否继续？'
      if (!$scope.change) msg = "您未修改任何材料，点击“完成”将重新向“" + $scope.form.cStep.name + "”派发材料，是否继续？"
      $ionicPopup.confirm({
        title: "重新派发材料",
        template: msg,
        cancelText: '取消',
        okText: '确定'
      }).then(function(res) {
        if (res) {
          /* var data = {
            id: $scope.form.id
          }
          appService.postData(urlMap.ttbOPReUpdate, data,
            function(result) {
              if (result.code == 0) {
                $scope.completeThing = true
                $scope.viewGoback()
              }
            }); */
          var formData = new FormData();
          formData.append('id', $scope.form.id);
          $.ajax({
            type: "POST",
            url: urlMap.ttbOPReUpdate,
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
          }).success(function(result) {
            if (result.code == 0) {
              $scope.completeThing = true
              $scope.viewGoback()
              return
            }
            $scope.alert(result)
          }).error(function(err) {
            $scope.alert(err)
          });
        }
      });

    }
    /* $scope.onInfinite = function() {
      $scope.getList(++$scope.nextPage)
    } */
  }
])
