appModule.controller('ttbProductController', ['$scope', '$state', 'appService', '$stateParams',
  function($scope, $state, appService, $stateParams) {
    $scope.domore = true
    $scope.searchName = $stateParams.name;
    $scope.isAll = !!($scope.searchName == '服务概况')
    $scope.list = null
    $scope.nextPage = 0
    //data
    $scope.stateName = $state.current.name;
    //加载
    $scope.$on('$ionicView.loaded', function() {
    });
    $scope.getList = function(page) {
      var url = urlMap.ttbProductOne
      var data = {
        name: $scope.searchName
      }
      if ($scope.isAll) {
        url = urlMap.ttbProductGroup;
        data = {
        }
      }
      appService.getData(url, data,
        function(results) {
          $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
          console.log(results.resultList);
          $scope.domore = false;
          var list = results.data
          list.forEach(function(item) {
            if (!item.groupService) {
              item.groupService = [{
                name: item.name,
                iconName: item.iconName,
                onColor: item.onColor,
                route: item.route,
                regionCode: item.regionCode,
              }]
            }
            item.groupService.forEach(function(item) {
              Obj = item.route && JSON.parse(item.route)
              item.routeName = Obj && Obj.route
              item.routeParams = Obj && Obj.params || {}
              item.routeParams.name = item.name
            })
          })
          console.log(list)
          $scope.allGroup = list;
        });
    }
    $scope.goProduct = function(item, group) {
      if (item.name == "智慧综治") { $scope.alert('暂未开通'); return }
      if (!item.route) return
      item.routeParams = item.routeParams || {}
      item.routeParams.regionCode = group.regionCode
      item.routeParams.regionName = group.regionName
      $scope.goState(item.routeName, item.routeParams)
    }
    //跳转到文章页
    $scope.getArticleDetail = function(id) {
      var articleUrl = 'queryGuideArticle';
      var params = {
        fromTab: $scope.tabIndex,
        articleQuery: articleUrl,
        id: id,
        whiteList: []
      }
      $state.go('comArticle', params);
    }
    $scope.onInfinite = function() {
      $scope.getList(++$scope.nextPage)
    }
  }
])
