appModule.controller('StationController', ['$scope', 'appService', '$rootScope', '$state', '$timeout', '$ionicScrollDelegate'
  , function ($scope, appService, $rootScope, $state, $timeout, $ionicScrollDelegate) {
    //data
    $scope.stateName = $state.current.name;
    $scope.searchKey = 'multimedia';
    $scope.pageNext = 0;
    $scope.videoItemArr = null;
    $scope.footerActiveFlag = 1;
    $scope.stationIndex = 1;
    $scope.lastRegionId;
    //加载
    $scope.$on('$ionicView.loaded', function () {
    });
    //beforeEnter
    $scope.$on('changeDistrict', function (e, data) {
      if ($scope.stateName == $state.current.name) {
        if(!$scope.videoItemArr || $scope.lastRegionId != $scope.publicCityId) $scope.queryVideo(1);
        $scope.lastRegionId = $scope.publicCityId
      }
    });
    $scope.scrollTop = function () {
      $ionicScrollDelegate.scrollTop();
    }
    $scope.queryVideo = function (page) {
      if (page < 2) {
        $scope.videoItemArr = null;
        $scope.domore = true;
        $scope.pageNext = page = 1
      }
      $scope.$emit('loading', 'show');
      appService.getData(urlMap.videoList, { state: 2, area_id: $scope.publicCityId, isActivity: "0", page: page, isShare: 1 },
        function (results) {
          $scope.$emit('loading', 'hide');
          var list = results[0].resultList, length = list.length, size = results[0].size,
            articles = $scope.videoItemArr || []
            ;
          if (length < size) $scope.domore = false;
          if (length > 0) {
            for (var i = 0; i < list.length; i++) {
              var vio = list[i].name;
              var type = list[i].type; // 图片1视频2
              var portrait = list[i].portrait;
              if (portrait != null && portrait != "") {
                list[i].portrait = $scope.pic + "/" + portrait;
              } else {
                list[i].portrait = $scope.pic + urlMap.defaultImg;
              }
              if (type == "1") {
                list[i].pic = $scope.pic + "/" + vio;
              } else if (type == "2") {
                var pic = vio.substring(0, vio.length - 3);
                pic = pic + "jpg";
                list[i].vio = $scope.vio + "/" + vio;
                list[i].pic = $scope.vio + "/" + pic;
              }
              articles.push(list[i]);
            }
          }
          $scope.videoItemArr = articles;
          $timeout(function () {
            $ionicScrollDelegate.resize();
          })
          $scope.$broadcast('scroll.refreshComplete');
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
    }
    //下拉刷新
    $scope.doRefresh = function () {
      $scope.queryVideo(1);
    }

    //上拉加载
    $scope.onInfinite = function () {
      $scope.queryVideo(++$scope.pageNext);
    }
    //跳转到详情页面 
    $scope.goDetail = function (item) {
      var goState = function () { $state.go('entertainDetail', { id: item.id, type: "2", userId: item.userId }) },
        backState = function () { },
        option = null
        ;
      $scope.$emit("loginFirst", goState, backState, option);
    }
    $scope.goToMyself = function () {
      $scope.$emit('loginFirst', function () {
        $state.go("myself", { tabIndex: 1 });
      })
    }
    $scope.goToUpLoad = function () {
      $scope.$emit('loginFirst', function () {
        $state.go('upload')
      })
    }
    $scope.viewGoback = function () {
      $state.go('home');
    }

  }
])
