
appModule.controller('yiqingDongtaiController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$ionicScrollDelegate', '$document', function ($scope, $rootScope, $state, appService, $timeout, $ionicScrollDelegate, $document) {
  /* data */
  // $scope.stateName = $state.current.name;
  $scope.tongchengParam = {
    tcNo: null,
    arrive: null
  };
  var mydata;
  /* $scope.$watch('tongchengParam', function (n, o) {
    console.log('tongchengParam', n, o)
  }, true); */
  var delegate = $ionicScrollDelegate.$getByHandle('yiqingdongtaiScroll');
  $scope.dongtaiNavLevel = { now: 0 };
  /*** 
   * life cycle 
   * */
  $scope.$on('$ionicView.enter', function () {
    // $scope.queryArray(0);
    $scope.initDateArr();
    $scope.queryYiqingDatasChinaTotle();
    $scope.queryYiqingDatas();
    // $scope.queryRumorArray();
    $timeout(function () {
      $scope.initdNavLevel();
    }, 0);
  });
  /* 初始化日期插件 */
  $scope.initDateArr = function () {
    $("#tcDate").mobiscroll().date();
    var currYear = (new Date()).getFullYear();
    //初始化日期控件
    var opt = {
      preset: 'date', //日期，可选：date\datetime\time\tree_list\image_text\select
      theme: 'android-ics light', //皮肤样式，可选：default\android\android-ics light\android-ics\ios\jqm\sense-ui\wp light\wp
      display: 'bottom', //显示方式 ，可选：modal\inline\bubble\top\bottom
      mode: 'scroller', //日期选择模式，可选：scroller\clickpick\mixed
      lang: 'zh',
      dateFormat: 'yyyy-mm-dd', // 日期格式
      setText: '确定', //确认按钮名称
      cancelText: '取消',//取消按钮名籍我
      dateOrder: 'yyyymmdd', //面板中日期排列格式
      dayText: '日', monthText: '月', yearText: '年', //面板中年月日文字
      showNow: false,
      nowText: "今",
      startYear: currYear - 1, //开始年份  
      endYear: currYear //结束年份  
      //endYear:2099 //结束年份
    };
    $("#tcDate").mobiscroll(opt);
  }
  $scope.clearDate = function (e) {
    // e.
    $('#tcDate').val(null);
  }
  function intervalTime(startTime) {
    var date1 = new Date(startTime);  //开始时间
    var date2 = new Date();    //结束时间
    var date3 = date2.getTime() - date1.getTime();  //时间差的毫秒数
    //计算出相差天数
    var days = Math.floor(date3 / (24 * 3600 * 1000));
    //计算出小时数
    var leave1 = date3 % (24 * 3600 * 1000);    //计算天数后剩余的毫秒数
    var hours = Math.floor(leave1 / (3600 * 1000));
    //计算相差分钟数
    var leave2 = leave1 % (3600 * 1000);        //计算小时数后剩余的毫秒数
    var minutes = Math.floor(leave2 / (60 * 1000));
    //计算相差秒数
    var leave3 = leave2 % (60 * 1000);      //计算分钟数后剩余的毫秒数
    var seconds = Math.round(leave3 / 1000);
    minutes = minutes > 0 ? minutes : 1;
    return [days, hours, minutes, seconds]

  }
  var formatDateTime = function (nS) {
    var date = new Date(parseInt(nS));
    var y = date.getFullYear();
    var m = date.getMonth() + 1;
    m = m < 10 ? ('0' + m) : m;
    var d = date.getDate();
    d = d < 10 ? ('0' + d) : d;
    var h = date.getHours();
    h = h < 10 ? ('0' + h) : h;
    var minute = date.getMinutes();
    minute = minute < 10 ? ('0' + minute) : minute;
    var second = date.getSeconds();
    second = second < 10 ? ('0' + second) : second;
    return y + '-' + m + '-' + d + ' ' + h + ':' + minute + ':' + second;

  };
  /* function getLocalTime(nS) {
    return new Date(parseInt(nS)).toLocaleString().replace(/:\d{1,2}$/, ' ');
  } */
  $scope.dongtaiNavStyle;
  $scope.ionScroll = function () {
    var scrollTop = event.detail && event.detail.scrollTop,
      $gotop = $(event.target).parents('ion-view').children('.goTop');
    if (scrollTop < 20) $gotop.hide();
    else $gotop.show();
    if (scrollTop < $scope.dongtaiNavLevel.level1) $scope.$apply(function () {
      $scope.dongtaiNavLevel.now = 0;
    });
    if (scrollTop >= $scope.dongtaiNavLevel.level1) $scope.$apply(function () {
      $scope.dongtaiNavLevel.now = 1;
    });
    if (scrollTop >= $scope.dongtaiNavLevel.level2) $scope.$apply(function () {
      $scope.dongtaiNavLevel.now = 2;
    });
    if (scrollTop >= $scope.dongtaiNavLevel.level3) $scope.$apply(function () {
      $scope.dongtaiNavLevel.now = 3;
    });
    // console.log(scrollTop);
  }
  $scope.initdNavLevel = function () {
    var elm1 = $document[0].getElementById('yiqingChinaWrap');
    // var elm2 = $document[0].getElementById('yiqingRumor');
    var elm3 = $document[0].getElementById('yiqingRoute');
    var wrapScrollHeight = $document[0].getElementById('yiqingdongtaiScroll').scrollHeight;
    var wrapClientHeight = $document[0].getElementById('yiqingdongtaiScroll').clientHeight;
    $scope.dongtaiNavLevel.level1 = elm1.offsetTop - 50;
    // $scope.dongtaiNavLevel.level2 = elm2.offsetTop - wrapClientHeight + 125;
    $scope.dongtaiNavLevel.low = !(wrapClientHeight <= elm3.clientHeight) ? wrapScrollHeight - wrapClientHeight : null;
    // $scope.dongtaiNavLevel.level3 = !$scope.dongtaiNavLevel.low ? elm2.offsetTop - wrapClientHeight + 125 : wrapScrollHeight - wrapClientHeight;
    $scope.dongtaiNavLevel.level3 = elm3.offsetTop - 50;
  }
  $scope.scrollOrientation = function (idStr, indexindex) {
    //滚动到省锚点
    var hash = idStr;
    var elm = hash && $document[0].getElementById(hash);
    var scrollTop = elm.offsetTop - 50;
    if ($scope.dongtaiNavLevel.low && indexindex == 2) scrollTop = $scope.dongtaiNavLevel.low - 1;
    delegate && delegate.scrollTo(null, scrollTop);
    delegate.resize();
  }
  $scope.queryYiqingDatasChinaTotle = function () {
    var url = "http://api.tianapi.com/txapi/ncov/index";
    data = {
      key: 'a400c1a836e8609e612452c81f8072dd'
    }
    appService.getData(url, data,
      function (results) {
        console.log('全国总数: ', results);
        if (!results.newslist || !results.newslist[0] || !results.newslist[0].desc) return;
        $scope.chinaDates = results.newslist[0].desc;
        $scope.chinaDates.modifyTime = formatDateTime($scope.chinaDates.modifyTime);
        $scope.chinaDates.modifyTimeBy = intervalTime($scope.chinaDates.modifyTime);
        $timeout(function () {
          $scope.initdNavLevel();
        }, 0);
      })
  }
  $scope.queryYiqingDatas = function () {
    var url = "http://api.tianapi.com/txapi/ncovcity/index";
    data = {
      key: 'a400c1a836e8609e612452c81f8072dd'
    }
    $scope.$emit('loading', 'show');
    appService.getData(url, data,
      function (results) {
        console.log('省市数据: ', results);
        if (!results.newslist || !results.newslist.length) return;
        var pros = $scope.provinceDates = results.newslist;
        mydata = [];
        for (var i = 0; i < pros.length; i++) {
          var item = {
            name: pros[i].provinceShortName,
            curedCount: pros[i].curedCount,
            deadCount: pros[i].deadCount,
            value: pros[i].confirmedCount,
            // selected:true
          }
          // if ($scope.city.id == '2205' && pros[i].provinceShortName == "吉林") item.selected = true
          if (pros[i].provinceName == $scope.province.name) $scope.jilinIndex = i
          mydata.push(item);

        }
        $timeout(function () {
          $scope.initdNavLevel();
        }, 0);
        $scope.initChina();
      })
  }
  $scope.showCities = function (province, i) {
    if (!province.cities || !province.cities.length) return;
    var isOpen = !province.citiesShow;
    if ($scope.lastProvinceDown) $scope.lastProvinceDown.citiesShow = false;
    $scope.lastProvinceDown = province;
    province.citiesShow = isOpen;
    if (isOpen) {
      $timeout(function () {
        //滚动到省锚点
        var hash = 'province' + i;
        var elm = hash && $document[0].getElementById(hash);
        var scrollTop = elm.offsetTop - 50;
        delegate && delegate.scrollTo(null, scrollTop);
        delegate.resize()
      }, 0);
    }
    $timeout(function () {
      $scope.initdNavLevel();
    }, 0);
  }
  $scope.queryRumorArray = function () {
    var url = "http://api.tianapi.com/txapi/rumour/index";
    data = {
      key: 'a400c1a836e8609e612452c81f8072dd'
    }
    appService.getData(url, data,
      function (results) {
        console.log('谣言鉴别: ', results);
        if (!results.newslist || !results.newslist.length) return;
        $scope.rumorArray = results.newslist;
        $scope.initRumorSwiper();
        $timeout(function () {
          $scope.initdNavLevel();
        }, 0);
      })
  }
  $scope.initRumorSwiper = function () {
    if (!!$scope.rumorArray && $scope.rumorArray.length > 1) {
      $timeout(function () {
        $scope.rumorSwiper = new Swiper('#yiqingDongtaiRumorSwiper', {
          width: undefined,
          effect: 'coverflow',
          slidesPerView: 1.2,
          centeredSlides: true,
          coverflowEffect: {
            rotate: 10,
            stretch: -16,
            depth: 50,
            modifier: 1,
            slideShadows: false
          },
          // loop: true,
          pagination: {
            el: '.rumor-swiper-pagination'
          },
        });
      });
    }
  }
  /* 查询同乘 */
  $scope.tongchengResult = function (page) {
    if (page == 0 || page == 1) {
      $scope.tongcheng = null;
      $scope.pageNext = 1;
      page = 1;
    }
    var size = 10;
    $scope.$emit('loading', 'show');
    var url = "http://api.tianapi.com/txapi/ncovsame/index";
    data = {
      key: 'a400c1a836e8609e612452c81f8072dd',
      page: page
    }
    $scope.domore = false;
    if ($('#tcDate').val()) data.date = $('#tcDate').val();
    if ($scope.tongchengParam.arrive) data.arrive = $scope.tongchengParam.arrive;
    if ($scope.tongchengParam.tcNo) data.no = $scope.tongchengParam.tcNo;
    appService.getData(url, data,
      function (results) {
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        console.log(page, '同乘结果: ', results);
        if (!results.newslist || !results.newslist.length) {
          $scope.tongcheng = $scope.tongcheng || [];
          $scope.$emit('loading', 'hide'); return
        }
        var list = results.newslist,
          length = list.length,
          tongcheng = $scope.tongcheng || [];
        if (length < size) $scope.domore = false;
        else {
          $timeout(function () {
            $scope.domore = true
          }, 700)
        }
        tongcheng = tongcheng.concat(results.newslist);
        $timeout(function () {
          $scope.$emit('loading', 'hide');
          $scope.tongcheng = tongcheng;
        }, 500)
        $timeout(function () {
          delegate.resize();
          if (page == 1) delegate.scrollBy(0, 50, true)
        }, 600)
      });
  }
  //上拉加载
  $scope.onInfinite = function () {
    $scope.tongchengResult(++$scope.pageNext);
  }
  $scope.initChina = function () {
    loadBdScript('china', 'lib/echarts/china.js', function () {
      window.myChart = echarts.init($document[0].getElementById("yiqingChina"));
      var option = {
        backgroundColor: "#4a38fe",
        tooltip: {
          trigger: 'item',
          formatter: function (params) {
            // console.log(params);
            var res = '';
            res += params['data'].name + '</br>';
            res += '确诊' + ' : ' + params['data'].value + '</br>';
            res += '治愈' + ' : ' + params['data'].curedCount + '</br>';
            res += '死亡' + ' : ' + params['data'].deadCount + '</br>';
            return res;
          }
          //formatter: '{b}<br/>{c}'
        },
        dataRange: {
          x: 'left',
          y: 'bottom',
          splitList: [
            { start: 1, end: 9, color: '#ffd2a0' },
            { start: 10, end: 99, color: '#fe8664' },
            { start: 100, end: 999, color: '#e64b47' },
            { start: 1000, end: 9999, color: '#c91014' },
            { start: 10000, color: '#9c0a0d' }
          ],
          textStyle: {
            color: '#000' // 值域文字颜色
          },
        },
        series: [
          {
            mapType: "china",
            selectedMode: 'single',
            data: mydata,
            name: "数据",
            type: "map",
            roam: 'scale',
            zoom: 1.3,
            scaleLimit: { //滚轮缩放的极限控制
              min: 1.2,
              max: 2
            },
            aspectScale: 0.75,
            itemStyle: {
              normal: {
                label: {
                  show: true,
                  textStyle: {
                    fontSize: 8
                  }
                }
              },
              emphasis: {
                areaColor: 'yellow',
                label: {
                  show: true,
                  textStyle: {
                    fontSize: 12,
                    color: '#000'
                  }
                }
              },
            }
          }
        ]
      };
      myChart.setOption(option);
      myChart.dispatchAction({
        type: 'showTip',
        position: [50, 50]
      });
      /* myChart.on('click', function (params) {
        console.log(params);//此处写点击事件内容
      }); */

      if ($scope.jilinIndex != null) {
        myChart.dispatchAction({
          type: 'mapSelect',
          seriesIndex: 0,
          dataIndex: $scope.jilinIndex
        });
        myChart.dispatchAction({
          type: 'showTip',
          seriesIndex: 0,
          dataIndex: $scope.jilinIndex
        });
      }
    });
    $timeout(function () {
      $scope.$emit('loading', 'hide');
    }, 1000);
  }
  function loadBdScript(scriptId, url, callback) {
    var script = document.createElement("script");
    script.type = "text/javascript";
    if (script.readyState) {  //IE
      script.onreadystatechange = function () {
        if (script.readyState === "loaded" || script.readyState === "complete") {
          script.onreadystatechange = null;
          callback();
        }
      };
    } else {  // Others  
      script.onload = function () {
        callback();
      };
    }
    script.src = url;
    script.id = scriptId;
    document.getElementsByTagName("head")[0].appendChild(script);
  };
}
]);
