
appModule.controller('yiqingHomeController', ['$scope', '$stateParams', '$state', 'appService', '$timeout', '$ionicScrollDelegate',
  function ($scope, $stateParams, $state, appService, $timeout, $ionicScrollDelegate) {
    /* data */
    $scope.stateName = $state.current.name;
    // $scope.yiqingSwitch = $stateParams.switch;
    /*** 
     * life cycle 
     * */
    /* root enterBefore */
    $scope.$on('changeDistrict', function (e, data) {
      if ($scope.stateName == $state.current.name) {
        $scope.queryArray(0);
      }
    });
    /* $scope.$on('changeDistrict', function (e, data) {
      if ($scope.stateName == $state.current.name) {
      }
    }); */
    /***
     * method 
     * */
    $scope.ionScroll = function () {
      var scrollTop = event.detail && event.detail.scrollTop,
        $gotop = $(event.target).parents('ion-view').children('.goTop');
      if (scrollTop < 20) $gotop.hide();
      else $gotop.show();
      // $scope.scrollTopOver50 = scrollTop > 50 ? 'scrollTopOver50' : null;
      if (scrollTop > 50) $('#resistanceDiseases').addClass('scrollTopOver50');
      else $('#resistanceDiseases').removeClass('scrollTopOver50');
      // console.log($scope.scrollTopOver50)
    }
    $scope.queryArray = function (page) {
      if (page == 0 || page == 1) { //页面刷新时为0,下拉刷新时为1
        $scope.pageNext = 1;
        page = 1;
      }
      $scope.$emit('loading', 'show');
      var data = {
        areaId: $scope.publicCityId,
        page: page
      }
      appService.getData(urlMap.resistanceTDArticleList, data,
        function (results) {
          $scope.$emit('loading', 'hide');
          $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
          $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
          console.log(page, results.resultList);
          if (page == 1) {
            $scope.articleArray = null;
          }
          var list = results.resultList,
            length = list.length,
            size = results.size,
            articles = $scope.articleArray || [];
          if (length < size) $scope.domore = false;
          else {
            $timeout(function () {
              $scope.domore = true
            }, 200)
          }
          if (length > 0) {
            for (var i = 0; i < length; i++) {
              var item = list[i],
                article = {},
                _summary;
              article.id = item.id;
              article.title = item.title; //标题
              article.picName = item.picName; //缩略图
              // article.picName = item.picName || $scope.pic + urlMap.defaultUpload; //缩略图
              article.createTime = item.createTime; //时间
              _summary = $('<div>' + item.textContent + '</div>').text();
              // console.log(_summary.replace(/\s+/g,''));
              _summary = _summary.replace(/\s+/g, '').slice(0, 60);
              // _summary = article.picName ? _summary.slice(0, 60) : _summary.slice(0, 60);
              article.picArray = item.picArray;
              article.summary = _summary;
              article.wrap = item.picArray.length > 2 ? true : false;
              articles.push(article);
            }
          }
          $scope.articleArray = articles;
          $timeout(function () {
            $ionicScrollDelegate.$getByHandle("resistanceDiseasesScroll").resize();
          }, 1000)
        });
    }
    $scope.doRefresh = function () {
      $scope.queryArray(1);
    }
    $scope.onInfinite = function () {
      // if ($scope.pageNext == null) return;
      $scope.queryArray(++$scope.pageNext);
    }
    //跳转到文章页
    $scope.getArticleDetail = function (id) {
      var articleUrl = 'resistanceTDArticleDetail';
      var params = {
        articleQuery: articleUrl,
        id: id,
        whiteList: [
          { cityId: '2205', distName: '通化市' }
        ],
        shareFlag: 12
      }
      $state.go('comArticle', params);
    }

  }
]);
