
appModule.controller('zhzzGloryAdminController', ['$scope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', function ($scope, $state, appService, $timeout, $stateParams, $ionicPopup) {
  $mScope = $scope.$parent;
  $mScope.currentFun = 'glory';
  $scope.stateName = $state.current.name;
  $scope.dataArray;
  $scope.pageNext = 0;
  $scope.domore;
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.$on('$stateChangeStart',
    function (event, toState, toParams, fromState, fromParams) {
      $mScope.backState = $scope.stateName;
      $mScope.viewGoback = $rootScopeViewGoback;
    })
  $scope.$watch('districtForFuncList', function (n, o) {
    if (!n) return;
    $scope.queryArray(0);
  }, true);
  $scope.queryArray = function (page) {
    if (page < 1) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext = 0;
      $scope.dataArray = null;
    }
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.peoples, {
      mid: 1,
      regionId: $scope.districtForFuncList.id,
      isGlory: 1,
      size: 20,
      page: page
    }, function (results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      console.log('光荣榜:', results);
      if (!results) return;
      var list = results.data, length = list.length, size = results.size,
        articles = $scope.dataArray || []
        ;
      if (length < size) $scope.domore = false;
      else {
        $timeout(function () {
          $scope.domore = true;
        }, 200)
      }
      /* if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i];
          article = item;
          article.summary = $('<div>' + item.content + '</div>').text().replace(/\s+/g, '').slice(0, 30);
          articles.push(article);
        }
      }
      $scope.dataArray = articles; */
      $scope.dataArray = articles.concat(list);
    });
  }
  $scope.doRefresh = function () {
    $scope.queryArray(0);
  }
  $scope.onInfinite = function () {
    $scope.queryArray(++$scope.pageNext);
  }
  $scope.alert = function (info, queryAgain, callback) {
    $ionicPopup.alert({
      title: '提示框',
      template: info
    }).then(function (res) {
      if (queryAgain)
        $scope.queryArray(0);
      callback && callback();
    });
  }
  $scope.getArticleDetail = function (id) {
    $state.go('zhzzArticleDetail', { id: id, shareFlag: null, queryUrl: 'peopleItem',type:'person' })
  }
}]);

