

appModule.controller('zhzzFuncListController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$stateParams', '$ionicScrollDelegate', function ($scope, $rootScope, $state, appService, $timeout, $stateParams, $ionicScrollDelegate) {
  $scope.stateName = $state.current.name;
  $mScope = $scope.$parent;
  $mScope.currentFun = 'funlist';
  $scope.pageNext = [];
  $scope.domore = [];
  $scope.$on('$stateChangeStart',
    function (event, toState, toParams, fromState, fromParams) {
      //离开本页
      $mScope.backState = $scope.stateName;
    })
  $scope.$watch('queryIndex', function (n, o) {
    if (!(n >= 0)) return;
    $scope.queryFLArray(n, 0);
  });
  $scope.queryFLArray = function (tabindex, page) {
    if (!(tabindex >= 0)) return;
    var navObj = $scope.activeNav3Obj || (tabindex > -1 ? $scope.activeNav2Obj : $scope.activeNavRootObj);
    tabindex = tabindex > -1 ? tabindex : 0;
    if (page == 0) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext[tabindex] = 0;
    }
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.comArts, {
      menuId: navObj.id,
      productId: 1,
      state: 1,
      mid: 1,
      page: page
    }, function (results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      console.log(navObj.name, ' 文章列表: ', results);
      if (!results || !results.data) return;
      if (page == 0) {
        $scope.allArrays['tab' + tabindex] = null;
        var delegate = $ionicScrollDelegate.$getByHandle('articlesListScroll');
        delegate.scrollTop();
      }
      var list = results.data, length = list.length, size = results.size,
        articles = $scope.allArrays['tab' + tabindex] || []
        ;
      if (length < size) $scope.domore[tabindex] = false;
      else {
        $timeout(function () {
          $scope.domore[tabindex] = true;
        }, 200)
      }
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i], article = {};
          article = item;
          // article.summary = $('<div>' + item.textcontent + '</div>').text().replace(/\s+/g, '');
          // article.thumbnail = item.thumbnail || $scope.pic + urlMap.defaultUpload;;
          // article.createTime = item.picName || item.createTime;
          articles.push(article);
        }
      }
      $scope.allArrays['tab' + tabindex] = articles;
    });
  }
  $scope.formControler = function () {
    return false;
  }
  $scope.doRefresh = function () {
    $scope.queryFLArray($scope.queryIndex, 0);
  }
  $scope.onInfinite = function () {
    var n = $scope.queryIndex;
    $scope.domore[n] = false;
    $scope.queryFLArray(n, ++$scope.pageNext[n]);
  }
  $scope.getArticleDetail = function (id) {
    $state.go('zhzzArticleDetail', { id: id, shareFlag: 15, queryUrl: 'comArts' })
  }
}]);

