appModule.controller('GoodsController', ['$scope', 'appService', '$state',
    function ($scope, appService, $state) {


        console.log("goodsController ionicView.enter");
        $scope.pageNext = 1;
        $scope.queryGoods = function (pageIndex) {
            //我卖的商品列表 
            appService.getData(urlMap.goodsList, { "userid": $scope.user.id, page: pageIndex },
                function (jsonData) {
                    // 分页处理
                    if (pageIndex == 1) {
                        $scope.goodsList = [];
                        $scope.domore = false;
                    }
                    var jsonData = jsonData[0].resultList;

                    if (jsonData.length != 0) {
                        var dataItemArr = jsonData;
                        for (var i = 0; i < dataItemArr.length; i++) {
                            //增加默认新闻图片
                            if (dataItemArr[i]["picName"] == "" || dataItemArr[i]["picName"] == "undefined") {
                                dataItemArr[i]["picName"] = urlMap.newImg;
                            }

                            var vio = dataItemArr[i].picName;
                            var type = dataItemArr[i].type; // 图片1视频2
                            var portrait = dataItemArr[i].portrait;
                            if (portrait != null && portrait != "") {
                                dataItemArr[i].portrait = $scope.pic + "/" + portrait;
                            } else {
                                dataItemArr[i].portrait = $scope.pic + urlMap.defaultImg;
                            }
                            if (type == "1") {
                                dataItemArr[i].pic = $scope.pic + "/" + vio;
                            } else if (type == "2") {
                                var pic = vio.substring(0, vio.length - 3);
                                pic = pic + "jpg";
                                dataItemArr[i].vio = $scope.vio + "/" + vio;
                                dataItemArr[i].pic = $scope.vio + "/" + pic;
                            } else if (type == "0") {
                                dataItemArr[i].pic = $scope.pic + urlMap.defaultUpload;
                            }


                            $scope.goodsList.push(dataItemArr[i]);
                        }

                        $scope.pageNext = pageIndex + 1;
                        //动态刷新事件处理
                        $scope.$broadcast('scroll.refreshComplete');
                        $scope.$broadcast('scroll.infiniteScrollComplete');
                    } else {
                        $scope.domore = true;

                    }


                });
        }

        //下拉刷新
        $scope.doRefresh = function () {
            $scope.queryGoods(1);
        }
        $scope.doRefresh();
        //上拉加载
        $scope.onInfinite = function () {
            $scope.queryGoods($scope.pageNext);
        }

        //跳转到详情页面 
        $scope.goDetail = function (item) {
            $scope.$emit('loginFirst', function () {
                $state.go('dealDetail', { id: item.id })
            })
        }
    }
])
