(function($){
	

	/**shiqs 本机**/
	// $.lsmCtx = 'http://47.93.98.160:8080/thapp';
//	$.lsmCtx = 'http://118.190.40.135:8080/thapp';


	
	$.fn.extend({
		//初始化日期
		initDate : function(opt){
			var currYear = (new Date()).getFullYear();  
			var defaults = {
					preset: 'date', //日期，可选：date\datetime\time\tree_list\image_text\select
					theme: 'android-ics light', //皮肤样式，可选：default\android\android-ics light\android-ics\ios\jqm\sense-ui\wp light\wp
					display: 'modal', //显示方式 ，可选：modal\inline\bubble\top\bottom
					mode: 'scroller', //日期选择模式，可选：scroller\clickpick\mixed
					animate:'fade',
					lang:'zh',
					dateFormat: 'yyyy-mm-dd', // 日期格式
					dateOrder: 'yyyymmdd', //面板中日期排列格式
					setText: '确定', //确认按钮名称
					cancelText: '取消',//取消按钮名籍我
					dayText: '日', monthText: '月', yearText: '年', //面板中年月日文字
					showNow: false,  
	           		nowText: "今",  
	            	startYear:currYear , //开始年份  
	            	endYear:currYear + 1 //结束年份  
	            	//endYear:2099 //结束年份
			};
			opt = $.extend(defaults,opt);
			$(this).mobiscroll(opt);
		},
		//下拉插件
		dropDownList:function(opt){
            var defaults = {
	                targetId : "",  //下拉选项ID
	                targetItem:"a",  //下拉选项的操作子元素
	                activeClass:"active", // 下拉按钮切换样式名称
	                top:"",
	                callback:function(){} //回调函数
            }
             opt = $.extend(defaults,opt);
            var _self = $(this);
            var  offset = _self.offset();
            var  top =  offset.top + _self.height();
            var  _targetList = $("#"+opt.targetId);
                     if(opt.top){
                    	 top = opt.top;
                     }
                     _targetList.css({"top":top+"px","position":"absolute" ,"z-index":100});
                 //下拉按钮绑定事件
                 _self.on('touchend', function(event) {
    	             if($(_self).hasClass(opt.activeClass)){
                           $(_self).removeClass(opt.activeClass);
                           _targetList.slideUp(300);
                 	  }else{
                 	  	  $(_self).addClass(opt.activeClass);
                 	  	  _targetList.slideDown(400);
                 	  }
    	             
    	              return false;
				 })
                 //下拉列表选项绑定事件
			    _targetList.find(opt.targetItem).on('touchend',function(){
			           _self.removeClass(opt.activeClass);
			           _targetList.hide();
			           if(opt.callback){
			           	   opt.callback($(this));
			           }
			    })
                 //文档 绑定事件
			    $(document).click(function(e){
			        var e = e||event;
			        var tar = e.target ||e.srcElement;
			            e.stopPropagation?e.stopPropagation():e.cancelBubble=true;
			           
			            if($(tar).parents("#"+opt.targetId).length == 0 && $(tar).parents("#"+_self.attr("id")).length == 0  && $(tar).attr("id") != _self.attr("id")){
			                   _targetList.slideUp(300);
			                  _self.removeClass(opt.activeClass);
			            }
			    });
		}
		
	});
	
	
	$.extend({
		addVoiceLog: function(opt) {
			if(opt.resultKeyWord){
				opt['resultKeyword'] = opt.resultKeyWord;
			}
			var defaults = {
					userNameOA:$.getUserName(),
					userId : $.getUserName(),
					voiceText : "请输入用户说的话",
					resultFlag : "0",
					resultKeyword : ""
			};
			opt = $.extend(defaults,opt);
			$.ajax({
				type : 'POST',
				url :$.pcCtx+'/log/userOptLog!saveVoiceLog.action',
				data :opt,
				success : function(page) {
					console.log("语音日志记录成功");
				},
				error:function(){
					console.log("语音日志记录失败");
				}
			});
		},
		
		showLoad:function(msg,option){
			//option.top
			$('#load').show();
			if(msg){
				$('#load div').html(msg);
			}else{
				$('#load div').html('正在加载中...');
			}
			if(option && option.top){
				$('#load').css({top:option.top});
			}else{
				$('#load').css({top:'50%'});
			}
			setTimeout(function(){
				$.hideLoad();
			},7000);
		},
		hideLoad:function(){
			$('#load').hide();
		},
		getUrlParam : function(name){
		     var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
		     var r = window.location.search.substr(1).match(reg);
		     if(r!=null)return  unescape(r[2]); return null;
		},
		getLastDate : function(fmt){

			return $.getAddDate(new Date(), -1,fmt);
		},
		getAddDate : function(cdate, len,fmt){
			var date = new Date(cdate);
			var cYear = date.getFullYear();
			var cMonth = date.getMonth();
			var cDate = date.getDate();
			//处理 
			var lastDate = new Date(cYear, cMonth, cDate);
			lastDate.setDate(lastDate.getDate() + len);//取得系统时间的前一天,重点在这里,负数是前几天,正数是后几天 
			
			if(fmt){
				return lastDate.Format(fmt);
			}
			//得到最终结果 
			return lastDate.Format("yyyy-MM-dd");
		},
		
		
		getResultHttps: function (param,callback){//获取接口数据
			$.get($.lsmCtx +param,function(data,textStatus){
				 data = (typeof(data) == "string" && data!="" )?JSON.parse(data):data;
				 callback(data);
			});
		},

		dateFormat:function(dateStr){
			 var dtArr = dateStr.split("-");
			 var dt = new Date()
			 dt.setFullYear(dtArr[0], dtArr[1]-1, dtArr[2]);
			 return dt.Format("yyyyMMdd");
		},
		
		getPreDayDate:function(dateStr,N){//获取前n天的日期，dateStr当前日期字符串，N前几天
			  var d = new Date(dateStr.replace(/-/g, '/'));
			  d.setDate(d.getDate() - N); // 前7天
			  return d.Format("yyyyMMdd");
		},
		
		getPreMonthDate:function(dateStr,N,fmt){//获取前N个月的日期,dateStr当前日期字符串，N前几月
			  var d = new Date(dateStr.replace(/-/g, '/'));
			  d.setMonth(d.getMonth() - N);	
			  d.setDate("1");	
			  
			  if(fmt){
					return d.Format(fmt);
				}
				//得到最终结果 
				
			  return d.Format("yyyyMMdd");
		},
		getPreYearDate:function(dateStr,N){//获取前n年的日期，dateStr当前日期字符串，N前几年
			  var d = new Date(dateStr.replace(/-/g, '/'));
			  d.setFullYear(d.getFullYear() - N);	
			  return d.Format("yyyyMMdd");
		},
		getFirstDate:function(dateStr){//获取前n年的日期，dateStr当前日期字符串，N前几年
			  var d = new Date(dateStr.replace(/-/g, '/'));
			  d.setDate("1");	
			  return d.Format("yyyyMMdd");
		},
		
		
		
			
		
		setCookie:function(c_name,value){
			document.cookie = c_name+ "=" +escape(value);
		},
		getCookie:function(name){  //取回cookie
			var arr,reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");
			if(arr=document.cookie.match(reg)){
				return unescape(arr[2]);
			}else{
				return null;
			}
		}
	});
	
	
})($);






Date.prototype.Format = function(fmt) { // author: meizz
	var o = {
		"M+" : this.getMonth() + 1, // 月份
		"d+" : this.getDate(), // 日
		"h+" : this.getHours(), // 小时
		"m+" : this.getMinutes(), // 分
		"s+" : this.getSeconds(), // 秒
		"q+" : Math.floor((this.getMonth() + 3) / 3), // 季度
		"S" : this.getMilliseconds()
	// 毫秒
	};
	if (/(y+)/.test(fmt))
		fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "")
				.substr(4 - RegExp.$1.length));
	for ( var k in o)
		if (new RegExp("(" + k + ")").test(fmt))
			fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k])
					: (("00" + o[k]).substr(("" + o[k]).length)));
	return fmt;
};
//方法重名
/*Number.prototype.toPercent = function(){
	return (Math.round(this * 10000)/100).toFixed(2) + '%';
}*/
Number.prototype.toUnit = function(digit , text){
	var that = this;
	if(isNaN(that)){
		that = 0;
	}
	digit = Math.pow(10,digit);
	if(undefined == text){text ="";}
	return (that /digit).toFixed(2) + text;
};
Number.prototype.toPercent = function(){
	var that = this;
	if(isNaN(that)){
		that = 0;
	}
	return (Math.round(that * 10000)/100).toFixed(2) + '%';
};

Number.prototype.toFixedCmdc = function(no){
	var value = this.toString();
	if(value == NaN || value == 'NaN' || value == null || value == 'null'){
		return '--';
	}else{
		return this.toFixed(no);
	}
};
