appModule.controller('convenienceSListController', ['$scope', '$stateParams', 'appService', '$state', '$timeout', '$ionicScrollDelegate', function($scope, $stateParams, appService, $state, $timeout, $ionicScrollDelegate) {
    //data
    $scope.stateName = $state.current.name;
    $stateParams.typeId
    $scope.searchKey = 'bnservice';
    $scope.iconName = $stateParams.iconName ? 'iconzz-' + $stateParams.iconName : null;
    $scope.pageNext = 1;
    $scope.itemArr;
    $scope.domore = false;
    $scope.areaId;
    $scope.tabIndex = 0
    //加载
    $scope.$on('$ionicView.loaded', function() {
        $scope.bmServiceOlList()
    });
    //广播 - 地域变换
    $scope.$on('changeDistrict', function(e, data) {
        if ($scope.stateName == $state.current.name) {
            if ($scope.areaId != $scope.publicCityId) $scope.queryList(0);
            $scope.areaId = $scope.publicCityId;
        }
    });
    $scope.changeTab = function(i) {
        $scope.tabIndex = i
    }
    $scope.queryList = function(page) {
        if (page < 2) {
            $scope.pageNext = 1;
            page = 1;
        }
        $scope.$emit('loading', 'show');
        $scope.bmList = page == 1 ? null : $scope.bmList;
        var data = {
            page: page,
            areaId: $scope.publicCityId,
            bnServiceTypeID: $stateParams.typeId
        }
        $scope.domore = false
        appService.getData(urlMap.queryBNService, data,
            function(result) {
                $scope.$emit('loading', 'hide');
                $scope.$broadcast('scroll.refreshComplete');
                $scope.$broadcast('scroll.infiniteScrollComplete');
                console.log("便民: ", result);
                var list = result.resultList, length = list.length, size = result.size,
                    articles = $scope.bmList || [];
                if (length == size) $timeout(function() {
                    $ionicScrollDelegate.resize();
                    $scope.domore = true;
                })

                if (length > 0) {
                    for (var i = 0; i < length; i++) {
                        var item = list[i], article = {};
                        article.id = item.id;
                        article.bnServiceName = item.bnServiceName;
                        article.address = item.address;
                        article.phone = item.phone == "<p>无</p>" || '无' ? null : item.phone;
                        article.pic_name = item.pic_name;
                        switch (item.type) {
                            /* case '0':
                                article.pic_name = $scope.pic + urlMap.defaultUpload;
                                break; */
                            case '2':
                                article.video = item.pic_name;
                                article.pic_name = article.pic_name.substring(0, vio.length - 3) + 'jpg';
                                break;
                        }
                        if (i == 0) $scope.typeName = item.bnServiceTypeName;
                        articles.push(article);
                    }
                    $scope.bmList = articles;
                }
            });
    }
    $scope.bmServiceOlList = function() {
        var data = {
            osiId: 1, // 1线上服务
            state: 1,
            convenientServiceId: $stateParams.typeId
        }
        $scope.$emit('loading', 'show');
        appService.getData(urlMap.bmServiceOlList, data,
            function(result) {
                $scope.$emit('loading', 'hide');
                $scope.olService = result.data
                /* $scope.olService = [{
                    id: 1,
                    name: '通化恒泰热力有限公司',
                    img: 'http://xn--5bvz82b.com:81//900px_95d44da0-298f-4634-83be-d2fd7e9714c9_%E7%87%83%E6%B0%94.png',
                    type: 2
                }] */
                /* if ($scope.olService && $scope.olService.length) $scope.tabIndex = 1
                else $scope.tabIndex = 0; */
            });
    }
    //下拉刷新
    $scope.doRefresh = function() {
        $scope.queryList(1);
    }
    //上拉加载
    $scope.onInfinite = function() {
        $scope.queryList(++$scope.pageNext);
    }
}
])
