appModule.controller('cv19permitController', ['$scope', '$rootScope', 'appService', '$timeout', '$state', '$ionicPopup', '$ionicScrollDelegate', '$ionicModal', function($scope, $rootScope, appService, $timeout, $state, $ionicPopup, $ionicScrollDelegate, $ionicModal) {

  /* datas */
  $scope.stateName = $state.current.name; //data
  $scope.qrDomId = "qrcode" + $scope.$id
  $scope.pageNext;
  $scope.optSex = ['男', '女'];
  $scope.content
  $rootScopeViewGoback = $scope.viewGoback;
  //测试 
  /* $timeout(function() {
    $scope.user.telephone = 13311112222
  }) */
  $scope.checkTypeArr = [
    { id: 1, name: '居民' },
    { id: 2, name: '公职人员/志愿者' },
    { id: 3, name: '网格员' },
    { id: 4, name: '送货车辆' },
    { id: 5, name: '疫情防控指挥员' }
  ]
  $scope.$on('backButtonOn', function(e, data) {
    console.log('backButtonOn')
    /* $scope.$emit("brightness", 'off', function(text) {
      $scope.brightness = false
    });
    $scope.$emit("scanOff"); */
  });
  $scope.$on('$ionicView.beforeLeave', function() {
    $scope.commitmentModal.hide()
    $scope.$emit("brightness", 'off');
    if ($scope.isBb) $scope.$emit("scanOff");
  });
  $scope.$on('$ionicView.loaded', function() {
    $scope.doRefresh()
    $scope.getInstruction()
  });
  $scope.getInstruction = function() {
    data = {
      id: 36
    }
    appService.getData(urlMap.cv19permitInstruction, data, function(res) {
      if (!res || !res[0] || res[0].CONTENTTEXT == '无') return
      if (res[0].CONTENTTEXT != '无' && res[0].CONTENTTEXT.length > 1)
        $scope.instruction = {
          title: res[0].TITLE
        }
      /* $scope.telephones = res.data
      $timeout(function() {
        $ionicScrollDelegate.resize()
      }) */
    })
  }
  $scope.brightnessFn = function() {
    $scope.$emit('brightness', null, function() {
      $scope.$apply(function() {
        $scope.brightness = !$scope.brightness
      })
    })
  }
  $scope.scanStart = function() {
    if (!$scope.myCardInfo) {
      $scope.alert('您还没有通行码，请联系“知政工作人员”为您创建，或可填写下面的信息自行创建')
      return
    }
    if (!$scope.myFamilyId) $scope.alert('您的账号设置异常, 请联系管理员')
    //测试 
    // $scope.scanPermit('{"myPhone":19912482685,"passId":1186}')
    $scope.$emit("scanOn", function(text) {
      $scope.scanPermit(text)
    });
  }
  $scope.select = {}
  $scope.select.street = {
    value: '请选择', options: [],
    selecOption: function(type) {
      console.log(type)
      this.value = type.name;
      $scope.form.regionCode = type.code;
      $scope.selectBlur();
    },
    onFocus: function() {
      this.showOptions = !this.showOptions;
    },
    options: ttbRegion2
  };
  $scope.selectBlur = function() {
    $scope.select.street.showOptions = false
  }
  $scope.selectClear = function() {
    $scope.select.street.value = '请选择'
  }
  $scope.familyName = ['', '', '', '', '', '', '']
  $scope.$watch('familyName', function(newVal, oldVal) {
    if (!$scope.form) return
    newVal[4] = newVal[4] && newVal[4].replace(/[^\w]/g, '')
    newVal[5] = newVal[5] && newVal[5].replace(/[^\w]/g, '')
    $scope.form.familyName = ''
    newVal.forEach(function(item, i, arr) {
      if (item.trim()) {
        var matchArr = item.match(/[\u4e00-\u9fa5\a-zA-Z0-9\s]/g) || [], matchStr = '';
        for (var j = 0; j < matchArr.length; j++) {
          matchStr += matchArr[j];
          if (matchStr.length > 10) {
            matchStr = matchStr.slice(0, 10);
            break;
          }
        }
        newVal[i] = matchStr
        item = matchStr
        if (i == 4) item = item + '单元'
        if (i == 5) item = item + '室'
        $scope.form.familyName += item + ''
        // if (i < arr.length - 1) $scope.form.familyName += '，'
      }
    })
    console.log($scope.form.familyName)
  }, true);
  /* 扫描通行码 */
  $scope.scanPermit = function(text) {
    try {
      var data = JSON.parse(text)
    } catch (e) {
      var msg = '二维码信息有误, 请重新扫描' +
        '<div class="com-flex-line column">' +
        '<a class="button button-positive mt10" href="tel:0435-5725999">联系客服</a>' +
        '</div>'
      $scope.alert(msg)
      return
    }
    $scope.lastTargetText = text
    // data.adminPhone = $scope.user.telephone
    // data.roleId = 52
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.scanPermit, data, function(result) {
      $scope.$emit('loading', 'hide');
      console.log(result)
      $timeout(function() {
        $ionicScrollDelegate.resize();
      })
      if (result.code == 200) {
        $scope.checkInfo = result.user
        $scope.checkInfo.regionCode = result.pass.regionCode;
        $scope.checkInfo.regionName = getRegionName(result.pass.regionCode);
        $scope.checkInfo.familyName = result.pass.familyName;
        $scope.checkInfo.passState = result.pass.passState;
        $scope.checkInfo.stateStr = result.pass.stateStr;
        $scope.checkInfo.checkType = result.pass.checkType;
        $scope.checkInfo.check = data;
        $scope.checkInfo.timeList = result.timeList;
        $scope.checkInfo.timeSlot = result.timeSlot;
        if (result.user.photo) {
          try {
            $scope.checkInfo.photos = JSON.parse(result.user.photo)
          } catch (e) {

          }
        }
        return
      }
      var msg = result.msg +
        '<div class="com-flex-line column">' +
        '<a class="button button-positive mt10" href="tel:0435-5725999">联系客服</a>' +
        '</div>'
      $scope.alert(msg)
    });
  }
  function getRegionName(code) {
    var name
    ttbRegion2.forEach(function(item) {
      if (item.code == code) name = item.name
    })
    return name
  }
  $scope.checkPermit = function() {
    var msg
    if ($scope.checkInfo.passState == 0) msg = '确定允许该用户外出吗？<br />该操作将会被系统记录。'
    else msg = '该用户当前状态为<span class="red">“' + $scope.checkInfo.stateStr + '”</span>, 确定仍然允许该用户外出吗？<br />该操作将会被系统记录。'
    $ionicPopup.confirm({
      title: '外出确认',
      template: msg,
      okText: '允许外出',
      cancelText: '取消'
    }).then(function(res) {
      if (!res) return
      $scope.$emit('loading', 'show');
      var data = $scope.checkInfo.check
      data.workFamilyId = $scope.myFamilyId
      data.phone = data.phone || data.myPhone
      appService.postData(urlMap.checkPermit, $scope.checkInfo.check, function(result) {
        $scope.$emit('loading', 'hide');
        console.log(result)
        $scope.alert(result.msg)
        $timeout(function() {
          $ionicScrollDelegate.resize();
        })
        if (result.code == 200) {
          // $scope.clearPermit()
          $scope.scanPermit($scope.lastTargetText)
          return
        }
      });
    })
  }
  $scope.checkInPermit = function() {
    var msg = '确定允许该用户进入吗？<br />该操作将会被系统记录。'
    $ionicPopup.confirm({
      title: '进入确认',
      template: msg,
      okText: '允许进入',
      cancelText: '取消'
    }).then(function(res) {
      if (!res) return
      $scope.$emit('loading', 'show');
      var data = $scope.checkInfo.check
      data.workFamilyId = $scope.myFamilyId
      data.phone = data.phone || data.myPhone
      appService.postData(urlMap.checkInPermit, $scope.checkInfo.check, function(result) {
        $scope.$emit('loading', 'hide');
        console.log(result)
        $scope.alert(result.msg)
        $timeout(function() {
          $ionicScrollDelegate.resize();
        })
        if (result.code == 200) {
          $scope.scanPermit($scope.lastTargetText)
          $scope.clearPermit()
          return
        }
      });
    })
  }
  $scope.clearPermit = function() {
    $scope.checkInfo = null
    $timeout(function() {
      $ionicScrollDelegate.resize();
    })
  }
  /* 提交通行码 */
  $scope.submit = function() {
    if (!$scope.form.familyName) {
      $scope.alert('地址信息不可完全为空，请尽量完整填写');
      return;
    }
    if (!$scope.familyName[5] && !$scope.familyName[6]) {
      $scope.alert('您的地址信息不够详细，可能导致通行码创建不成功，请尽量完整填写您的住址, 如补充“更多地址信息”');
      return;
    }
    /* if (!$scope.familyName[4] && !$scope.familyName[5] && !$scope.familyName[6]) {
      $scope.alert('您的地址信息不够详细，可能导致通行码创建不成功，请尽量完整填写您的住址, 如补充“更多地址信息”');
      return;
    } */
    var msg = $scope.ruleAll()
    if (msg != true) {
      $scope.alert(msg);
      return;
    }

    $ionicPopup.confirm({
      title: '请确认信息',
      template: '信息一经提交将无法更改，请确认后操作',
      okText: '提交',
      cancelText: '取消'
    }).then(function(res) {
      $scope.$emit('loading', 'show');
      if (!res) return
      appService.postData(urlMap.cv19permit, $scope.form, function(result) {
        $timeout(function() {
          $ionicScrollDelegate.resize();
        })
        if (result.code == 200) {
          $scope.passId = result.passId
          $scope.form.passId = result.passId
          $scope.postFamily($scope.form)
          return
        }
        $scope.$emit('loading', 'hide');
        if (result.code == 202) {
          var tel = result.pass && result.pass[0] && result.pass[0].createPhone
          tel = tel && tel.replace(/^([0-9]{3})[0-9]+([0-9]{4})$/, '$1****$2')
          var familyName = result.pass && result.pass[0] && result.pass[0].familyName
          $scope.renlingPass = result.pass[0]
          $scope.myPop = $ionicPopup.show({
            title: '地址已存在',
            template:
              '<p>' + result.msg + '</p>' +
              '<ul><li class="mt5">通行码地址：' + familyName + '</li>' +
              '<li class="mt5">创建人电话：' + tel + '</li>' +
              '</ul>' +
              '<div class="com-flex-line column">' +
              '<a class="button button-positive mt10" href="tel:0435-5725999">联系客服</a>' +
              '<button ng-click="renling()" class="button button-positive mt10">认领该通行码</button>' +
              '</div>',
            scope: $scope,
            buttons: [
              {
                text: '返回',
              }
            ]
          });
          return
        }
        if (result.code == 203) {
          var tel = result.pass && result.pass[0] && result.pass[0].createPhone
          tel = tel && tel.replace(/^([0-9]{3})[0-9]+([0-9]{4})$/, '$1****$2')
          var familyName = result.pass && result.pass[0] && result.pass[0].familyName
          $scope.renlingPass = result.pass[0]
          $scope.myPop = $ionicPopup.show({
            title: '地址已存在',
            template:
              '<p>' + result.msg + '</p>' +
              '<ul><li class="mt5">通行码地址：' + familyName + '</li>' +
              '<li class="mt5">创建人电话：' + tel + '</li>' +
              '</ul>' +
              '<div class="com-flex-line column">' +
              '<a class="button button-positive mt10" href="tel:0435-5725999">联系客服</a>' +
              '</div>',
            scope: $scope,
            buttons: [
              {
                text: '返回',
              }
            ]
          });
          return
        }
        $scope.alert(result.msg)
      });

    })
  }
  /* 提交家人 */
  $scope.postFamily = function(form, msg) {
    $scope.familyForm = form || $scope.familyForm
    $scope.familyForm.myPhone = $scope.familyForm.myPhone || $scope.familyForm.createPhone
    $scope.familyForm.phone = $scope.familyForm.phone || $scope.familyForm.createPhone
    $scope.$emit('loading', 'show');
    appService.postData(urlMap.cv19permitFamily, $scope.familyForm, function(result) {
      $scope.$emit('loading', 'hide');
      $timeout(function() {
        $ionicScrollDelegate.resize();
      })
      if (result.code == 200) {
        $scope.alert((msg || result.msg), null, function() {
          $scope.setContent()
          $scope.doRefresh()
        })
        return
      }
      $scope.alert(result.msg)
    });
  }
  $scope.submitFamily = function() {
    var msg = $scope.ruleAll()
    if (msg != true) {
      $scope.alert(msg);
      return;
    }
    $ionicPopup.confirm({
      title: '请确认信息',
      template: '信息一经提交将无法更改，请确认后操作',
      okText: '提交',
      cancelText: '取消'
    }).then(function(res) {
      if (!res) return
      $scope.postFamily()
    })
  }
  $scope.renling = function(pass) {
    console.log($scope.renlingPass)
    $scope.form.passId = $scope.renlingPass.id
    $scope.myPop && $scope.myPop.close()
    $scope.postFamily($scope.form, '认领成功')
  }
  $scope.showPersonDetails = function(item) {
    if (item.photo) {
      try {
        item.photos = JSON.parse(item.photo)
      } catch (e) {

      }
    }
    $scope.cPerson = item
    $scope.setContent('personDetails')
  }
  $scope.setContent = function(content) {
    $scope.commitmentModal.hide()
    $timeout(function() {
      $ionicScrollDelegate.resize();
      $ionicScrollDelegate.scrollTop();
    })
    if (!content) {
      $scope.content = $scope.lastContent
      return
    }
    $scope.lastContent = $scope.content
    $scope.content = content
  }
  $scope.addFamily = function() {
    $scope.setContent('addFamily')
    $scope.familyForm = {
      "myPhone": $scope.user.telephone,
      "passId": $scope.myCardInfo.id,
    }
    if (!$scope.myFamily.length) $scope.familyForm.phone = $scope.user.telephone
  }
  /* 获取通行码 */
  $scope.getPermit = function() {
    if (!$scope.user.telephone) {
      $scope.alert('您的账号异常, 请联系知政客服咨询')
      return
    }
    var data = {
      createPhone: $scope.user.telephone
    }
    appService.getData(urlMap.cv19permit, data, function(result) {
      $scope.domore = false
      $scope.$broadcast('scroll.refreshComplete');
      $scope.$broadcast('scroll.infiniteScrollComplete');
      $timeout(function() {
        $ionicScrollDelegate.resize();
      })
      if (result.code == 200) {
        if (result.data.length) {
          $scope.content = 'myQr'
          var my = result.data[0]
          $scope.myCardInfo = my
          $scope.myCardInfo.regionName = getRegionName(my.regionCode);
          $scope.myPermit = {
            myPhone: $scope.user.telephone,
            passId: my.id,
          }
          $scope.myPermitStr = JSON.stringify($scope.myPermit)
          $scope.passState = my.passState
          var color = my.passState > 0 ? '#000' : my.checkType == 1 ? '#00A752' : my.checkType == 6 ? '#FF904D' : '#3975D5' // 黑 绿 橙  蓝
          new QRCode(document.getElementById($scope.qrDomId), {
            text: $scope.myPermitStr,
            /* width: 128,
            height: 128, */
            colorDark: color,
            // colorLight : color,
            // correctLevel : QRCode.CorrectLevel.H
          });
          $scope.isBb = result.isBb
          $scope.bbData = result.bbData
          $scope.getFamily(my.createPhone)
          if ($scope.isBb && typeof QRScanner == 'object') {
            QRScanner && QRScanner.prepare(onDone); // show the prompt
            function onDone(err, status) {
              QRScanner.destroy();
              if (err) {
                $scope.alert(err)
                console.error(err);
              }
              if (status.authorized) {
                /* 可用 */
                $rootScope.scan = true

              } else if (status.denied) {
                /* 视频预览将保持黑色，扫描被禁用。 */
                $scope.alert('没有摄像头使用权限, 请为"知政"APP开启权限', null, function() {
                  QRScanner.openSettings()
                })
              } else {
                /* we didn't get permission, but we didn't get permanently denied. (On
                Android, a denial isn't permanent unless the user checks the "Don't
                ask again" box.) We can ask again at the next relevant opportunity. */
              }
            }
          }
          return
        }
        if (!$scope.commitment) $scope.getCommitment()
        else $scope.commitmentModal.show()
        // $scope.content = 'none'
        return
      }
      $scope.alert(result.msg)
    });
  };
  $scope.getFamily = function(myPhone) {
    var _myPhone = myPhone.replace(/(\w{3})\w*(\w{4})/, "$1****$2")
    var data = {
      passId: $scope.myPermit.passId
    }
    appService.getData(urlMap.cv19permitFamily, data, function(result) {
      console.log(result)
      $timeout(function() {
        $ionicScrollDelegate.resize();
      })
      if (result.code == 200) {
        $scope.myFamily = result.data
        if (!$scope.myFamily.length) {
          $scope.alert('您的通行证未完善个人信息, 请点击“添加家人信息”')
          return
        }
        $scope.myFamily.forEach(function(family) {
          if (family.phone == _myPhone || family.phone == myPhone) $scope.myFamilyId = family.id
        })
        if (!$scope.myFamilyId) $scope.alert('您的账号设置异常, 请联系管理员')
        return
      }
    });
  }
  $scope.init = function() {
    $('#' + $scope.qrDomId).html('')
    $scope.content = null;
    $scope.domore = true;
    $scope.form = {
      createPhone: $scope.user.telephone,
      // regionCode: '220502',
      idCard: $scope.user.idCard,
    }
    $timeout(function() {
      $ionicScrollDelegate.resize()
    })
  }
  $scope.doRefresh = function() {
    $scope.$broadcast('scroll.refreshComplete');
    if (!$scope.content || $scope.content == 'myQr') {
      $scope.init();
    }
  };
  $scope.onInfinite = function() {
    $scope.getPermit()
  }
  /* 确认书 */
  $ionicModal.fromTemplateUrl('commitmentCv19permit.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function(modal) {
    $scope.commitmentModal = modal;
  });
  $scope.getCommitment = function() {
    $scope.$emit('loading', 'show');
    appService.get(urlMap.scCv19Promise, { id: 3 }, function(res) {
      $scope.$emit('loading', 'hide');
      if (res.code == 200) {
        $scope.commitment = res.data && res.data[0];
        if ($scope.commitment) $scope.commitmentModal.show()
        else $scope.content = 'none'
      }
    })
  }
  /* $scope.viewGoback = function() {
    if(!$scope.content) $scope.commitmentModal.hide()
    
    else$rootScopeViewGoback();
  } */
},
]);
