appModule.controller('TjCompanyDtailController', ['$scope', '$ionicPopup', '$stateParams', 'appService', '$state', '$sce', '$compile', '$ionicHistory', function ($scope, $ionicPopup, $stateParams, appService, $state, $sce, $compile, $ionicHistory) {
    $scope.trustHtml;
    var userInfo = window.localStorage.getItem("userInfo");
    $scope.user = JSON.parse(userInfo);
    //家乡美详情
    appService.getData(urlMap.queryOneTJCompany, { id: $stateParams.id },
        function (jsonData) {
            $scope.dealItem = jsonData && (jsonData[0] || jsonData.resultList[0]);
            if (!$scope.dealItem) {
                $scope.dealItem = {};
                console.log('null content')
                return;
            }
            if ($scope.dealItem.rtContent == '<p>无</p>') {
                $scope.dealItem.rtContent = "";
            }
            var content = $scope.dealItem.rtContent;
            //找到<img标签
            var reg = /<img[^>]*>/gi;
            // 匹配出html中的src属性
            var images = content.match(reg);
            if (images) {
                //点击图片显示大图
                new RTP.PinchZoom($('#pinchZoom'), {});
                var winHeight = $(window).height();
                var winWidth = $(window).width();
                $('#pinchZoom').height(winHeight);
                $('#pinchZoom').parents('.pinch-zoom-container')
                    .width(winWidth)
                    .height(winHeight);
                //解析拼接内容
                for (var i = 0; i < images.length; i++) {
                    var image = images[i];
                    var first = image.substr(0, image.indexOf(' ') + 1);
                    var next = image.substr(image.indexOf(' '));
                    var regSrc = /src=[\'\"]?([^\'\"]*)[\'\"]?/i;
                    var srcStr = image.match(regSrc);
                    // 将ng-click事件拼接到html中
                    var final = first + ' ng-click="showBigImage(' + "'" + srcStr[1] + "'" + ')"' + next;
                    //为适应点击图片放大，因此将width和height属性过滤掉
                    final = final.replace(/\s+((width)=[\'"]+[0-9]+[\'"]+)/, "");
                    final = final.replace(/\s+((height)=[\'"]+[0-9]+[\'"]+)/, "");
                    content = content.replace(image, final);
                    // 编译dom,使其在angularjs的监听下
                    $("#showCompanyContent_image").html($compile(content)($scope));
                }
            } else {//没有匹配到图片
                //隐藏掉带图片的DIV
                $("#showCompanyContent_image").hide();
                //清空内容
                $("#showCompanyContent_other").html();
                if ($scope.dealItem.rtContent == '<p>无</p>') {
                    $scope.dealItem.rtContent = "";
                }
                $scope.trustHtml = $sce.trustAsHtml($scope.dealItem.rtContent);
            }

        });

    $scope.shareWX = function (id, dealItem) {
        console.log("dealItem.id:  " + dealItem.id);
        if (typeof Wechat === "undefined") {
            alert("Wechat plugin is not installed.");
        }
        var params = {
            scene: id
        };
        params.message = {
            title: "[TEST]",
            description: "[TEST]Sending from test application",
            mediaTagName: "TEST-TAG-001",
            messageExt: "这是第三方带的测试字段",
            messageAction: "<action>dotalist</action>",
            media: {}
        };

        params.message.title = dealItem.title_ch;//标题
        params.message.description = dealItem.title_en;//副标题
        params.message.thumb = "https://cordova.apache.org/images/cordova_256.png";//微信分享 缩略图
        params.message.media.type = Wechat.Type.LINK;
        params.message.media.webpageUrl = 'zz.xn--5bvz82b.com/thapp/share/doShare/6?id=' + dealItem.id;

        if (dealItem.pic_name != null && dealItem.pic_name != "") {
            var url = dealItem.pic_name;
            /* var picname = dealItem.picName;
             if(dealItem.type == 2) {
                 url = $scope.vio;
                 picname = picname.substring(0, picname.length - 3);
                 picname = picname + "jpg";
             }*/
            //params.message.thumb = url + '/' + picname + "?" + (new Date()).getTime();
            params.message.thumb = dealItem.pic_name + "?" + (new Date()).getTime();
        }
        Wechat.share(params, function () {
            //  console.log("Share Success");
            //                alert("Success");
        }, function (reason) {
            //                alert("Failed: " + reason);
            // console.log("Share Failed" + reason);
        });
    }

    //点击放大图
    $scope.bigImage = false;
    $scope.showBigImage = function (imgSrcPath) {
        //console.log("imgSrcPath:   " + imgSrcPath);
        $scope.bigImage = true;
        // $scope.bigImageSrc = $scope.pic + "/" + imgSrcPath + "?" + (new Date()).getTime();
        $scope.bigImageSrc = imgSrcPath + "?" + (new Date()).getTime();
    };
    $scope.hideBigImage = function () {
        $scope.bigImage = false;
        $('#pinchZoom').parents('.pinch-zoom-container').hide();
    };
    $scope.loadBigImage = function () {
        $('#pinchZoom').parents('.pinch-zoom-container').show();
    }
    $scope.alert = function (info) {
        $ionicPopup.alert({
            title: '提示框',
            template: info
        });
    }
}
])