
appModule.controller('livelihoodController', ['$scope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', '$ionicScrollDelegate', '$sce', '$stateParams', function ($scope, $state, appService, $timeout, $stateParams, $ionicPopup, $ionicScrollDelegate, $sce, $stateParams) {
  $scope.item = $stateParams.item;
  $scope.formContent = $stateParams.formContent;
  $scope.stateName = $state.current.name;
  $scope.httpPath = '/feedBack/jijian/';
  $scope.maxWidth = 900;
  $scope.fileType;
  $scope.dataArray;
  $scope.pageNext = 0;
  $scope.domore;
  $scope.form = {};
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.$on('$ionicView.loaded', function () {
    if($scope.formContent){
      $scope.setForm($scope.formContent);
      return
    }
    $scope.showDetial(true, $scope.item);
  });
  $scope.queryArray = function (page) {
    if (page < 2) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext = 1;
      $scope.dataArray = null;
      page = 1
    }
    $scope.$emit('loading', 'show');
    var data = {
      page: page,
      areaID: $scope.publicCityId,
    }
    appService.getData(urlMap.jishiList, data,
      function (results) {
        $scope.$emit('loading', 'hide');
        $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        if (!results) return;
        var list = results.resultList, length = list.length, size = results.size,
          articles = $scope.dataArray || []
          ;
        if (length < size) $scope.domore = false;
        else {
          $timeout(function () {
            $scope.domore = true;
          }, 200)
        }
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i];
            item.summary = item.content && $('<div>' + item.content + '</div>').text().replace(/\s+/g, ' ').slice(0, 500);
            item.fileType = thisfileType(item.file);
            if (item.fileType == 1) {
              item.file = item.file && '900px_' + item.file;
              item.thum = item.file && '200px_' + item.file;
              item.file = $scope.evalRemotePath(item.file);
              item.thum = $scope.evalRemotePath(item.thum);
            }
            if (item.fileType == 2) {
              item.file = $scope.evalRemotePath(item.file, $.vio);
              item.file = item.file && $sce.trustAsResourceUrl(item.file)
            }
            articles.push(item);
          }
        }
        $scope.dataArray = articles;
      });
  }
  $scope.doRefresh = function () {
    $scope.queryArray(1);
  }
  $scope.onInfinite = function () {
    $scope.queryArray(++$scope.pageNext);
  }
  $scope.setForm = function (b, init) {
    $scope.formContent = b;
    $scope.form = {}
    $('#localPhotoFile').val('');
    if (!b) {
      if ($stateParams.formContent) {
        $rootScopeViewGoback();
        return;
      }
      $scope.formContent = b;
      $scope.showDetail = false;
      return
    }
    $scope.$emit('loginFirst', function () {
      $scope.removeFile()
      $('#localPhotoFile').val('');
    })
  }
  /* $scope.viewGoback = function () {
    if ($scope.formContent) $scope.setForm(false);
    else if ($scope.showDetials) $scope.showDetial(false);
    else $rootScopeViewGoback();
  } */
  $scope.alert = function (info, queryAgain, callback) {
    $ionicPopup.alert({
      title: '提示框',
      template: info
    }).then(function (res) {
      if (queryAgain)
        $scope.queryArray(0);
      callback && callback();
    });
  }
  $scope.showDetial = function (b, item) {
    if(!b){
      $scope.viewGoback();
      return
    }
    $scope.showDetials = b;
    if (b) {
      var delegate = $ionicScrollDelegate.$getByHandle('articlesDetailScroll');
      delegate.scrollTop();
      $scope.detailItem = item;
      console.log(item)
    }
  }
  $scope.removeFile = function (reset) {
    $scope.showUploadFiles = []; //预览
    $scope.showUploadNames = []; //预览失败 显示文件名
    if (!reset) {
      $('#localPhotoFile').val(''); //本地
      $scope.cameraFile = null; //拍摄
    }
  }
  /* 本地附件读取 */
  function readerfile(file) {
    return new Promise( function(resolve, reject) {
      var reader = new FileReader();
      reader.onload = function () {
        resolve(reader.result);
      };
      if (file) {
        reader.readAsDataURL(file)
      }
    })
  }
  $scope.fileChangeEvent = function () {
    var files = $('#localPhotoFile')[0].files;
    for (var i = 0; i < files.length; i++) {
      $scope.fileType = thisfileType(files[i].name);
      if (!$scope.fileType == 'error') {
        return;
      }
      $scope.removeFile('reset');
      try {
        readerfile(files[i]).then(function(e) {
          $scope.$apply(function () {
            if ($scope.fileType == 2) {
              $scope.showUploadFiles.push($sce.trustAsResourceUrl(e))
            }
            else $scope.showUploadFiles.push(e)
          })
        })
      } catch (e) {
        alert(e);
        $scope.$apply(function () {
          $scope.showUploadNames.push(files);
        })
      }
    }
  }
  /***
   * use camera
   */
  $scope.useCamera = function (type) {
    //开始录像(最长录制时间:60秒)
    if (type == 1) navigator.device.capture.captureImage(success, onError, { limit: 1 });
    if (type == 2) navigator.device.capture.captureVideo(success, onError);
    function success(mediaFiles) {
      $scope.showUploadFiles = [];
      for (var i = 0; i < mediaFiles.length; i++) {
        var name = mediaFiles[i].name;
        var path = mediaFiles[i].fullPath;
        $scope.fileType = thisfileType(name);
        if (!$scope.fileType == 'error') {
          return;
        }
        $scope.removeFile('reset');
        $scope.$apply(function () {
          if ($scope.fileType == 2) {
            $scope.showUploadFiles.push($sce.trustAsResourceUrl(path))
          }
          else
            $scope.showUploadFiles.push(path)
        })
        $scope.cameraFile = mediaFiles[i];
      }
    }
    //录制失败
    function onError(error) {
      $scope.alert('未进行拍摄！错误码:' + error.code);
    }
  }
  function thisfileType(fileName) {
    var picExt = ".jpg|.jpeg|.png|";
    var vioExt = ".mp4|.3gp|.avi|";
    if (!fileName) return null
    var extName = fileName.substring(fileName.lastIndexOf(".")).toLowerCase();//（把路径中的所有字母全部转换为小写）   
    /* 检查文件类型  */
    if (picExt.indexOf(extName + "|") != -1) return 1;
    if (vioExt.indexOf(extName + "|") != -1) return 2;
    return 'error'
  }
  $scope.submit = function () {
    $scope.$emit('loginFirst', function () {
      if (!$scope.form.title) {
        $scope.alert("请填写标题");
        return;
      }
      if (!$scope.form.content) {
        $scope.alert("请填写内容");
        return;
      }
      if ($scope.form.content.length > 1500) {
        $scope.alert("内容不能超过1500字！");
        return;
      }
      var msg = $scope.form.phone ? $scope.ruleAll() : true
      if (msg != true) {
        $scope.alert(msg);
        return;
      }
      var file = $('#localPhotoFile').val() || ($scope.cameraFile && $scope.cameraFile.name) || '';
      $scope.fileType = thisfileType(file);
      if (!$scope.fileType == 'error') {
        return;
      }
      $scope.$emit('loading', 'show');
      /* 拍摄上传 */
      if ($scope.cameraFile) {
        var file = $scope.cameraFile;
        var params = {};
        params.httpPath = $scope.httpPath;
        params.type = $scope.fileType;
        params.maxWidth = $scope.maxWidth;
        var ft = new FileTransfer();
        var options = new FileUploadOptions();
        options.fileKey = "file";
        options.mimeType = "multipart/form-data";
        options.fileName = file.name;
        options.params = params;
        //传输进度  
        ft.onprogress = function (progressEvent) {
        };
        ft.upload(file.fullPath, urlMap.fileUpload,
          function (res) {
            $scope.$emit('loading', 'hide');
            if (res.response) res = JSON.parse(res.response)
            var imgUrl = res.imgUrl || res.vioUrl;
            if (imgUrl) {
              $scope.postForm(imgUrl)
            } else {
              $scope.alert("文件上传失败，请联系客服人员！");
            }
          },
          function () {
            $scope.alert("媒体上传失败，请联系客服人员！");
          },
          options);
        return;
      }
      /* 没有附件 */
      if (!$scope.fileType) {
        $scope.postForm();
        return
      }
      /* 本地文件上传 */
      $timeout(function () {
        $("#files").ajaxSubmit({
          url: urlMap.fileUpload,
          type: "post",
          dataType: "json",
          success: function (res) {
            var imgUrl = res.imgUrl || res.vioUrl;

            if (imgUrl) {
              $scope.postForm(imgUrl)
            } else {
              $scope.alert("文件上传失败，请联系客服人员！");
            }
          },
          error: function (xhr) {
            $scope.$emit('loading', 'hide');
            $scope.alert("媒体上传失败，请联系客服人员！");
          },
          beforeSerialize: function () {
          },
          beforeSend: function () {
            //$("#progressNumber").html('0%');
          },
          uploadProgress: function (event, position, total, percentComplete) {
            $scope.removeFile();
          }
        });
      })
    })
  }
  /***
   * 上传拍摄文件
   * type 1:图片 2：视频
   */
  $scope.postForm = function (fileStr) {
    var data = $scope.form;
    data.file = fileStr;
    data.areaID = $scope.publicCityId;
    data.userId = $scope.user && $scope.user.id;
    appService.postData(urlMap.jishiSave, data,
      function (results) {
        $scope.$emit('loading', 'hide');
        if (!results)
          $scope.alert("提交出错，请联系客服人员！");
        else {
          $.get(urlMap.sendMessageForReportInfo, { areaID: $scope.publicCityId });
          $scope.alert("感谢您，信息提交成功，请耐心等待审核！", true, function () {
            $scope.setForm(false)
          });
        }
      })
  }
}]);

