
appModule.controller('scDispatchAdminController', ['$scope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', '$ionicScrollDelegate', '$sce', function ($scope, $state, appService, $timeout, $stateParams, $ionicPopup, $ionicScrollDelegate, $sce) {
  /* data */
  $scope.stateName = $state.current.name;
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.form = {};
  $scope.contentName;
  $scope.regionId = $stateParams.region && $stateParams.region.id;
  $scope.$on('$ionicView.enter', function () {
    $scope.setContent('list')
  });
  $scope.$on('$stateChangeSuccess',
    function (event, toState, toParams, fromState, fromParams) {
      if ($scope.stateName != fromState.name) { /* 进入本页 */
      }
    })

  /* 选项预设 */
  /* 性别 */
  $scope.optSex = ['男', '女'];
  $scope.select = {};
  /* 证件类型 */
  $scope.select.cardType = {
    value: '请选择', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.form.cardType = type.id;
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 1, name: '二代身份证' },
      { id: 2, name: '港澳居民来往内地通行证' },
      { id: 3, name: '台湾居民来往大陆通行证' },
      { id: 4, name: '护照' },
      { id: 5, name: '外国人永久居留身份证' }
    ]
  };
  /* 来访目的 */
  $scope.select.purpose = {
    value: '请选择', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.form.purpose = type.name;
      $scope.formPurpose = type.id;
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 1, name: '出差' },
      { id: 2, name: '中转' },
      { id: 3, name: '看病或陪同看病' },
      { id: 4, name: '工作或生活' },
      { id: 5, name: '旅游' },
      { id: 6, name: '其他' }
    ]
  };
  /* 是否入住宾馆 */
  $scope.select.isHotel = {
    value: '请选择', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.form.isHotel = type.id;
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 1, name: '是' },
      { id: 0, name: '否' },
    ]
  };
  /* 来源地 */
  $scope.select.jnjw = {
    value: '请选择', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.form.jnjw = type.id;
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 1, name: '境内' },
      { id: 2, name: '境外' },
    ]
  };
  /* 是否发烧 */
  $scope.select.isFire = {
    value: '请选择', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.form.isFire = type.id;
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 1, name: '是' },
      { id: 0, name: '否' },
    ]
  };
  $scope.selectBlur = function () {
    $scope.select.cardType.showOptions = false;
    $scope.select.purpose.showOptions = false
    $scope.select.isHotel.showOptions = false
    $scope.select.jnjw.showOptions = false
    $scope.select.isFire.showOptions = false
  }
  /* 初始化日期插件 */
  $scope.initDateArr = function (id) {
    $("#" + id).mobiscroll().date();
    var currYear = (new Date()).getFullYear();
    //初始化日期控件
    var opt = {
      preset: 'date', //日期，可选：date\datetime\time\tree_list\image_text\select
      theme: 'android-ics light', //皮肤样式，可选：default\android\android-ics light\android-ics\ios\jqm\sense-ui\wp light\wp
      display: 'bottom', //显示方式 ，可选：modal\inline\bubble\top\bottom
      mode: 'scroller', //日期选择模式，可选：scroller\clickpick\mixed
      lang: 'zh',
      dateFormat: 'yyyy-mm-dd', // 日期格式
      setText: '确定', //确认按钮名称
      cancelText: '取消',//取消按钮名籍我
      dateOrder: 'yyyymmdd', //面板中日期排列格式
      dayText: '日', monthText: '月', yearText: '年', //面板中年月日文字
      showNow: false,
      nowText: "今",
      startYear: 2019, //开始年份  
      endYear: currYear //结束年份  
      //endYear:2099 //结束年份
    };
    $("#" + id).mobiscroll(opt);
  }
  $scope.clearDate = function (e) {
    $('#arriveTime').val(null);
    $('#hotelInTime').val(null);
    $('#hotelOutTime').val(null);
  }
  $scope.selectClear = function () {
    $scope.select.cardType.value = '请选择'
    $scope.select.purpose.value = '请选择'
    $scope.select.isHotel.value = '请选择'
    $scope.select.jnjw.value = '请选择'
    $scope.select.isFire.value = '请选择'
  }
  /* 内容显示 */
  $scope.setContent = function (type, item) {
    $scope.$emit('loginFirst', function () {
      var contentNameO = $scope.contentName;
      $scope.contentName = type;
      if (type == 'clear' || type == 'home') {
        $scope.form = {};
        $scope.formDetail = {};
        $scope.clearDate();
        $scope.selectClear();
        if (contentNameO == 'details') {
          $scope.contentName = 'list'
        }
        return
      }
      $scope.goTop();
      if (type == 'my') {
        $scope.form.phone = $scope.user.userName
        return
      }
      if (type == 'others') {
        $scope.getFormed(null, function (res) {
          if (!$scope.hasSelf) {
            $scope.alert('正在获取您的登记历史, 请稍等...');
            $scope.contentName = contentNameO;
          }
          if ($scope.hasSelf == 'empty') {
            $scope.alert('请先登记本人信息，再登记他人信息。');
            $scope.contentName = contentNameO;
          }
        })
        return
      }
      if (type == 'list') {
        $scope.getFormed(null, function (res) {
          $scope.formList = res
        });
        return
      }
      if (type == 'details') {
        $scope.getFormed(item.id, function (res) {
          $scope.formDetail = res[0]
        })
        return
      }
    })
  }
  /* 获取填报信息 */
  $scope.getFormed = function (id, callback) {
    var data = {
      mid: 3,
      regionId: $scope.regionId
    }
    data.id = id;
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.scDispatch, data, function (res) {
      $scope.$emit('loading', 'hide');
      $scope.hasSelf = null;
      var formList = res.data && res.data || [], length = formList.length;
      for (var i = 0; i < length; i++) {
        var item = formList[i];
        $scope.hasSelf = $scope.hasSelf || formList[i].isSelf;
        item.arriveTime = item.arriveTime && item.arriveTime.slice(0, 10);
        item.hotelInTime = item.hotelInTime && item.hotelInTime.slice(0, 10);
        item.hotelOutTime = item.hotelOutTime && item.hotelOutTime.slice(0, 10);
        item.cardType = $scope.select.cardType.options[item.cardType - 1];
        item.jnjw = $scope.select.jnjw.options[item.jnjw - 1];
        item.isFire = item.isFire ? '是' : '否';
      }
      $scope.hasSelf = $scope.hasSelf || 'empty';
      callback && callback(formList)
    })
  }
  $('input').on('focus', function (e) {
    $(e.target).removeClass("error")
  })
  $scope.vertIdCard = function () {
    var isIdCard = function (card) {
      var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
      return reg.test(card);
    }
    if ($scope.form.cardType == 1) {
      var dataType = isIdCard($scope.form.cardNumber);
      if (!dataType) {
        $('#cardNumber').addClass("error")
        return false
      } return true
    }
  }
  $scope.vertif = function () {
    var sum = 0;
    $('input:visible').each(function (i, ele) {
      if (!ele.value || ele.value == '请选择') {
        $(ele).addClass("error")
        sum++
      }
    })
    return !(sum > 0) && $scope.form.sex
  }
  $scope.alert = function (info, callback) {
    $ionicPopup.alert({
      title: '提示框',
      template: info
    }).then(function (res) {
      callback && callback();
    });
  }
  $scope.viewGoback = function () {
    if ($scope.contentName != 'home') $scope.setContent('home');
    else $rootScopeViewGoback();
  }
}
]);
