
appModule.controller('intelligentDFuncActivityController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$stateParams', '$ionicScrollDelegate', '$ionicHistory', '$ionicPopup', function ($scope, $rootScope, $state, appService, $timeout, $stateParams, $ionicScrollDelegate, $ionicHistory, $ionicPopup) {
  $mScope = $scope.$parent;
  $mScope.currentFun = 'activity';
  $scope.stateName = $state.current.name;
  $scope.activityList;
  $scope.pageNext = 1;
  $scope.domore;
  $rootScopeViewGoback = $scope.viewGoback;

  /* $scope.$on('$ionicView.leave', function () {
    console.log('leave11')
  }); */
  $scope.$on('$stateChangeStart',
    function (event, toState, toParams, fromState, fromParams) {
      // console.log($ionicHistory);
      $mScope.backState = $scope.stateName;
      $mScope.viewGoback = $rootScopeViewGoback;
    })
  $scope.queryArray = function (page) {
    if (page < 2) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext = 1;
      page = 1;
      $scope.activityList = null;
    }
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.intelligentDActivityList, {
      villageId: $scope.districtForFuncList.id,
      page: page
    }, function (results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      console.log('活动列表:', results);
      if (!results) return;
      var list = results.resultList, length = list.length, size = results.size,
        articles = $scope.activityList || []
        ;
      if (length < size) $scope.domore = false;
      else {
        $timeout(function () {
          $scope.domore = true;
        }, 200)
      }
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i], article = {};
          article = item;
          /* article.title = item.title;
          article.subMenuName = item.subMenuName; */
          article.summary = $('<div>' + item.contentText + '</div>').text().replace(/\s+/g, '').slice(0, 500);
          // article.pic_name = item.picName || item.pic_name || $scope.pic + urlMap.defaultUpload;;
          // article.createTime = item.picName || item.createTime;
          articles.push(article);
        }
      }
      $scope.activityList = articles;
    });
  }
  $scope.doRefresh = function () {
    $scope.queryArray(1);
  }
  $scope.onInfinite = function () {
    $scope.queryArray(++$scope.pageNext);
  }
  $scope.setForm = function (b, item) {
    $scope.$emit('loginFirst', function () {
      $scope.formContent = b;
      if (item) {
        $scope.initForm(item);
      }
    })
  }
  $scope.initForm = function (item) {
    // 测试
    if(item.activityName == '疫情捐赠') item.activitytype = 1
    $scope.form = item;
  }
  $scope.queryArray();
  $mScope.viewGoback = function () {
    if ($scope.formContent) $scope.formContent = false;
    else $rootScopeViewGoback();
  }
  $scope.alert = function (info, queryAgain) {
    $ionicPopup.alert({
      title: '提示框',
      template: info
    }).then(function (res) {
      if (queryAgain)
        $scope.queryArray(1);
    });
  }
  $scope.apllyActivity = function () {
    if (!($scope.form.teamMembers && $scope.form.teamLeader && $scope.form.leaderPhone && $scope.form.teamNumber)) {
      $scope.alert("请补全报名信息");
      return;
    }
    $scope.$emit('loading', 'show');
    var data = {
      activityId: $scope.form.id,
      userId: $scope.user.id,
      teamLeader: $scope.form.teamLeader,
      personNumber: $scope.form.teamNumber,
      teamMembers: $scope.form.teamMembers,
      phone: $scope.form.leaderPhone,
    }/* ,
      opts = {
        method: "post",
        url: urlMap.intelligentDActivityApply,
        params: data,
      } */
    appService.postData( urlMap.intelligentDActivityApply,data,
      function (results) {
        $scope.$emit('loading', 'hide');
        if (results) {
          $scope.alert("报名成功!", true);
        } else {
          $scope.alert("报名失败! 请联系客服", true);
        }
      })
  }
  $scope.getArticleDetail = function (id) {
    // $state.go('intelligentDArticleDetail', { id: id, districtName: $scope.districtForFuncList.name, queryUrl: 'intelligentDArticlesDetail' })
  }
}]);

