

appModule.controller('intelligentDFuncListController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$stateParams', '$ionicScrollDelegate', function($scope, $rootScope, $state, appService, $timeout, $stateParams, $ionicScrollDelegate) {
  $scope.stateName = $state.current.name;
  $mScope = $scope.$parent;
  $mScope.currentFun = 'funlist';
  // $mScope.funList
  // $mScope.funDomore;
  // $mScope.funPage;
  $scope.scrollDeleg = $ionicScrollDelegate.$getByHandle('articlesListScroll')
  $scope.$on('$stateChangeStart',
    function(event, toState, toParams, fromState, fromParams) {
      //离开本页
      $mScope.backState = $scope.stateName;
      /* 记录滚动 */
      $mScope.lastPageCache = {
        menuId: $scope.queryMenu,
        scrollPosition: $scope.scrollDeleg.getScrollPosition()
      }
    })
  $scope.$watch('queryMenu', function(n, o) {
    if (!(n >= 0)) return;
    $scope.scrollDeleg.resize();
    $timeout(function() {
      if ($mScope.lastPageCache.menuId == n) $scope.scrollDeleg.scrollTo(0, $mScope.lastPageCache.scrollPosition.top)
      else {
        $scope.scrollDeleg.scrollTop();
        $mScope.lastPageCache = {}
      }
    })
    if (!$mScope.funList[n]) {
      $mScope.funPage[n] = 0;
      $mScope.funDomore[n] = false
      $timeout(function() {
        $mScope.funDomore[n] = true;
      })
    }
    // if (!(n >= 0) || ($mScope.backState == $scope.stateName)) return;
  });
  $scope.queryFLArray = function(tabindex, page) {
    if (!(tabindex >= 0)) return;
    // var navObj = $scope.activeNav3Obj || (tabindex > -1 ? $scope.activeNav2Obj : $scope.activeNavRootObj);
    tabindex = tabindex > -1 ? tabindex : 0;
    if (page < 2) {
      $mScope.funPage[tabindex] = 1;
      page = 1;
      $mScope.funList[tabindex] = null;
    }
    appService.getData(urlMap.intelligentDArticleList, {
      'submenuid': $scope.queryMenu,
      'page': page
    }, function(results) {
      $timeout(function() {
        $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
        $scope.$broadcast('scroll.infiniteScrollComplete');
        $scope.scrollDeleg.resize()
      })
      console.log($scope.queryMenu, ' 文章列表: ', results);
      var list = results.resultList, length = list.length, size = results.size,
        articles = $mScope.funList[tabindex] || []
        ;
      if (length < size) $mScope.funDomore[tabindex] = false;
      else $mScope.funDomore[tabindex] = true
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i], article = {};
          article.id = item.id;
          article.title = item.title;
          article.subMenuName = item.subMenuName;
          article.summary = $('<div>' + item.textcontent + '</div>').text().replace(/\s+/g, '');
          article.pic_name = item.picName || item.pic_name || $scope.pic + urlMap.defaultUpload;;
          article.createTime = item.picName || item.createTime;
          articles.push(article);
        }
      }
      $mScope.funList[tabindex] = articles;
    });
  }
  $scope.formControler = function() {
    return false;
  }
  $scope.doRefresh = function() {
    $scope.queryFLArray($scope.queryMenu, 1);
  }
  $scope.onInfinite = function() {
    $scope.queryFLArray($scope.queryMenu, ++$mScope.funPage[$scope.queryMenu]);
  }
  $scope.getArticleDetail = function(id) {
    var _adObj = $scope.adObjSc && $scope.adObjSc['adType_zhsqArticleBottom'] || []
    // var navObj = $scope.activeNav3Obj || ($scope.queryIndex > -1 ? $scope.activeNav2Obj : $scope.activeNavRootObj);
    var adObjSc = []
    _adObj.forEach(function(item) {
      try {
        var param = item.param && JSON.parse(item.param)
        if (param.menuId == $scope.queryMenu) {
          adObjSc.push(item)
        }
      } catch (e) {
        return
      }
    })
    $state.go('intelligentDArticleDetail', { id: id, shareFlag: 13, queryUrl: 'intelligentDArticlesDetail', adObj: adObjSc })
  }
}]);

