
appModule.controller('intelligentDFuncMsgController', ['$scope', '$ionicHistory', '$state', 'appService', '$timeout', '$ionicPopup', '$sce', function ($scope, $ionicHistory, $state, appService, $timeout, $ionicPopup, $sce) {
  $mScope = $scope.$parent;
  $mScope.currentFun = 'massege';
  $scope.stateName = $state.current.name;
  $scope.msgList;
  $scope.pageNext = 1;
  $scope.domore;
  $scope.placeholder = '';
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.serviceType = {
    value: '选择类型', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.typeName;
      $scope.form.typeId = type.id
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    }
  };
  $scope.$on('$stateChangeStart',
    function (event, toState, toParams, fromState, fromParams) {
      //离开本页
      $mScope.backState = $scope.stateName;
      $mScope.viewGoback = $rootScopeViewGoback;
    })
  $scope.$watch('districtForFuncList', function (n) {
    if (!n) return
    $scope.queryArray(0);
  });
  /* 获取问题类型 */
  $scope.getServiceType = function () {
    appService.getData(urlMap.intelligentDMsgTypeList, {}, function (results) {
      $scope.serviceType.options = results && results.resultList || [];
    });
  }
  $scope.queryArray = function (page) {
    if (page < 2) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext = 1;
      page = 1;
      $scope.msgList = null;
    }
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.intelligentDMsgList, {
      replyType: '-1',
      typeId: '-1',
      villageId: $scope.districtForFuncList.id,
      page: page
    }, function (results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      console.log('留言列表:', results);
      if (!results) return;
      if (page == 1) {
        $scope.msgList = null;
      }
      var list = results.resultList, length = list.length, size = results.size,
        articles = $scope.msgList || []
        ;
      if (length < size) $scope.domore = false;
      else $timeout(function () { $scope.domore = true; }, 200);
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i], article = {};
          article = item;
          article.leaveMessage = article.leaveMessage.replace(
            /(.{100}).+$/,
            '$1...'
          );
          article.leaveMessage = $sce.trustAsHtml(article.leaveMessage).$$unwrapTrustedValue();
          // article.replyContent = $sce.trustAsHtml(article.replyContent).$$unwrapTrustedValue();
          var portrait = item.portrait;
          article.portrait = !!portrait ? $scope.pic + "/" + portrait : article.portrait = $scope.pic + urlMap.defaultImg;
          articles.push(article);
        }
      }
      $scope.msgList = articles;
      // $scope.msgList = articles.concat(list);
    });
  }
  $scope.doRefresh = function () {
    $scope.queryArray(1);
  }
  $scope.onInfinite = function () {
    $scope.queryArray(++$scope.pageNext);
  }
  $scope.setForm = function (b) {
    if (!b) {
      $scope.formContent = b;
      return;
    }
    $scope.$emit('realIdFirst', { formContent: true, editItem: 'idCard', region: $scope.district }, function () {
      $scope.formContent = b;
      $scope.form = {}
      $scope.serviceType.value = '选择类型';
      if (!$scope.serviceType.options.length)
        $scope.getServiceType();
    })
  }
  $scope.alert = function (info, queryAgain) {
    var alertPopup = $ionicPopup.alert({
      title: '提示框',
      template: info
    }).then(function (res) {
      if (queryAgain)
        $scope.queryArray(1);
    });
  }
  $scope.regionCode = $scope.regionCode || $stateParams.regionCode || $scope.publicCityId
  $scope.sendLeaveMsg = function () {
    $scope.$emit('loginFirst', function () {
      var msg = $scope.form.msgInput;
      if (!$scope.form.typeId) {
        $scope.alert("请选择问题类型！");
        return;
      }
      if (!msg || !(msg = $.trim(msg))) {
        $scope.alert("请输入留言内容！");
        return;
      }
      $scope.$emit('loading', 'show');
      var data = {
        leaveMessage: msg,
        typeId: $scope.form.typeId,
        userId: $scope.user.id,
        userName: $scope.user.userName,
        areaID: $scope.regionCode,
        villageId: $scope.districtForFuncList.id,
      }
      appService.postData(urlMap.intelligentDMsgSend, data,
        function (results) {
          $scope.$emit('loading', 'hide');
          console.log(results[0]);
          if (results[0] == 1) {
            $scope.setForm(false);
            $scope.alert("留言成功，您的留言需要经过审核才能在页面上出现，请耐心等待。", true);
          }
        })
    })
  }
  $mScope.viewGoback = function () {
    if ($scope.formContent) $scope.formContent = false;
    else $rootScopeViewGoback();
  }
  $scope.goDetail = function (item) {
    $state.go('intelligentDMsgDetail', { id: item.id, readType: item.readType });
  }
}]);

