
appModule.controller('intelligentDFuncWishController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', '$ionicScrollDelegate', '$ionicModal', function ($scope, $rootScope, $state, appService, $timeout, $stateParams, $ionicPopup, $ionicScrollDelegate, $ionicModal) {
  $mScope = $scope.$parent;
  $mScope.currentFun = 'wish';
  $scope.stateName = $state.current.name;
  $scope.dataList;
  $scope.curPage = 0;
  $scope.domore;
  $rootScopeViewGoback = $mScope.viewGoback;
  $scope.myWish
  $scope.myClaim
  $scope.isChecked = false
  $scope.$on('$stateChangeStart',
    function (event, toState, toParams, fromState, fromParams) {
      $scope.wishFormContentModal.remove();
      $scope.wishClaimFormContentModal.remove();
      $mScope.backState = $scope.stateName;
      // document.removeEventListener("backbutton", $mScope.viewGoback, false);
      $mScope.viewGoback = $rootScopeViewGoback;
      // $rootScope = $rootScopeViewGoback;
    })
  $scope.$watch('districtForFuncList', function (n) {
    if (!n) return
    $scope.queryArray(0);
  })
  $scope.openFilter = function () {
    $scope.showAllBtn = true;
    var delegateFilter = $ionicScrollDelegate.$getByHandle('filterScroll');
    delegateFilter.resize();
    $timeout(function () {
      delegateFilter.scrollBottom(true);
    })
  }
  $scope.changeMy = function (b) {
    $scope.myWish = b
    $scope.myClaim = false
    $scope.queryArray(0);
  }
  $scope.changeMyClaim = function (b) {
    $scope.myClaim = b
    $scope.myWish = false
    $scope.queryArray(0);
  }
  $mScope.viewGoback = function () {
    event.stopPropagation()
    if ($scope.formContent) $scope.setForm(false);
    else if ($scope.formClaim) $scope.setFormClaim(false);
    else if ($scope.showDetials) $scope.showDetial(false);
    else $rootScopeViewGoback();
  }
  // $rootScope.viewGoback = $mScope.viewGoback
  // document.addEventListener("backbutton", $mScope.viewGoback, false);
  $scope.filter = {}
  $scope.filterForm = { isClaimed: 0 }
  $scope.claim = {}
  $scope.form = {}
  $scope.selectBlur = function () {
    $scope.filter.targetObj.showOptions = false;
    $scope.targetObj.showOptions = false;
    $scope.filter.formalization.showOptions = false;
    $scope.formalization.showOptions = false;
    $scope.filter.isClaimed.showOptions = false;
    $scope.claim.targetObj.showOptions = false;
  }
  /* 心愿对象 */
  $scope.filter.targetObj = {
    value: '心愿对象', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.filterForm.targetObj = type.id > 0 ? type.id : undefined;
      $scope.queryArray(0);
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 0, name: '心愿对象' },
      { id: 1, name: '个人' },
      { id: 2, name: '集体' }
    ]
  };
  $scope.claim.targetObj = {
    value: '个人', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.claimForm.rlObject = type.id;
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 1, name: '个人' },
      { id: 3, name: '企业' },
      { id: 2, name: '集体' }
    ]
  };
  $scope.targetObj = {
    value: '请选择', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.form.withobject = type.id;
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 1, name: '个人' },
      { id: 2, name: '集体' }
    ]
  };
  /* 心愿形式 */
  $scope.filter.formalization = {
    value: '心愿形式', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.filterForm.formalization = type.id > 0 ? type.id : undefined;
      $scope.queryArray(0);
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 0, name: '心愿形式' },
      { id: 1, name: '物质' },
      { id: 2, name: '精神' }
    ]
  };
  $scope.formalization = {
    value: '请选择', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.form.type = type.id;
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 1, name: '物质' },
      { id: 2, name: '精神' }
    ]
  };
  /* 是否认领 */
  $scope.filter.isClaimed = {
    value: '未认领', options: [],
    selecOption: function (type) {
      console.log(type)
      this.value = type.name;
      $scope.filterForm.isClaimed = type.id;
      $scope.queryArray(0);
      $scope.selectBlur();
    },
    onFocus: function () {
      this.showOptions = !this.showOptions;
    },
    options: [
      { id: 0, name: '未认领' },
      { id: 1, name: '全部' }
    ]
  };
  /* 表单 */
  $ionicModal.fromTemplateUrl('wishFormContent.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function (modal) {
    $scope.wishFormContentModal = modal;
  });
  $scope.setForm = function (b, init) {
    $scope.$emit('loginFirst', function () {
      $scope.formContent = b
      $scope.form = {}
      $scope.targetObj.value = '请选择';
      $scope.formalization.value = '请选择';
      if (!b) {
        $scope.wishFormContentModal.hide()
        return
      } else {
        var delegateForm = $ionicScrollDelegate.$getByHandle('formScroll');
        delegateForm.scrollTop();
      }
      $scope.wishFormContentModal.show()
    })
  }
  $ionicModal.fromTemplateUrl('wishClaimFormContent.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function (modal) {
    $scope.wishClaimFormContentModal = modal;
  });
  $scope.setFormClaim = function (b, item) {
    event.stopPropagation();
    $scope.$emit('loginFirst', function () {
      $scope.formClaim = b;
      $scope.claimForm = {}
      $scope.claim.targetObj.value = '请选择';
      if (b) {
        var delegateClaim = $ionicScrollDelegate.$getByHandle('claimScroll');
        delegateClaim.scrollTop();
        $scope.claimItem = item;
        $scope.wishClaimFormContentModal.show();
        return
      }
      $scope.wishClaimFormContentModal.hide();
    })
  }
  $scope.showDetial = function (b, item) {
    $scope.showDetials = b;
    if (b) {
      var delegate = $ionicScrollDelegate.$getByHandle('articlesDetailScroll');
      delegate.scrollTop();
      $scope.detailItem = item;
    } else $scope.detailItem = null
  }
  $scope.submit = function () {
    $scope.$emit('loginFirst', function () {
      var msg = $scope.ruleAll()
      if (msg != true) {
        $scope.alert(msg);
        return;
      }
      if ($scope.form.content.length > 500) {
        $scope.alert("我的故事不能超过500字！");
        return;
      }
      $scope.$emit('loading', 'show');
      $scope.postReport();
    })
  }
  $scope.postReport = function (fileStr) {
    var data = $scope.form;
    data.regionId = $scope.districtForFuncList.id;
    data.sbUserId = $scope.user && $scope.user.userName;
    appService.post(urlMap.scWish, data,
      function (results) {
        $scope.$emit('loading', 'hide');
        if (results.code != 200)
          $scope.alert("提交出错，请联系客服人员！");
        else
          $scope.alert("心愿申请提交成功！管理员审核中...", true, function () {
            $scope.setForm(false)
          });
      })
  }
  /* 认领提交 */
  $scope.submitClaim = function () {
    $scope.$emit('loginFirst', function () {
      /* if (!$scope.claimForm.rlName || !$scope.claimForm.rlPhone || !$scope.claimForm.rlObject) {
        $scope.alert("请完整填写表单");
        return;
      } */
      var msg = $scope.ruleAll()
      if (msg != true) {
        $scope.alert(msg);
        return;
      }
      $scope.$emit('loading', 'show');
      var data = $scope.claimForm;
      data.rlUserId = $scope.user.userName
      data.id = $scope.claimItem.id
      data.rlFlag = 1
      appService.put(urlMap.scWish, data,
        function (results) {
          $scope.$emit('loading', 'hide');
          if (results.code != 200)
            $scope.alert("提交出错，请联系客服人员！");
          else
            $scope.alert("认领申请提交成功！管理员审核中...", true, function () {
              $scope.setFormClaim(false)
            });
        })
    })
  }
  $scope.queryArray = function (page) {
    if (page < 1) { //页面刷新时为0,下拉刷新时为1
      var delegateList = $ionicScrollDelegate.$getByHandle('listScroll');
      delegateList.scrollTop();
      $ionicScrollDelegate.resize();
      $scope.curPage = 0;
      page = 0;
      $scope.dataList = null;
    } $scope.domore = false;
    $scope.$emit('loading', 'show');
    var data = {
      withobject: $scope.filterForm.targetObj ? $scope.filterForm.targetObj : undefined, //对象
      type: $scope.filterForm.formalization, //形式
      rlFlag: $scope.filterForm.isClaimed ? undefined : 0, //认领状态
      regionId: $scope.districtForFuncList.id,
      flag: 4,
      page: page
    }
    if ($scope.myWish) data = {
      sbUserId: $scope.user && $scope.user.userName,
      page: page
    }
    if ($scope.myClaim) data = {
      rlUserId: $scope.user && $scope.user.userName,
      page: page
    }
    appService.get(urlMap.scWish, data, function (res) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      if (!res) return;
      var list = res.data, length = list.length, size = 10,
        articles = $scope.dataList || []
        ;
      if (length == size) $scope.domore = true;
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i];
          item.title = "我想要" + (item.type == 1 ? (item.number + '个') : '') + item.itemName
          item.typeName = item.type == 1 ? '物质' : '精神'
          item.objectName = item.withobject == 1 ? '个人' : '集体'
          item.summary = item.content && item.content.slice(0, 40);
          item.rlFlagName = item.rlFlag ? (item.rlFlag > 1 ? '已认领' : '认领中') : '未认领'
          switch (item.flag) {
            case 4:
              item.flagName = '社区管理员已通过'
              break;
            case 3:
              item.flagName = '社区管理员已拒绝'
              break;
            case 2:
              item.flagName = '网格管理员已通过, 等待社区管理员审核'
              break;
            case 1:
              item.flagName = '网格管理员已拒绝'
              break;
            default:
              item.flagName = '等待网格管理员审核'
          }
          articles.push(item);
        }
      }
      $scope.dataList = articles;
    }, function (error, errorCode) {
      $scope.dataList = [];
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
    });
  }
  $scope.doRefresh = function () {
    $scope.queryArray(0);
  }
  $scope.onInfinite = function () {
    $scope.domore = false;
    $scope.queryArray(++$scope.curPage);
  }
  $scope.alert = function (info, queryAgain, callback) {
    $ionicPopup.alert({
      title: '提示框',
      template: info
    }).then(function (res) {
      if (queryAgain)
        $scope.queryArray(0);
      callback && callback();
    });
  }
}]);

