
appModule.controller('intelligentDHandleWishController', ['$scope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', '$ionicScrollDelegate', function ($scope, $state, appService, $timeout, $stateParams, $ionicPopup, $ionicScrollDelegate) {
  /* data */
  $scope.stateName = $state.current.name;
  $scope.allArrays = [];
  $scope.pageNext = {};
  $scope.domore = {};
  $scope.forMe = true;
  $scope.rlFlag = 1;
  $rootScopeViewGoback = $scope.viewGoback;
  console.log($stateParams);
  $scope.regionId = $stateParams.region && $stateParams.region.id;
  $scope.roleLevel = $stateParams.roleLevel;
  // $scope.roleLevel = 100;
  // $scope.roleLevel = 101;
  $scope.handleNav = $stateParams.handleNav || [
    {
      id: 0, name: '心愿申请', menuIcon: '', url: 'scWish'
    },
    {
      id: 1, name: '认领申请', menuIcon: '', url: 'scWish'
    }
  ];
  $scope.tabIndex = $scope.handleNav && $scope.handleNav[0].id;
  $scope.$watch('tabIndex', function (n, o) {
    $scope.showDetials = false;
    var currentArray = $scope.allArrays[n];
    if (!currentArray) $scope.queryArray(n, 0);
    var delegate = $ionicScrollDelegate.$getByHandle('articlesListScroll');
    delegate.scrollTop();
  });
  $scope.changeFilter = function () {
    $scope.queryArray($scope.tabIndex, 0)
  }
  $scope.changeHandleNav = function (navItem) {
    $scope.tabIndex = navItem.id;
  }
  $scope.queryArray = function (tabIndex, page) {
    if (page < 1) {
      $scope.pageNext[tabIndex] = 0;
      $scope.allArrays[tabIndex] = null;
      var delegate = $ionicScrollDelegate.$getByHandle('articlesListScroll');
      delegate.scrollTop();
    }
    var data = {
      regionId: $scope.regionId,
      page: page
    }
    if (tabIndex) { //认领
      data.rlFlag = $scope.rlFlag
    } else { //申请
      data.flag = !$scope.forMe ? undefined : $scope.roleLevel < 101 ? 2 : 0
    }
    $scope.domore[tabIndex] = false;
    $scope.$emit('loading', 'show');
    appService.get(urlMap[$scope.handleNav[0].url], data, function (results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      console.log('留言列表: ', results);
      var list = results.data, length = list.length, size = results.size,
        articles = $scope.allArrays[tabIndex] || []
        ;
      $timeout(function () {
        if (length == size) $scope.domore[tabIndex] = true;
      }, 500)
      if (length > 0) {
        for (var i = 0; i < length; i++) {
          var item = list[i];
          item.title = "我想要" + (item.type == 1 ? (item.number + '个') : '') + item.itemName
          // item.typeName = item.type == 1 ? '物质' : '精神'
          switch (item.flag) {
            case 4:
              item.flagName = '社区管理员已通过'
              // if ($scope.roleLevel <= 100) item.sqPermissFalse = true
              break;
            case 3:
              item.flagName = '社区管理员已拒绝'
              // if ($scope.roleLevel <= 100) item.sqPermissTrue = true
              break;
            case 2:
              item.flagName = '网格管理员已通过, 等待社区管理员审核'
              if ($scope.roleLevel <= 100) item.sqPermissTrue = item.sqPermissFalse = true
              // if ($scope.roleLevel <= 101) item.sqPermissFalse = true
              break;
            case 1:
              item.flagName = '网格管理员已拒绝'
              // if ($scope.roleLevel <= 101) item.sqPermissTrue = true
              break;
            default:
              item.flagName = '等待网格管理员审核'
              if ($scope.roleLevel == 101) item.sqPermissTrue = item.sqPermissFalse = true
          }
          switch (item.rlFlag) {
            case 2:
              item.rlFlagName = '已同意认领'
              break;
            case 1:
              item.rlFlagName = '认领中'
              item.rlPermiss = true
              break;
            default:
              item.rlFlagName = '未认领'
          }
          item.objectName = item.withobject == 1 ? '个人' : '集体'
          item.rlObjectName = item.rlObject && (item.rlObject == 3 ? '企业' : (item.rlObject == 2 ? '集体' : '个人'))
          item.summary = item.content && item.content.slice(0, 20);
          articles.push(item);
        }
      }
      $scope.allArrays[tabIndex] = articles;
    });
  }
  $scope.doRefresh = function () {
    $scope.queryArray($scope.tabIndex, 0);
  }
  $scope.onInfinite = function () {
    var n = $scope.tabIndex;
    if ($scope.pageNext[n] == undefined) return;
    $scope.domore[n] = false;
    $scope.queryArray(n, ++$scope.pageNext[n]);
  }
  $scope.showDetial = function (b, item) {
    $scope.showDetials = b;
    if (b) {
      var delegate = $ionicScrollDelegate.$getByHandle('articlesDetailScroll');
      delegate.scrollTop();
      $scope.detailItem = item;
      console.log(item)
    }
  }
  // 申请审核
  $scope.auditFun = function (flag, b) {
    $ionicPopup.confirm({
      title: '申请审核',
      template: '确定要' + (b ? '通过' : '拒绝') + '该心愿吗，' + (b ? '通过' : '拒绝') + '后将不能修改？',
      okText: '确定',
      cancelText: '取消'
    }).then(function (res) {
      if (res) {
        flag = b ? flag + 2 : flag + 1
        var data = {
          id: $scope.detailItem.id,
          flag: flag
        }
        if (flag > 2) {
          data.sqId = $scope.user.userName;
          data.sqName = $scope.user.telephone || $scope.user.userName
        }
        else {
          data.wgId = $scope.user.userName;
          data.wgName = $scope.user.telephone || $scope.user.userName
        }
        appService.put(urlMap.scWish, data, function (result) {
          $scope.queryArray($scope.tabIndex, 0);
          if (result.code == 200) {
            $scope.detailItem.flag = flag;
            var item = $scope.detailItem
            delete item.sqPermissTrue
            delete item.sqPermissFalse
            switch (item.flag) {
              case 4:
                item.flagName = '社区管理员已通过'
                item.sqId = $scope.user.userName
                item.sqName = $scope.user.telephone
                break;
              case 3:
                item.flagName = '社区管理员已拒绝'
                item.sqId = $scope.user.userName
                item.sqName = $scope.user.telephone
                break;
              case 2:
                item.flagName = '网格管理员已通过, 等待社区管理员审核'
                if ($scope.roleLevel <= 100) item.sqPermissTrue = item.sqPermissFalse = true
                item.wgId = $scope.user.userName
                item.wgName = $scope.user.telephone
                break;
              case 1:
                item.flagName = '网格管理员已拒绝'
                item.wgId = $scope.user.userName
                item.wgName = $scope.user.telephone
                break;
              default:
                item.flagName = '等待网格管理员审核'
                if ($scope.roleLevel == 101) item.sqPermissTrue = item.sqPermissFalse = true
            }
          } else {
            $scope.alert("信息发布失败! 请联系客服");
          }
        })
      }
    })
  }
  // 处理
  $scope.stateFun = function (flag, b) {
    var msg
    if (!b) msg = '确定要拒绝该认领申请吗？拒绝后该心愿将变回“未认领”状态，供其他用户认领。'
    else msg = '确定要同意该认领申请吗，同意后将不能修改？'
    $ionicPopup.confirm({
      title: '认领审核',
      template: msg,
      okText: '确定',
      cancelText: '取消'
    }).then(function (res) {
      if (res) {
        rlFlag = b ? 2 : 0
        var data = {
          id: $scope.detailItem.id,
          rlFlag: rlFlag
        }
        appService.put(urlMap.scWish, data, function (result) {
          $scope.queryArray($scope.tabIndex, 0);
          if (result.code == 200) {
            $scope.detailItem.rlFlag = rlFlag;
            var item = $scope.detailItem
            delete item.rlPermiss
            switch (item.rlFlag) {
              case 2:
                item.rlFlagName = '已同意认领'
                break;
              case 1:
                item.rlFlagName = '认领中'
                break;
              default:
                item.rlFlagName = '未认领'
            }
          } else {
            $scope.alert("信息发布失败! 请联系客服");
          }
        })
      }
    })
  }
  $scope.alert = function (info, queryAgain, callback) {
    $ionicPopup.alert({
      title: '提示框',
      template: info
    }).then(function (res) {
      if (queryAgain)
        $scope.queryArray($scope.tabIndex, 0);
      callback && callback();
    });
  }
  $scope.viewGoback = function () {
    if ($scope.showDetials) $scope.showDetials = false;
    else $rootScopeViewGoback();
  }
}
]);
