appModule.controller('intelligentDMastController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$stateParams', '$ionicScrollDelegate', '$document', '$ionicHistory', function($scope, $rootScope, $state, appService, $timeout, $stateParams, $ionicScrollDelegate, $document, $ionicHistory) {
  $rootScope.themeNav = 'redf32533';
  $scope.stateName = $state.current.name;
  $scope.productId = $stateParams.productId;
  $scope.communityList = $stateParams.communityList;
  $scope.districtForFuncList;//缓存当前定位
  $scope.paramsActiveNavRootIndex = $stateParams.activeNavRootIndex; //活动一级菜单index(父)
  $scope.activeNav2Index; //活动二级菜单index
  $scope.activeNav3Index; //活动三级菜单index
  $scope.navLevel2 = []; //二级菜单数组
  $scope.navLevel3 = []; //三级菜单数组
  $scope.activeNav2Obj; //活动二级菜单对象
  $scope.activeNav3Obj; //活动三级菜单对象
  $scope.funList = []
  $scope.funDomore=[]
  $scope.funPage=[]
  $scope.lastPageCache = {}
  var delegateDivisionCommunityList = $ionicScrollDelegate.$getByHandle('divisionCommunityListScroll');
  $scope.init = function() {
    $scope.navLevel2 = [];
    $scope.navLevel3 = [];
    // $scope.queryIndex = 'reset';
    $scope.activeNav2Index = 'reset';
    $scope.activeNav3Index = 'reset';
  }
  $scope.$on('$ionicView.beforeEnter', function() {
    if ($scope.backState) { $state.go($scope.backState); }
  });
  $scope.$on('$ionicView.beforeLeave', function() {
    // console.log($ionicHistory);
  });
  $scope.$watch('districtForFuncList', function(n, o) {
    if (!n) return;
    console.log('更换社区:', n);
    var activeNavRootIndex = $scope.activeNavRootIndex;
    $scope.activeNavRootIndex = 'reset';
    if (n.level > 4 && $scope.district.level == 4) {
      $scope.queryNavRoot(function() {
        if (activeNavRootIndex > 0) $timeout(function() {
          $scope.activeNavRootIndex = activeNavRootIndex;
          //搜索模块滚动到对应锚点
          var hash = 'communityId' + n.id, elm = hash && $document[0].getElementById(hash),
            scrollLeft = elm.offsetLeft - (elm.offsetParent.offsetWidth / 2 - elm.offsetWidth / 2);
          delegateDivisionCommunityList && delegateDivisionCommunityList.scrollTo(scrollLeft, null, true);
        }, 100)
      });
      // $scope.chooseCommunity = true;
    }
  }, true);
  $scope.$watch('activeNavRootIndex', function(n, o) {
    if (!(n > -1)) return;
    $scope.init();
    var nav = $scope.navRoot, index = n;
    var thisLevel = $scope.districtForFuncList.level;
    $scope.activeNavRootObj = nav[index]; //更新活动一级菜单对象
    console.log('切换root导航', $scope.activeNavRootObj.name);
    $scope.showCommunityFuncList = (index > 0 && $scope.district.level < 5) ? true : false;
    if (index == 0 || thisLevel > 4) $scope.queryNavlevel2($scope.activeNavRootObj.id);
    else {
      $scope.queryNavRootIndex = n + 1;
      $state.go('intelligentD.articleListLevel4');
    }
  }, true);
  $scope.$watch('activeNav2Index', function(n, o) {
    if (!(n > -2)) return;
    $scope.activeNav2Obj = $scope.navLevel2 && $scope.navLevel2[n];
    $scope.navLevel3 = [];
    $scope.activeNav3Index = 'reset';
    $scope.activeNav3Obj = null;
    var style = $scope.activeNav2Obj && $scope.activeNav2Obj.style;
    // style = '12'
    switch (style) {
      case '4': //社区活动
        $state.go('intelligentD.activity');
        break;
      case '5': //社区留言
        $state.go('intelligentD.msg', { a: 1 });
        break;
      case '6': //寻人寻物
        $state.go('intelligentD.lost');
        break;
      case '7': //服务信息
        $state.go('intelligentD.service');
        break;
      case '8': //红色物业
        $state.go('intelligentD.property');
        break;
      case '9': //微心愿
        $state.go('intelligentD.wish');
        break;
      case '10': //办事指南
        $state.go('intelligentD.affairs');
        break;
      case '11': //组织结构
        $state.go('intelligentD.org');
        break;
      case '12': //人员结构
        $state.go('intelligentD.personnel');
        break;
      default:
        $state.go('intelligentD.funcList');
        if (!$scope.activeNav2Obj || !$scope.activeNav2Obj.hasSubMenu) {
          $scope.queryMenu = $scope.activeNav2Obj.id;
        }
        $scope.queryNavlevel3();
    }
  });
  $scope.$watch('activeNav3Index', function(n, o) {
    $scope.activeNav3Obj = $scope.navLevel3 && $scope.navLevel3[n];
    if (n == 'reset' || !(n > -1)) {
      return;
    };
    var style = $scope.activeNav3Obj && $scope.activeNav3Obj.style;
    switch (style) {
      case '4': //社区活动
        $state.go('intelligentD.activity');
        break;
      case '5': //社区留言
        $state.go('intelligentD.msg', { a: 1 });
        break;
      case '6': //寻人寻物
        $state.go('intelligentD.lost');
        break;
      case '7': //服务信息
        $state.go('intelligentD.service');
        break;
      case '8': //红色物业
        $state.go('intelligentD.property');
        break;
      case '9': //微心愿
        $state.go('intelligentD.wish');
        break;
      case '10': //办事指南
        $state.go('intelligentD.affairs');
        break;
      case '11': //组织结构
        $state.go('intelligentD.org');
        break;
      case '12': //人员结构
        $state.go('intelligentD.personnel');
        break;
      default:
        $state.go('intelligentD.funcList');
        $timeout(function() {
          $scope.queryMenu = $scope.activeNav3Obj.id;
        })
    }
  });
  $scope.queryNavlevel2 = function(id) {
    console.log('更新二级菜单');
    $scope.navLevel2 = [];
    if (!$scope.activeNavRootObj.hasSubMenu && !id) {
      $scope.activeNav2Index = -1;
      return
    };
    var results = $rootScope.idivCache[$scope.districtForFuncList.id][$scope.activeNavRootIndex];
    var list = results && results.children, length = list.length;
    for (var i = 0; i < length; i++) {
      $scope.navLevel2.push({
        id: list[i].id,
        name: list[i].submenuname,
        hasSubMenu: list[i].children && list[i].children.length,
        menuicon: list[i].menuicon,
        style: list[i].style
      });
    }
    $timeout(function() {
      if (length > 0) $scope.activeNav2Index = 0;
    })
  }
  $scope.queryNavlevel3 = function() {
    console.log('更新三级菜单');
    if (!$scope.activeNav2Obj || !$scope.activeNav2Obj.hasSubMenu) {
      return
    }
    var results = $rootScope.idivCache[$scope.districtForFuncList.id][$scope.activeNavRootIndex].children[$scope.activeNav2Index];
    var list = results && results.children, length = list.length;
    for (var i = 0; i < length; i++) {
      $scope.navLevel3.push({
        id: list[i].id,
        name: list[i].submenuname,
        style: list[i].style,
        hasSubMenu: list[i].children && list[i].children.length,
        menuicon: list[i].submenuicon
      });
    }
    $timeout(function() {
      if (length > 0) $scope.activeNav3Index = 0;
    })
  }
  /* 选择社区 */
  $scope.selectCommunity = function(item) {
    $scope.districtForFuncList = item;
  }
  $scope.changeNavLevel2 = function(i, item) {
    // $scope.queryIndex = 'reset';
    $scope.activeNav2Index = i;
  }
  $scope.changeNavLevel3 = function(i) {
    // $scope.queryIndex = 'reset';
    $scope.activeNav3Index = i;
  }
}]);