
appModule.controller('intelligentDMyController', ['$scope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', '$ionicScrollDelegate', '$sce', function ($scope, $state, appService, $timeout, $stateParams, $ionicPopup, $ionicScrollDelegate, $sce) {
  /* data */
  $scope.stateName = $state.current.name;
  $scope.allArrays = [];
  $scope.pageNext = {};
  $scope.domore = {};
  $scope.tabIndex = 0;
  $scope.myNav = [{
    name: '服务信息',
    menuicon: 'bianminfuwu',
    url: 'intelligentDMyService',
    detailUrl: ''
  }, {
    name: '寻人寻物',
    menuicon: 'xunrenxunwu',
    url: 'intelligentDMyLost',
    detailUrl: ''
  }, {
    name: '社区活动',
    menuicon: 'shequhuodong',
    url: 'intelligentDMyActivity',
    detailUrl: ''
  }];
  $scope.allArrays.length = $scope.myNav.length;
  /* root enterBefore */
  $scope.$on('changeDistrict', function (e, data) {
    if ($scope.stateName == $state.current.name) {

    }
  })
  $scope.changeMyNav = function (i) {
    $scope.tabIndex = i
  }
  /* watch */
  $scope.$watch('tabIndex', function (n, o) {
    var currentArray = $scope.allArrays[n];
    if (!currentArray) $scope.queryArray(n, 0);
    $ionicScrollDelegate.scrollTop();
  });
  $scope.queryArray = function (tabindex, page) {
    if (page == 0 || page == 1) { //页面刷新时为0,下拉刷新时为1
      $scope.pageNext[tabindex] = 1;
      page = 1;
    }
    var url = $scope.myNav[tabindex].url;
    $scope.$emit('loading', 'show');
    var data = {
      userId: $scope.user.id,
      page: page
    }
    appService.getData(urlMap[url], data,
      function (results) {
        $scope.$emit('loading', 'hide');
        $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        console.log(page, results.resultList);
        if (page == 1) {
          $scope.allArrays[tabindex] = null;
        }
        var list = results.resultList, length = list.length, size = results.size,
          articles = $scope.allArrays[tabindex] || []
          ;
        if (length < size) $scope.domore[tabindex] = false;
        else { $timeout(function () { $scope.domore[tabindex] = true; }, 200) }
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i], article = {};
            article = item;
            article.id = item.id;
            article.title = item.title || item.activityInfo.activityName;
            article.picName = item.picName;
            article.summary = item.content && $('<div>' + item.content + '</div>').text().replace(/\s+/g, ' ').slice(0, 500);
            if (article.activityInfo) article.activityInfo.content = item.activityInfo && item.activityInfo.contentText && $('<div>' + item.activityInfo.contentText + '</div>').text().replace(/\s+/g, ' ').slice(0, 500);
            article.villageName = item.villageName;
            article.createTime = item.createTime;
            articles.push(article);
          }
        }
        $scope.allArrays[tabindex] = articles;
      });
  }
  $scope.doRefresh = function () {
    $scope.queryArray($scope.tabIndex, 1);
  }
  $scope.onInfinite = function () {
    var n = $scope.tabIndex;
    if (!$scope.pageNext[n]) return;
    $scope.queryArray(n, ++$scope.pageNext[n]);
  }
}
]);
