appModule.controller('jiweiSubmenuController', ['$scope', 'appService', '$state', '$timeout', '$stateParams', '$ionicScrollDelegate', function($scope, appService, $state, $timeout, $stateParams, $ionicScrollDelegate) {
  $scope.stateName = $state.current.name;
  $mScope = $scope.$parent;
  $mScope.pageClass = 'submenu';
  $scope.module = $stateParams.module
  var parentName = $scope.module.name
  $mScope.curMenuKey = $scope.curMenuKey = $scope.module.id
  $rootScopeViewGoback = $scope.viewGoback;
  if ($scope.module) {
    $scope.menus = $stateParams.module.children
  }
  $scope.$on('$stateChangeStart',
    function(event, toState, toParams, fromState, fromParams) {
      $mScope.backState = $scope.stateName;
      $mScope.backStateParams = $stateParams;
      $mScope.viewGoback = $rootScopeViewGoback;
    })
  $scope.selectSubMenu = function(item) {
    /* 常规文章列表 */
    if (item.type == 2) {
      var apiParam = item.param && JSON.parse(item.param) || {}
      var pageName = parentName ? parentName + ' > ' + item.name : item.name
      var params = {
        module:item,
        pageName: pageName
      }
      $scope.goState(item.route, params)
      return true
    }
    if (item.type == 12) {
      var pageName = parentName ? parentName + ' > ' + item.name : item.name
      var params = {
        module: item,
        pageName: pageName
      }
      $scope.goState(item.route, params)
      return true
    }
    if (item.type == 3) {
      var pageName = parentName ? parentName + ' > ' + item.name : item.name
      var params = {
        module:item,
        crumbs: pageName
      }
      $scope.goState(item.route, params)

      return true
    }
  }
}
])