appModule.controller('jiweiLeadersTreeController', ['$scope', 'appService', '$state', '$timeout', '$stateParams', '$ionicScrollDelegate', function($scope, appService, $state, $timeout, $stateParams, $ionicScrollDelegate) {
  $scope.module = $stateParams.module
  $scope.api = $scope.module.api
  $scope.apiParams = $scope.module.param && JSON.parse($scope.module.param) || {}
  $scope.perModule = $scope.module.remark && JSON.parse($scope.module.remark) || {}
  $scope.perModule.shareUrl = $scope.module.shareUrl
  var perInfo = $stateParams.module.remark
  $scope.per = perInfo && JSON.parse(perInfo) || {}
  $scope.pageName = $stateParams.pageName
  $scope.stateName = $state.current.name;
  $scope.articles
  $scope.domore = true
  $scope.$on('$ionicView.enter', function() {
  });
  $scope.goPerDetail = function(id, per) {
    if (!per.isshow) {
      return
    }
    $scope.goState('jiweiArticle', { module: $scope.perModule, id: id, crumbs: $scope.pageName + ' > ' + $scope.per.pageName })
  }
  $scope.queryTree = function() {
    var api = $.ctxZz + $scope.api
    appService.getData(
      api, $scope.apiParams,
      function(result) {
        $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        $scope.domore = false;
        $scope.leadersTree = result.data
      }
    );
  }
  $scope.doRefresh = function() {
    $scope.queryTree();
  }
  $scope.onInfinite = function() {
    $scope.queryTree();
  }
}
])