appModule.controller('jiweiMastController', ['$scope', 'appService', '$state', '$timeout', '$stateParams', '$ionicScrollDelegate', '$cordovaBrowser', function($scope, appService, $state, $timeout, $stateParams, $ionicScrollDelegate, $cordovaBrowser) {
  $scope.stateName = $state.current.name;
  $scope.jiweiBase = 'http://www.ccdijl-thxjwjw.gov.cn/'
  $scope.mainNav = $stateParams.params.mainNav
  $scope.$on('$ionicView.loaded', function() {
    $scope.goState($stateParams.params.module.route, $stateParams.params)
  });
  $scope.$on('$ionicView.beforeEnter', function() {
    if ($scope.backState) { $state.go($scope.backState,$scope.backStateParams) }
    $scope.backState = null;
  });
  /* $scope.$on('$stateChangeStart',
    function(event, toState, toParams, fromState, fromParams) {
    }) */
  $scope.navState = function() {
    $scope.showAllNav = !$scope.showAllNav
  }
  $scope.$watch('mainNav', function(menu) {
    if (!menu) return
    $scope.curMenuKey = $scope.curMenuKey || menu[0].id
  })
  /* 选择主导航菜单 */
  $scope.selectMenu = function(item) {
    $scope.showAllNav = false
    var param = {
      module: item
    }
    /* 外链 */
    if (item.type == 7) {
      $scope.openUrl(item)
      return true
    }
    /* 常规文章列表 */
    if (item.type == 2) {
      param.pageName = item.name
      $scope.goState(item.route, param)
      return true
    }
    /* 仅路由 */
    if (item.type == 5) {
      $scope.goState(item.route, param)
      return true
    }
    /* 目录页 信息公开 */
    if (item.type == 0) {
      $scope.goState(item.route, param)
      return true
    }
    return false
  }
  $scope.openUrl = function(item) {
    // $scope.showUrl = $sce.trustAsResourceUrl(item.address);
    $cordovaBrowser.open(item.url, '_blank',
      {
        title: {
          color: '#ffffff',
          showPageTitle: true,
          staticText: item.name
        },
        closeButton: {
          wwwImage: 'images/normal/icon-back.png',
          wwwImagePressed: 'images/normal/icon-back.png',
          staticText: '关闭',
          align: 'left',
          event: 'closePressed'
        },
        closePressed: function() {
        },
        toolbar: {
          height: 44,
          color: '#5769f1'
        },
        backButtonCanClose: false
      })
  }
}
])