appModule.controller('LeaveMsgDetailController', ['$scope', '$stateParams', 'appService', function($scope, $stateParams, appService) {
  console.log($stateParams);
  var url = urlMap[$stateParams.queryUrl] || urlMap.getMsgById;
  $scope.detailId = $stateParams.id;
  $scope.readType = $stateParams.readType;
  $scope.domore = true;
  $scope.$on('$ionicView.enter', function() {
    // $scope.getMsgDetail();
  });
  function formatPhone(str) {
    if(!str) return str
    console.log(str);
    var html = '',
      mobileReg = /^(\(\d{3,4}\)|\d{3,4}\s*[-——－]{1,3}\s*|0\d{2,3})\d+$/,
      telhtml,
      matched
      ;
    telhtml = str.replace(/(电话[:：]?\s*)?(((\(\d{3,4}\)|\d{3,4}\s*[-——－]{1,3}\s*|0\d{2,3})\d+)|(\d{3,}))/g, function(word) {
      if (/(电话[:：]?\s?)/.test(word)) {
        matched = true;
        return word.replace(/\d.*\d$/, '<a class="f18" href="tel:$&">$&</a> ');
      }
      if (mobileReg.test(word)) {
        matched = true;
        return word.replace(mobileReg, '<a class="f18" href="tel:$&">$&</a> ');
      }
      if (/^((953\d{2})|(955\d{2})|(123\d{2})|(400\d{7}))$/.test(word)) {
        matched = true;
        return word.replace(/\d.*\d$/, '<a class="f18" href="tel:$&">$&</a> ');
      }
      if (/^\d{7,}$/.test(word)) {
        matched = true;
        return '<a class="f18" href="tel:' + word + '">' + word + '</a> ';
      }
      return word;
    });
    /* if (!matched && /\d+/.test(str)) telhtml = '<a href="tel:' + str + '">' + str + '</a>';
    telhtml = telhtml.replace(/\w{1,2}\s{0,1}\u3001/g, 'splitflag$&'); //1、
    var list = telhtml.split('splitflag'); //1、
    for (var i = 0; i < list.length; i++) {
      if (!list[i]) continue;
      html += '<p class="mb8">' + list[i] + '</p>';
    } */
    return telhtml;
  }
  $scope.getMsgDetail = function() {
    // $scope.$emit('loading', 'show');
    appService.getData(url, { id: $scope.detailId }, function(jsonData) {
      // $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      $scope.domore = false
      var portrait = jsonData.portrait;
      if (portrait != null && portrait != '') {
        jsonData.portrait = $scope.pic + '/' + portrait;
      } else {
        jsonData.portrait = $scope.pic + urlMap.defaultImg;
      }
      jsonData.replyContent = formatPhone(jsonData.replyContent);
      // jsonData.stateName = jsonData.state == 0?'审核中'
      $scope.msgItem = jsonData;
      if ($scope.readType == 0) {
        $scope.myMessageCountFn(--$scope.myMessageTotalCount);
      }
    });
  };
  $scope.onInfinite = function() {
    $scope.getMsgDetail();
  };
},
]);
