appModule.controller('myLeaveMsgController',
  ['$scope', '$ionicPopup', '$stateParams', 'appService', '$timeout', '$state', '$ionicLoading', '$sce',
    function($scope, $ionicPopup, $stateParams, appService, $timeout, $state, $ionicLoading, $sce) {
      $scope.areaID = $stateParams.areaID;
      $scope.footerActiveFlag = 4;
      $scope.allArrays;
      $scope.pageNext; //页面初始化前为 0 初始化后为1 加载更多时累加
      $scope.domore;
      $scope.$on('$ionicView.enter', function() {
        $scope.myQueryLeaveMsg(0);
      });
      $scope.myQueryLeaveMsg = function(page) {
        if (page == 0 || page == 1) { //页面刷新时为0,下拉刷新时为1
          $scope.pageNext = 1;
          page = 1;
        }
        $scope.$emit('loading', 'show');
        var data = {
          page: page,
          userId: $scope.user.id,
          replyType: -1
        },
          opts = {
            method: "post",
            url: urlMap.myQueryMessage,
            params: data,
          }
        appService.queryData(opts,
          function(results) {
            $scope.$emit('loading', 'hide');
            $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
            $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
            console.log(page, results.resultList);
            if (page == 1) {
              $scope.allArrays = null;
            }
            var list = results.resultList, length = list.length, size = results.size,
              articles = $scope.allArrays || []
              ;
            if (length < size) $scope.domore = false;
            else $timeout(function() { $scope.domore = true; }, 200);
            if (length > 0) {
              for (var i = 0; i < length; i++) {
                var item = list[i], article = {};
                article = item;
                article.auditName = item.state == 0 ? '该留言审核中，请您耐心等待' : item.state == 2 ? '该留言未通过审核，点击查看详情' : null;
                article.leaveMessage = $sce.trustAsHtml(article.leaveMessage).$$unwrapTrustedValue();
                articles.push(article);
              }
            }
            $scope.allArrays = articles;
          });
      }
      //下拉刷新
      $scope.doRefresh = function() {
        $scope.myQueryLeaveMsg(1);
      }
      // $scope.doRefresh();
      //上拉加载
      $scope.onInfinite = function() {
        if (!$scope.pageNext) return;
        $scope.myQueryLeaveMsg(++$scope.pageNext);
      }

      //跳转到详情页面 
      /* $scope.goDetail = function (item) {
        window.location.href = "#/myLeaveMsgDetail/" + item.id + '/' + $scope.areaID;
      } */
      $scope.goDetail = function(item) {
        var queryUrl = 'getMyMessageById';
        var params = {
          id: item.id,
          areaID: item.areaID,
          queryUrl: queryUrl,
          readType: item.readType
        }
        $state.go('leaveMsgDetail', params);
      }
    }
  ])