appModule.controller('DepartmentJSDetailController', ['$scope', '$stateParams', 'appService', '$state', '$sce', '$compile', '$ionicHistory',
    function ($scope, $stateParams, appService, $state, $sce, $compile, $ionicHistory) { //首页
        var userInfo = window.localStorage.getItem("userInfo");
        $scope.user = JSON.parse(userInfo);
        $scope.detailId = $stateParams.id;
        $scope.queryUrl = $stateParams.queryUrl;
        appService.getData(urlMap[$scope.queryUrl], { id: $scope.detailId },
            function (jsonData) {
                console.log(jsonData[0]);
                $scope.dealItem = jsonData && (jsonData[0] || jsonData.resultList[0]);
                if (!$scope.dealItem) {
                    $scope.dealItem = {};
                    console.log('null content')
                    return;
                }
                $scope.dealItem.deptName = $scope.dealItem.deptName || $scope.dealItem.companyName;
                $scope.dealItem.emsTypeName = $scope.dealItem.emsTypeName == '无' ? null : $scope.dealItem.emsTypeName;
                $scope.trustHtml = "";
                var content = $scope.dealItem.rtContent;
                //找到<img标签
                var reg = /<img[^>]*>/gi;
                // 匹配出html中的src属性
                var images = content.match(reg);
                //包含图片
                if (images) {
                    new RTP.PinchZoom($('#pinchZoom'), {});
                    var winHeight = $(window).height();
                    var winWidth = $(window).width();
                    $('#pinchZoom').height(winHeight);
                    $('#pinchZoom').parents('.pinch-zoom-container')
                        .width(winWidth)
                        .height(winHeight);
                    //解析拼接内容
                    for (var i = 0; i < images.length; i++) {
                        var image = images[i];
                        var first = image.substr(0, image.indexOf(' ') + 1);
                        var next = image.substr(image.indexOf(' '));
                        var regSrc = /src=[\'\"]?([^\'\"]*)[\'\"]?/i;
                        var srcStr = image.match(regSrc);
                        // 将ng-click事件拼接到html中
                        var final = first + ' ng-click="showBigImage(' + "'" + srcStr[1] + "'" + ')"' + next;
                        //为适应点击图片放大，因此将width和height属性过滤掉
                        final = final.replace(/\s+((width)=[\'"]+[0-9]+[\'"]+)/, "");
                        final = final.replace(/\s+((height)=[\'"]+[0-9]+[\'"]+)/, "");
                        content = content.replace(image, final);
                        // 编译dom,使其在angularjs的监听下
                        $("#showCompanyContent_image").html($compile(content)($scope));
                    }
                } else {
                    $scope.trustHtml = $sce.trustAsHtml($scope.dealItem.rtContent);
                }
            });
        //点击放大图
        $scope.bigImage = false;
        $scope.showBigImage = function (imgSrcPath) {
            //console.log("imgSrcPath:   " + imgSrcPath);
            $scope.bigImage = true;
            // $scope.bigImageSrc = $scope.pic + "/" + imgSrcPath + "?" + (new Date()).getTime();
            $scope.bigImageSrc = imgSrcPath + "?" + (new Date()).getTime();
        };
        $scope.hideBigImage = function () {
            $scope.bigImage = false;
            $('#pinchZoom').parents('.pinch-zoom-container').hide();
        };
        $scope.loadBigImage = function () {
            $('#pinchZoom').parents('.pinch-zoom-container').show();
        }
    }
])