appModule.controller('ttbHomepageController', ['$scope', '$rootScope', 'appService', '$timeout', '$state', '$ionicHistory', '$ionicViewSwitcher', '$cordovaBrowser', function($scope, $rootScope, appService, $timeout, $state, $ionicHistory, $ionicViewSwitcher, $cordovaBrowser) {
  /* datas */
  $scope.stateName = $state.current.name; //data
  $scope.footerActiveFlag = 0;
  $scope.zwfw_flag;
  $scope.picArr = [];
  $scope.cityId = '';
  $scope.dameiOrigin;
  $scope.dameiSlidesFormat;
  $scope.pageNext;
  $scope.$on('$ionicView.beforeEnter', function() {
    if ($scope.publicCityId != '2205') { $ionicViewSwitcher.nextDirection("enter"); $scope.goState('home') }
  })
  $scope.$on('$ionicView.loaded', function() {
    if (!$scope.isHomeReady && $scope.appGuideHide)
      $timeout(function() {
        $scope.enterApp();
      }, 2000);
    $scope.getYiqingSwitch();
    $scope.bannerHeight = window.innerWidth
      ? {
        height: window.innerWidth * 0.6 + 'px',
      }
      : false;
    window.onresize = function() {
      $scope.$apply(function() {
        $scope.bannerHeight = window.innerWidth
          ? {
            height: window.innerWidth * 0.6 + 'px',
          }
          : false;
      });
    };
  });
  /* 接收广播 */
  $scope.$on('changeDistrict', function(e, data) {
    if ($scope.stateName == $state.current.name) {
      if ($scope.publicCityId != '2205') {
        $ionicViewSwitcher.nextDirection("enter");
        $scope.goState('home')
      }
      $scope.queryBanner();
      $scope.zhangbanwangban() // 掌办网办
      $scope.getHomeTown(); //大美通化
      $scope.zwfw();
    }
  });
  $scope.$on('$ionicView.afterEnter', function() {
    $scope.initBannerSwiper();
    $scope.initNoticeSwiper();
    $scope.initMidBannerSwiper();
    $scope.initDameiSwiper && $scope.initDameiSwiper();
    $ionicHistory.clearHistory();
    $ionicHistory.clearCache();
    $scope.getNewsList(0);
    $scope.checkVersion && $scope.checkVersion('inapp')
  });
  $scope.$on('$ionicView.afterLeave', function() {
    $scope.zzMidBannerSwiper &&
      $scope.zzMidBannerSwiper.destroy(true, true);
    $scope.TTBHomepageDameiSwiper &&
      $scope.TTBHomepageDameiSwiper.destroy(true, true);
    $scope.homePageBannerSwiper &&
      $scope.homePageBannerSwiper.destroy(true, true);
    $scope.homePageNoticeSwiper &&
      $scope.homePageNoticeSwiper.destroy(true, true);
  });
  /* 掌办网办 */
  $scope.zhangbanwangban = function() {
    var data = {
      areaId: $scope.publicCityId,
      topHome: 1,
    }
    appService.getData(urlMap.zhangbanwangbanHome, data, function(result) {
      $scope.zhangban = result.data[0].zhangban
      $scope.wangban = result.data[0].wangban
    })
  }
  $scope.openUrl = function(item) {
    // $scope.showUrl = $sce.trustAsResourceUrl(item.address);
    $cordovaBrowser.open(item.address, '_blank',
      {
        title: {
          color: '#ffffff',
          showPageTitle: true,
          staticText: item.title
        },
        closeButton: {
          wwwImage: 'images/normal/icon-back.png',
          wwwImagePressed: 'images/normal/icon-back.png',
          staticText: '关闭',
          align: 'left',
          event: 'closePressed'
        },
        closePressed: function() {
          console.log('closePressed')
        },
        toolbar: {
          height: 44,
          color: '#5769f1'
        },
        backButtonCanClose: false
      })
  }
  $scope.adClick = function(item) {
    if (item.remark == 'miniprogram') {
      var title = '即将打开' + item.text + '小程序，是否继续？'
      var miniId = item.param
      $scope.goMinip(item.routPath, title, miniId)
    }
    if (item.remark == 'route') {
      var state = item.routPath
      var param = item.param && JSON.parse(item.param)
      $scope.goState(state, param)
    }
  }
  $scope.queryBanner = function() {
    appService.getData(
      urlMap.homePic,
      {
        area_id: $scope.publicCityId,
      },
      function(results) {
        // console.log('轮播图', results);
        if (!results || !results.length) return;
        $scope.bannerArray = $scope.noticeArray = results;
        $scope.initBannerSwiper();
        $scope.initNoticeSwiper();
      }
    );
  };
  $scope.initBannerSwiper = function() {
    $scope.homePageBannerSwiper &&
      $scope.homePageBannerSwiper.destroy(true, true);
    var loop = false;
    if (!!$scope.bannerArray && $scope.bannerArray.length > 1) {
      loop = true;
    }
    $timeout(function() {
      $scope.homePageBannerSwiper = new Swiper('#homePageBannerSwiper', {
        width: undefined,
        autoplay: {
          disableOnInteraction: false,
        },
        loop: loop,
        pagination: {
          el: '.homepage-banner-pagination',
        }/* ,
        on: {
          tap: function(e) {
            var _e = e || event;
            $scope.goInfoDetail(_e.target.getAttribute('itemid'));
          },
        }, */
      });
    });
    // }
  };
  $scope.initNoticeSwiper = function() {
    $scope.homePageNoticeSwiper &&
      $scope.homePageNoticeSwiper.destroy(true, true);
    var loop = false;
    if (!!$scope.noticeArray && $scope.noticeArray.length > 1) {
      loop = true;
    }
    $timeout(function() {
      $scope.homePageNoticeSwiper = new Swiper('#homePageNoticeSwiper', {
        direction: 'vertical',
        loop: loop,
        autoplay: {
          delay: 3000,
          stopOnLastSlide: false,
          disableOnInteraction: false,
        },
        on: {
          tap: function(e) {
            var _e = e || event;
            $scope.goInfoDetail(_e.target.getAttribute('itemid'));
          },
        },
      });
    });
  };
  $scope.getYiqingSwitch = function() {
    appService.getData(urlMap.yiqingSwitch, {}, function(result) {
      $rootScope.yiqingSwitch = result || [];
      for (var i = 0; i < $rootScope.yiqingSwitch.length; i++) {
        $rootScope.yiqingSwitch[i] =
          $rootScope.yiqingSwitch[i] == '0'
            ? false
            : $rootScope.yiqingSwitch[i];
      }
    });
  };
  $scope.goHometown = function(item) {
    $scope.goState('ttbHometown', { initTab: 1, hometownTypeId: '5' })
    // $state.go('ttbHometown', { initTab: 1 });
  };
  $scope.goHometownDetail = function(item) {
    $state.go('ttbHometownDetail', { id: item.id });
  };
  $scope.gotoPolicyList = function(id, name) {
    $state.go('policyList', { categoryId: id, categoryName: name });
  };
  $scope.zwfw = function() {
    //全部显示为 [1,2,3], 不显示的位置替换为0
    switch ($scope.cityId) {
      case '2205':
        // 通通办
        $scope.zwfw_flag = [1, 0, 0, 0];
        break;
      case '220521':
        // 通化县
        $scope.zwfw_flag = [1, 2, 0, 5];
        break;
      case '220503':
        // 二道江
        $scope.zwfw_flag = [1, 2, 0, 0];
        break;
      case '220524':
        // 柳河
        $scope.zwfw_flag = [1, 2, 0, 0];
        break;
      case '210211':
        // 甘井子
        $scope.zwfw_flag = [1, 2, 3, 0];
        break;
      default:
        // $scope.zwfw_flag = 'others';
        $scope.zwfw_flag = [1, 0, 0, 0];
    }
  };
  
  //大美通化轮播图片信息
  $scope.getHomeTown = function() {
    appService.getData(
      urlMap.getHometown,
      {
        areaId: $scope.publicCityId,
        topHome: 1,
        hometownId: 5,
        page: 0,
        size: 999
      },
      function(result) {
        $scope.dameiSlidesFormat = [];
        var dameiOrigin = result.data, length = dameiOrigin.length; //条数计数器
        for (var i = 0; i < length; i++) {
          if (!!dameiOrigin[i].picName) {
            dameiOrigin[i].picName = $scope.evalRemotePath(dameiOrigin[i].picName, ($scope.pic + '/'))
          }
        }
        $scope.dameiSlidesFormat = dameiOrigin
        $scope.initDameiSwiper();
      }
    );
  };
  $scope.initMidBannerSwiper = function() {
    $timeout(function() {
      $scope.zzMidBannerSwiper && $scope.zzMidBannerSwiper.destroy(true, true);
      $scope.zzMidBannerSwiper = new Swiper('#zzMidBannerSwiper', {
        slidesPerView: 'auto',
        slidesPerGroup: 3,
        resistanceRatio: 0
      });
    });
  };
  $scope.initDameiSwiper = function() {
    $timeout(function() {
      $scope.TTBHomepageDameiSwiper && $scope.TTBHomepageDameiSwiper.destroy(true, true);
      $scope.TTBHomepageDameiSwiper = new Swiper('#TTBHomepageDameiSwiper', {
        slidesPerView: 'auto',
        slidesPerGroup: 3,
        resistanceRatio: 0,
        on: {
          resize: function() {
            this.update(); //窗口变化时，更新Swiper的一些属性，如宽高等
          }
        }
      });
    });
  };
  //获取新闻列表
  $scope.getNewsList = function(page) {
    if (page == 0 || page == 1) {
      //页面刷新时为0,下拉刷新时为1
      $scope.pageNext = 1;
      page = 1;
    }
    appService.getData(
      urlMap.homeNews,
      {
        categoryId: 1,
        page: page,
      },
      function(jsonDataArr) {
        if (!jsonDataArr) return;
        var jsonData = jsonDataArr[0];
        // console.log(jsonData);
        if (page == 1) {
          $scope.newsList = [];
          $scope.domore = false; //加载更多标识
        }
        if (jsonData.resultList.length != 0) {
          var dataItemArr = jsonData.resultList;
          for (var i = 0; i < dataItemArr.length; i++) {
            //增加默认新闻图片
            if (
              dataItemArr[i]['picName'] == '' ||
              dataItemArr[i]['picName'] == 'undefined'
            ) {
              dataItemArr[i]['picName'] = urlMap.newImg;
            }
            var vio = dataItemArr[i].picName;
            var type = dataItemArr[i].type; // 图片1视频2
            if (type == '1') {
              dataItemArr[i].pic = $scope.pic + '/' + vio;
            } else if (type == '2') {
              var pic = vio.substring(0, vio.length - 3);
              pic = pic + 'jpg';
              dataItemArr[i].vio = $scope.vio + '/' + vio;
              dataItemArr[i].pic = $scope.vio + '/' + pic;
            }
            $scope.newsList.push(dataItemArr[i]);
          }
          //动态刷新事件处理
          $scope.$broadcast('scroll.refreshComplete');
          $scope.$broadcast('scroll.infiniteScrollComplete');
        } else {
          $scope.domore = true;
        }
      }
    );
  };
  $scope.doRefresh = function() {
    $scope.getNewsList(1);
  };
  $scope.goInfoDetail = function(infoId) {
    window.location.href = '#/newsDetail/' + infoId;
  };
  $scope.ttbGoZhsq = function() {
    $scope.goState("ttbProduct", { name: "智慧社区" })
  }
  $scope.ttbGoZhzz = function() {
    $scope.goState("ttbProduct", { name: "智慧综治" })
  }
  $scope.ttbGoZhxz = function() {
    $scope.goState('intelligentDHome', { productId: 4, name: "智慧乡镇", regionCode: "220521", regionName: "通化县" })
  }
},
]);
