appModule.controller('xinyongManualController', ['$scope', '$state','appService',
  function($scope, $state,appService) {
    $scope.domore = true
    $scope.list = null
    $scope.nextPage = 0
    //data
    $scope.stateName = $state.current.name;
    //加载
    $scope.$on('$ionicView.loaded', function() {
    });
    $scope.getList = function(page) {
      var data = {
        TYPEFLAG: 3,
        page: page
      }
      appService.getData(urlMap.queryGuideTitlesList, data,
        function(results) {
          $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
          console.log(results.resultList);
          var list = results.resultList, length = list.length, size = results.size,
            articles = $scope.list || []
            ;
          if (length < size) $scope.domore = false;
          else $scope.domore = true;
          if (length > 0) {
            for (var i = 0; i < length; i++) {
              var item = list[i], article = {};
              article.id = item.id;
              article.title = item.title || item.TITLE;
              articles.push(article);
            }
          }
          $scope.list = articles;
        });
    }
    //跳转到文章页
    $scope.getArticleDetail = function (id) {
      var articleUrl = 'queryGuideArticle';
      var params = {
        fromTab: $scope.tabIndex,
        articleQuery: articleUrl,
        id: id,
        whiteList: []
      }
      $state.go('comArticle', params);
    }
    $scope.onInfinite = function() {
      $scope.getList(++$scope.nextPage)
    }
  }
])
