appModule.controller('xinyongzhongguoController', ['$scope', '$state', '$cordovaBrowser',
  function($scope, $state, $cordovaBrowser) {
    //data
    $scope.stateName = $state.current.name;
    //加载
    $scope.$on('$ionicView.loaded', function() {
    });
    $scope.openUrl = function(item) {
      $cordovaBrowser.open(item.url, '_blank',
        {
          title: {
            color: '#ffffff',
            showPageTitle: true,
            staticText: item.title
          },
          closeButton: {
            wwwImage: 'images/normal/icon-back.png',
            wwwImagePressed: 'images/normal/icon-back.png',
            staticText: '关闭',
            align: 'left',
            event: 'closePressed'
          },
          closePressed: function() {
            console.log('closePressed')
          },
          toolbar: {
            height: 44,
            color: '#5769f1'
          },
          backButtonCanClose: false
        })
    }
    $scope.imgsSwipe = new Swiper('#articleImgs', { //图片轮播 
      zoom: {
        toggle: false,
      }
    });
    $scope.showBigImage = function (i) {
      $scope.imgsSwipe.slideTo(i, 0, false);
      $('#articleImgs').show();
      if (!$scope.isUpdateSize) { $scope.imgsSwipe.update(); $scope.isUpdateSize = true; }
    };
    $scope.hideBigImage = function () {
      $scope.imgsSwipe.zoom.out();
      $('#articleImgs').hide();
    };
  }
])
