appModule.controller('ttbYCCreateController', ['$scope', '$state', 'appService', '$stateParams', '$ionicPopup', '$timeout', '$ionicScrollDelegate',
  function($scope, $state, appService, $stateParams, $ionicPopup, $timeout, $ionicScrollDelegate) {
    // console.log('ttbOPCreateController')
    // $stateParams.thing
    $scope.thingType = $stateParams.thingType
    $scope.step = 1
    //data
    $scope.stateName = $state.current.name;
    $scope.form = {}
    $rootScopeViewGoback = $scope.viewGoback;
    $scope.viewGoback = function() {
      if ($scope.oneThingId) {
        var comp = true
        var list = $scope.completeUpload, length = list.length
        for (var i = 0; i < length; i++) {
          var file = list[i]
          if (!file && $scope.materials[i].required == 1) comp = false
        }
        if (!comp) {
          $ionicPopup.confirm({
            title: "材料未上传完整",
            template: "材料还未上传完整，是否离开本页？",
            cancelText: '稍后续传',
            okText: '继续上传'
          }).then(function(stay) {
            if (!stay) $rootScopeViewGoback();
          });
          return
        }
        if ($scope.oneThingId && !$scope.completeThing) {
          $ionicPopup.confirm({
            title: "本部门未完结",
            template: "本次申请未完成，是否离开本页？",
            cancelText: '稍后继续',
            okText: '留在本页'
          }).then(function(stay) {
            if (!stay) $rootScopeViewGoback();
          });
        }
        else $rootScopeViewGoback()
      }
      else $rootScopeViewGoback()
    }
    //加载
    $scope.$on('$ionicView.loaded', function() {
      $scope.$emit('loginFirst', function() {
        $scope.ttbRole = $scope.user.ttbRole
        $scope.continu = !!$stateParams.thing
        if ($scope.continu) {
          $scope.oneThingId = $stateParams.thing.id
          $scope.step = 2
        }
        $scope.form = $stateParams.thing ||
        {
          type: $scope.thingType.id,
          progressOne: $scope.ttbRole.permission,
          userId: $scope.user.id
        };
        // $scope.domore = true
        // $scope.getDepts()
      })
    });
    $scope.create = function() {
      if ($scope.going == 'creating') return
      if ($scope.going == 'compleate') {
        $scope.goStep('next', 2)
        return
      }
      var msg = $scope.ruleAll()
      if (msg != true) {
        $scope.alert(msg);
        return;
      }
      $scope.going = 'creating'
      var formData = new FormData();
      for (key in $scope.form) {
        console.log(key)
        formData.append(key, $scope.form[key]);
      }
      // formData.append("file", fileObj);
      $.ajax({
        type: "POST",
        url: urlMap.ttbYCpost,
        data: formData,
        cache: false,
        processData: false,
        contentType: false,
      }).success(function(result) {
        console.log(result.errmsg)
        if (result.errno == 0 && result.data.code == 0) {
          $scope.$apply(function() {
            $scope.going = 'compleate'
            $scope.oneThingId = result.data.oneId
            $scope.goStep('next', 2)
          })
          return
        }
        $scope.going = 'error'
        if (result.data && result.data.code != 0) {
          $scope.alert(result.data.msg)
          return
        }
        $scope.alert(result.errmsg)
      }).error(function(err) {
        $scope.alert(err)
      });
    }
    $scope.goStep = function(direction, step) {
      /* if (direction == 'next') {
        var msg = $scope.ruleAll()
        if (msg != true) {
          $scope.alert(msg);
          return;
        }
      } */
      $timeout(function() {
        $ionicScrollDelegate.scrollTop();
      })
      $scope.step = step
    }
    $scope.alert = function(info, callback) {
      $ionicPopup.alert({
        title: '提示框',
        template: info
      }).then(function(res) {
        callback && callback();
      });
    }
    $scope.materials = [
      // { name: '通化市“出生一件事”联办登记表', alias: '联办登记表', required: 1 }
    ]
    $scope.tempFile = {}
    $scope.addMaterials = function() {
      $ionicPopup.show({
        template: '<div class="list">' +
          '<label class="item item-input item-stacked-label">' +
          '<span class="input-label">附件名称</span>' +
          '<input type="text" ng-model="tempFile.name">' +
          '</label>' +
          '</div> ',
        title: '附件名称',
        subTitle: '您可以为附件起名, 方便其他联办部门查询',
        scope: $scope,
        buttons: [{
          text: '不命名',
          onTap: function(e) {
            var t = Math.random() + ''
            var num = t.slice(3)
            $scope.materials.push(
              { name: $scope.thingType.name + num, alias: '附件' }
            )
          }
        },
        {
          text: '<b>确定</b>',
          type: 'button-positive',
          onTap: function(e) {
            $scope.materials.push(
              { name: $scope.tempFile.name }
            )
            $scope.tempFile = {}
          }
        },
        ]
      });
    }
    $scope.deletetFile = function(index) {
      $ionicPopup.confirm({
        title: '是否删除当前附件',
        okText: '确定',
        cancelText: '取消'
      }).then(function(res) {
        if (res) {
          $scope.materials.splice(index, 1)
        }
      });
    }
    /* $scope.materials.forEach(function(item, i) {
      $scope['uploadFiles' + i] = []
    }) */
    /* 附件上传 */
    $scope.removeFile = function(reset, num, item) {
      item.uploadFiles = null
      if (!reset) {
        var id = '#localPhotoFile' + num
        $(id).val(''); //本地
      }
    }
    /* 本地附件读取 */
    function readerfile(file) {
      return new Promise( function(resolve, reject) {
        var reader = new FileReader();
        reader.onload = function() {
          resolve(reader.result);
        };
        if (file) {
          reader.readAsDataURL(file)
        }
      })
    }
    $scope.fileChangeEvent = function(num, item) {
      var id = '#localPhotoFile' + num
      var files = $(id)[0].files;
      for (var i = 0; i < files.length; i++) {
        $scope.fileType = $scope.thisfileType(files[i].name);
        if (!$scope.fileType == 'error') {
          return;
        }
        $scope.removeFile('reset', num, item);
        try {
          readerfile(files[i]).then(function(e) {
            $scope.$apply(function() {
              item.uploadFiles = e
            })
            $scope.ajaxUpload(num)
          })
        } catch (e) {
          /* alert(e);
          $scope.$apply(function () {
            $scope.showUploadNames.push(files);
          }) */
        }
      }
    }
    /* 本地文件上传 */
    $scope.completeUpload = new Array($scope.materials.length)
    $scope.ajaxUpload = function(num) {
      // file,fileRemark,idCard,oneThingTypeId,from
      $timeout(function() {
        var id = '#files' + num
        $(id).ajaxSubmit({
          url: urlMap.ttbOPUpload,
          type: "post",
          dataType: "json",
          success: function(res) {
            console.log(res)
            if (res.errno == 0) {
              var imgUrl = res.data.url;
              $scope.completeUpload[num] = imgUrl
              $(".shade").eq(num).hide()
            } else {
              $scope.alert("文件上传失败，请联系客服人员！");
            }
          },
          error: function(xhr) {
            $scope.$emit('loading', 'hide');
            $scope.alert("媒体上传失败，请联系客服人员！");
          },
          beforeSerialize: function() {
          },
          beforeSend: function() {
            $(".shade").eq(num).show()
            $(".shade").eq(num).html('0%');
            //$("#progressNumber").html('0%');
          },
          uploadProgress: function(event, position, total, percentComplete) {
            $(".shade").eq(num).html(percentComplete.toString() + '%');
          }
        });
      })
    }
    $scope.complete = function() {
      var comp = true
      var list = $scope.completeUpload, length = list.length
      for (var i = 0; i < length; i++) {
        var file = list[i]
        if (!file && $scope.materials[i].required == 1) comp = false
      }
      if (!comp) {
        $scope.alert('请上传必要附件')
        return
      }
      $ionicPopup.confirm({
        title: "完成申请",
        template: "点击“完成”将完成本次申请，是否继续？",
        cancelText: '取消',
        okText: '完成'
      }).then(function(res) {
        if (res) {
          var data = {
            deptId: $scope.form.progressOne || $scope.ttbRole.permission,
            oneId: $scope.oneThingId,
            progressState: 2
          }
          appService.postData(urlMap.ttbYCdbput, data,
            function(result) {
              $scope.alert(result.msg, function() {
                if (result.code == 0) {
                  $scope.completeThing = true
                  $scope.viewGoback()
                }
              })
            });
        }
      });

    }
  }
])
