
appModule.controller('entertainAttentionDetailController', ['$scope', '$stateParams', 'appService', '$ionicPopup', '$state',
    function($scope, $stateParams, appService, $ionicPopup, $state) { //首页

        $scope.detailId = $stateParams.id;
        $scope.attentionUserId = $stateParams.userId;

        //视频详情
        $scope.userId = $scope.user.id; //点赞人id
        $scope.userName = $scope.user.userName; //点赞人名字
        $scope.mediaId = $stateParams.id; //视频id
        $scope.alert = function(info) {
            $ionicPopup.alert({
                title: '提示框',
                template: info
            });
        }
        appService.getData(urlMap.videoList, {state: -1,id: $scope.detailId, page: 1 },
            function(jsonData) {
                $scope.dealItem = jsonData[0]["resultList"];
                if (jsonData[0]["resultList"].length > 0) {
                    $scope.dataItem = jsonData[0]["resultList"][0];

                    var vio = $scope.dataItem.name;
                    var type = $scope.dataItem.type;
                    $scope.attentionUserName = $scope.dataItem.userName;
                    $scope.isShare = $scope.dataItem.isShare; //是否共享

                    if ($scope.isShare == 1) {
                        $("#share").addClass("active");
                    } else {
                        $("#share").removeClass("active")
                    }



                    if (type == "1") {
                        $("#pic").attr("src", $scope.pic + "/" + vio);
                        $("#vio").attr("style", "display:none");
                        $("#pic").attr("style", "display:block");
                        $scope.bigImageSrc = $scope.pic + "/" + vio;
                        new RTP.PinchZoom($('#pinchZoom'), { minZoom: 0.2 });
                        var winHeight = $(window).height();
                        var winWidth = $(window).width();
                        $('#pinchZoom').height(winHeight);
                        $('#pinchZoom').parents('.pinch-zoom-container')
                            .width(winWidth)
                            .height(winHeight);
                    } else if (type == "2") {
                        var pic = vio.substring(0, vio.length - 3);
                        pic = pic + "jpg";
                        //                        $("#vio").attr("src", $scope.vio + "/" + vio);
                        //                        $("#vio").attr("poster", $scope.vio + "/" + pic);
                        $("#jquery_jplayer_1").jPlayer({
                            ready: function() {
                                $(this).jPlayer("setMedia", {
                                    m4v: $scope.vio + "/" + vio
                                }).jPlayer('play')
                            },
                            ended: function() { // The $.jPlayer.event.ended event
                                $(this).jPlayer("play"); // Repeat the media
                            },
                            supplied: "m4v",
                            swfPath: "assets/swf",
                            supplied: "webmv, ogv, m4v, oga, mp3",
                            useStateClassSkin: true,
                            autoBlur: false,
                            smoothPlayBar: true,
                            keyEnabled: true,
                            audioFullScreen: true,
                            size: {
                                width: $(window).width() - 30 + "px",
                                height: "auto"
                            },
                            autohide: {
                                restored: false,
                                full: false

                            }
                        });

                        $("#vio").attr("style", "display:block");
                        $("#pic").attr("style", "display:none");
                    }
                }
            });

        $scope.shareMedia = function() {
            var isShare = 0;

            if ($scope.isShare == 1) {
                $scope.isShare = isShare = 0;
                $("#share").removeClass("active");
            } else {
                $scope.isShare = isShare = 1;
                $("#share").addClass("active");
            }

            appService.getData(urlMap.shareMedia, { id: $scope.detailId, isShare: isShare },
                function(jsonData) {

                });
        }

        // 评论
        $scope.sendLeaveMsg = function() {
            var content = $("#content").val();

            if (content == '') {
                $scope.alert("请填写评论！");
                return;
            }
            var user_id = $scope.user.id;
            var user_name = $scope.user.userName;
            $.ajax({
                type: "post",
                url: urlMap.insertMultimedMessage,
                data: {
                    content: content,
                    multimedia_id: $scope.mediaId,
                    user_id: user_id,
                    user_name: user_name
                },
                success: function(jsonData) {

                    if (jsonData) {
                        $scope.alert("评论成功！");
                        $("#content").val("");
                        $scope.queryLeaveMsg(1);

                    }
                }
            });
        }

        //点击放大图
        $scope.bigImage = false;
        $scope.showBigImage = function() {
            $scope.bigImage = true;
            $('#pinchZoom').parents('.pinch-zoom-container').show();
        };
        $scope.hideBigImage = function() {
            $scope.bigImage = false;
            $('#pinchZoom').parents('.pinch-zoom-container').hide();
        };
        
        $scope.pageNext = 1;
        
        $scope.queryLeaveMsg = function(pageIndex) {
            $.ajax({
                type: "post",
                url: urlMap.queryMultimedMessage,
                data: { page: pageIndex, replyType: -1, multimedia_id: $scope.mediaId },

                success: function(jsonDataArr) {
                    var jsonData = jsonDataArr[0].resultList;
                    if (pageIndex == 1) {
                        $scope.msgDataArr = [];
                        $scope.domore = false;
                    }
                    if (jsonData.length != 0) {
                        var dataItemArr = jsonData;
                        for (var i = 0; i < dataItemArr.length; i++) {
                             var portrait = dataItemArr[i].portrait;
                            if(portrait!=null&&portrait!=""){
                                dataItemArr[i].portrait = $scope.pic + "/" + portrait;
                            }else{
                                dataItemArr[i].portrait = $scope.pic + urlMap.defaultImg;
                            }
                            $scope.msgDataArr.push(dataItemArr[i]);
                        }
                        $scope.pageNext = pageIndex + 1;

                        $scope.$broadcast('scroll.refreshComplete');
                        $scope.$broadcast('scroll.infiniteScrollComplete');

                    } else {
                        $scope.domore = true;
                        $scope.$broadcast('scroll.refreshComplete');
                        $scope.$broadcast('scroll.infiniteScrollComplete');
                    }


                }
            });

        }

      //下拉刷新
        $scope.doRefresh = function() {
            $scope.queryLeaveMsg(1);
        }
        $scope.doRefresh();
        //上拉加载
        $scope.onInfinite = function() {
            $scope.queryLeaveMsg($scope.pageNext);
        }
        
        $scope.shareWX = function(id, dataItem) {
        	if (typeof Wechat === "undefined") {
                alert("Wechat plugin is not installed.");
            }
        	var params = {
        		scene: id
            };
        	params.message = {
                title: "[TEST]",
                description: "[TEST]Sending from test application",
                mediaTagName: "TEST-TAG-001",
                messageExt: "这是第三方带的测试字段",
                messageAction: "<action>dotalist</action>",
                media: {}
            };
        	
        	params.message.title = dataItem.titleCh;
            params.message.description = dataItem.contentCh.substring(0, 35);
            params.message.thumb = "https://cordova.apache.org/images/cordova_256.png";
            params.message.media.type = Wechat.Type.LINK;
            params.message.media.webpageUrl = 'zz.xn--5bvz82b.com/thapp/share/doShare/4?id=' + dataItem.id;
            
        	if(dataItem.name != null && dataItem.name != "") {
        		var url = $scope.pic;
        		var picname = dataItem.name;
        		if(dataItem.type == 2) {
        			url = $scope.vio;
        			picname = picname.substring(0, picname.length - 3);
            		picname = picname + "jpg";
        		}
        		params.message.thumb = url + '/' + picname + "?" + (new Date()).getTime();
        	}
        	Wechat.share(params, function () {
//                alert("Success");
            }, function (reason) {
//                alert("Failed: " + reason);
            });
        }
        
    }
])