appModule.controller('vioAuthorDetailsController',
    ['$scope', 'appService','$stateParams','$state', '$ionicHistory',
    function($scope, appService,$stateParams,$state,$ionicHistory) {
        $scope.footerActiveFlag = 1;
        // $scope.stationIndex  = 0;
        $scope.stationIndex  = 0;
        $scope.pageNext  = 1;
        $scope.author = $stateParams.author
        $scope.queryVideo = function(pageIndex) {
            appService.getData(urlMap.videoList,
                { state: 2, isActivity: "0", page: pageIndex, isShare: 1 ,userId : $stateParams.author.attentionUserId},
                function(jsonDataArr) {
                    console.log("vioAuthorDetailsController ajax 视频查询结果");
                    console.log(jsonDataArr[0]);

                    var jsonData = jsonDataArr[0];
                    if (pageIndex == 1) {
                        $scope.videoItemArr = [];
                        $scope.domore = false;
                    }
                    if (jsonData.resultList.length != 0) {
                        var dataItemArr = jsonData.resultList;
                        for (var i = 0; i < dataItemArr.length; i++) {
                            var vio = dataItemArr[i].name;
                            var type = dataItemArr[i].type; // 图片1视频2
                            var portrait = dataItemArr[i].portrait;
                            if(portrait!=null&&portrait!="")
                            	{
                            	 dataItemArr[i].portrait = $scope.pic + "/" + portrait;
                            	}else{
                            		dataItemArr[i].portrait = $scope.pic +  urlMap.defaultImg;
                            	}
                           
                            if (type == "1") {
                                dataItemArr[i].pic = $scope.pic + "/" + vio;
                            } else if (type == "2") {
                                var pic = vio.substring(0, vio.length - 3);
                                pic = pic + "jpg";
//                                dataItemArr[i].vio = $scope.vio + "/" + vio;
                                dataItemArr[i].pic = $scope.vio + "/" + pic;
                                $("#jquery_jplayer_1").jPlayer( {
                              	  ready: function() { 
                              	    $(this).jPlayer("setMedia", { 
                              	      m4v: $scope.vio + "/" + vio
                              	    }).jPlayer('play')
                              	  },
                              	ended: function() { // The $.jPlayer.event.ended event
                                    $(this).jPlayer("play"); // Repeat the media
                                },
                              	    supplied: "m4v",
                              	    swfPath: "assets/swf",
                              		supplied: "webmv, ogv, m4v, oga, mp3",
                              		useStateClassSkin: true,
                              		autoBlur: false,
                              		smoothPlayBar: true,
                              		keyEnabled: true,
                              		audioFullScreen: true,
                                      size:{
                                         width: $(window).width()-30+"px", 
                                         height: "auto"
                                      }
                              	});
                            }
                            //增加默认新闻图片
                            $scope.videoItemArr.push(dataItemArr[i]);
                        }
              
                        $scope.pageNext = pageIndex + 1;
                        //动态刷新事件处理
                       $scope.$broadcast('scroll.refreshComplete');
                       $scope.$broadcast('scroll.infiniteScrollComplete');
                    } else {
                        $scope.domore = true;
                    }
                    


                });
        }


        //下拉刷新
        $scope.doRefresh = function() {
            $scope.queryVideo(1);
        }
        $scope.doRefresh();
        //上拉加载
        $scope.onInfinite = function() {
            $scope.queryVideo($scope.pageNext);
        }
        //跳转到详情页面 
        $scope.goDetail = function(item) {
            window.location.href = "#/entertainAttentionDetail/" + item.id+ "/"+$stateParams.author.attentionUserId;
        }

    }
])
