appModule.controller('EntertainDetailController', 
	['$scope', '$stateParams', 'appService', '$ionicPopup', '$interval','$state',
    function($scope, $stateParams, appService, $ionicPopup, $interval , $state) { //首页
        $scope.detailId = $stateParams.id;
        $scope.type = $stateParams.type;
        $scope.attentionUserId = $stateParams.userId;
        $scope.isMy = $scope.type == 1 ? true : false;

        $scope.timer = 3;
        $scope.timerInter = $interval(function() {
            $scope.timer -= 1;
            if ($scope.timer <= 0) {
                $scope.$emit("loadFlag");
            }
        }, 1000, 3);
        
//        document.addEventListener("deviceready", function() {
//            appintance = new app();
//              alert('deviceready');
//              console.log(navigator.camera);
//           }, true); 
        
     
//     ***********分享给QQ好友*****************   
//        $scope.qqFriend=function() {  
//        	
//        	appintance.shareNews();
//        	 }  
        
        
//      ***********分享给QQ空间*****************   
      
//        $scope.qqZone=function(){  
// }  
      
 
        
        
        if ($scope.attentionUserId == $scope.user.id) {
            $scope.isMy = true;
        }
        if ($scope.type==3 || $scope.type==2){
        	$scope.isMy = false;
        }
        //视频详情
        $scope.userId = $scope.user.id; //点赞人id
        $scope.userName = $scope.user.userName; //点赞人名字
        $scope.mediaId = $stateParams.id; //视频id
        $scope.alert = function(info) {
            $ionicPopup.alert({
                title: '提示框',
                template: info
            });
        }
        appService.getData(urlMap.videoList, {state: -1, id: $scope.detailId, page: 1 },
            function(jsonData) {
                $scope.dealItem = jsonData[0]["resultList"];
                if (jsonData[0]["resultList"].length > 0) {
                    $scope.dataItem = jsonData[0]["resultList"][0];
                    var vio = $scope.dataItem.name;
                    var type = $scope.dataItem.type;
                    $scope.attentionUserName = $scope.dataItem.userName;
                    $scope.isShare = $scope.dataItem.isShare; //是否共享
                    var portrait = $scope.dataItem.portrait;
                    if(portrait!=null&&portrait!=""){
                        $scope.dataItem.portrait = $scope.pic + "/" + portrait;
                    }else{
                        $scope.dataItem.portrait = $scope.pic +  urlMap.defaultImg;
                    }
                    if ($scope.isShare == 1) {
                        $("#share").addClass("active");
                    } else {
                        $("#share").removeClass("active")
                    }

                    $("#jp_container_1").attr("style", "display:none");

                    if (type == "1") {
                        $("#pic").attr("src", $scope.pic + "/" + vio);
                        $("#jp_container_1").attr("style", "display:none");
                        $("#pic").attr("style", "display:block");
                        $scope.bigImageSrc = $scope.pic + "/" + vio;
                        new RTP.PinchZoom($('#pinchZoom'), { minZoom: 0.2 });
                        var winHeight = $(window).height();
                        var winWidth = $(window).width();
                        $('#pinchZoom').height(winHeight);
                        $('#pinchZoom').parents('.pinch-zoom-container')
                            .width(winWidth)
                            .height(winHeight);
                    } else if (type == "2") {
                        var pic = vio.substring(0, vio.length - 3);
                        pic = pic + "jpg";
                        var Poster = $scope.vio + "/" + vio.replace(/mp4/gi,"jpg");
                        //                        $("#vio").attr("src", $scope.vio + "/" + vio);
                        //                        $("#vio").attr("poster", $scope.vio + "/" + pic);
                        $("#jquery_jplayer_1").jPlayer({
                            ready: function() {
                                $(this).jPlayer("setMedia", {
                                    m4v: $scope.vio + "/" + vio ,
                                    poster: Poster
                                }).jPlayer('play');

                            },
                            ended: function() { // The $.jPlayer.event.ended event
                                $(this).jPlayer("play"); // Repeat the media
                            },
                            supplied: "m4v",
                            swfPath: "assets/swf",
                            supplied: "webmv, ogv, m4v, oga, mp3",
                            solution: "html,flash",
                            fullWindow: false,
                            useStateClassSkin: true,
                            autoBlur: false,
                            smoothPlayBar: true,
                            keyEnabled: true,
                            wmode: 'opaque',
                            size: {
                                width: $(window).width() - 30 + "px",
                                height: "auto"
                            },
                            autohide: {
                                restored: false,
                                full: false

                            },
                            play: function() {
                                /* $("#jquery_jplayer_1").off('click').on('click', function() { 
                                      $(".jp-full-screen").click(); 
                                 }); */
                            }
                        })

                        $("#pic").attr("style", "display:none");
                        $("#jp_container_1").attr("style", "display:block");
                    }
                }
            });

        $scope.shareMedia = function() {
            var isShare = 0;

            if ($scope.isShare == 1) {
                $scope.isShare = isShare = 0;
                $("#share").removeClass("active");
            } else {
                $scope.isShare = isShare = 1;
                $("#share").addClass("active");
            }

            appService.getData(urlMap.shareMedia, { id: $scope.detailId, isShare: isShare },
                function(jsonData) {

                });
        }
        $scope.pageNext = 1;
        $scope.queryLeaveMsg = function(pageIndex) {
            $.ajax({
                type: "post",
                url: urlMap.queryMultimedMessage,
                data: { page: pageIndex, replyType: -1, multimedia_id: $scope.mediaId },

                success: function(jsonDataArr) {
                    var jsonData = jsonDataArr[0].resultList;
                    if (pageIndex == 1) {
                        $scope.msgDataArr = [];
                        $scope.domore = false;
                    }
                    if (jsonData.length != 0) {
                        var dataItemArr = jsonData;
                        for (var i = 0; i < dataItemArr.length; i++) {
                             var portrait = dataItemArr[i].portrait;
                            if(portrait!=null&&portrait!=""){
                                dataItemArr[i].portrait = $scope.pic + "/" + portrait;
                            }else{
                                dataItemArr[i].portrait = $scope.pic + urlMap.defaultImg;
                            }
                            $scope.msgDataArr.push(dataItemArr[i]);
                        }
                        $scope.pageNext = pageIndex + 1;

                        $scope.$broadcast('scroll.refreshComplete');
                        $scope.$broadcast('scroll.infiniteScrollComplete');

                    } else {
                        $scope.domore = true;
                        $scope.$broadcast('scroll.refreshComplete');
                        $scope.$broadcast('scroll.infiniteScrollComplete');
                    }


                }
            });

        }
        //下拉刷新
        $scope.doRefresh = function() {
            $scope.queryLeaveMsg(1);
        }
        $scope.doRefresh();
        //上拉加载
        $scope.onInfinite = function() {
            $scope.queryLeaveMsg($scope.pageNext);
        }
        $scope.delConfirm = function() {
          
            var confirmPopup = $ionicPopup.confirm({
                title: '提示',
                template: '你确定要删除这条记录吗？',
                cancelText: '取消',
                okText: '确定'
            });
            confirmPopup.then(function(res) {
                if (res) {
                    appService.getData(urlMap.deleteMedia, { id: $scope.detailId },
                        function(jsonData) {

                            if (jsonData) {
                                $scope.alert("删除成功！");
                                
                                window.location.href = "#/myself/1"
//                                $state.go('myself');
                                
                            } else {
                                $scope.alert("删除失败！");
                            }


                        });
                } else {
                    console.log('You are not sure');
                }
            });
        };

        //点击放大图
        $scope.bigImage = false;
        $scope.showBigImage = function() {
            $scope.bigImage = true;
            $('#pinchZoom').parents('.pinch-zoom-container').show();
        };
        $scope.hideBigImage = function() {
            $scope.bigImage = false;
            $('#pinchZoom').parents('.pinch-zoom-container').hide();
        };



        // 评论
        $scope.sendLeaveMsg = function() {
            var content = $("#content").val();

            if (content == '') {
                $scope.alert("请填写评论！");
                return;
            }
            var user_id = $scope.user.id;
            var user_name = $scope.user.userName;
            $.ajax({
                type: "post",
                url: urlMap.insertMultimedMessage,
                data: {
                    content: content,
                    multimedia_id: $scope.mediaId,
                    user_id: user_id,
                    user_name: user_name
                },
                success: function(jsonData) {

                    if (jsonData) {
                        $scope.alert("评论成功！");
                        $("#content").val("");
                        $scope.queryLeaveMsg(1);

                    }
                }
            });
        }
        
        $scope.shareWX = function(id, dataItem) {
        	if (typeof Wechat === "undefined") {
                alert("Wechat plugin is not installed.");
            }
        	var params = {
        		scene: id
            };
        	params.message = {
                title: "[TEST]",
                description: "[TEST]Sending from test application",
                mediaTagName: "TEST-TAG-001",
                messageExt: "这是第三方带的测试字段",
                messageAction: "<action>dotalist</action>",
                media: {}
            };
        	
        	params.message.title = dataItem.titleCh;
            params.message.description = dataItem.contentCh.substring(0, 35);
            params.message.thumb = "https://cordova.apache.org/images/cordova_256.png";
            params.message.media.type = Wechat.Type.LINK;
            params.message.media.webpageUrl = 'zz.xn--5bvz82b.com/thapp/share/doShare/4?id=' + dataItem.id;
            
        	if(dataItem.name != null && dataItem.name != "") {
        		var url = $scope.pic;
        		var picname = dataItem.name;
        		if(dataItem.type == 2) {
        			url = $scope.vio;
        			picname = picname.substring(0, picname.length - 3);
            		picname = picname + "jpg";
        		}
        		params.message.thumb = url + '/' + picname + "?" + (new Date()).getTime();
        	}
        	Wechat.share(params, function () {
//                alert("Success");
            }, function (reason) {
//                alert("Failed: " + reason);
            });
        }
    }
])

