
appModule.controller('zhzzDispatchController', ['$scope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', '$sce',
  function ($scope, $state, appService, $timeout, $stateParams, $ionicPopup, $sce) {
    /* data */
    $scope.stateName = $state.current.name;
    $scope.dataArray;
    $scope.httpPath = '/zhzz/'
    $scope.filetype;
    $scope.maxWidth = 900;
    $scope.formContent = $stateParams.formContent;
    $scope.pageNext = 0;
    $scope.domore;
    $scope.form = {};
    $rootScopeViewGoback = $scope.viewGoback;
    $scope.userRegion = $stateParams.region;
    /* $scope.viewGoback = function () {
      if ($scope.formContent) $scope.setForm(false);
      else if ($scope.showDetials) $scope.showDetial(false);
      else $rootScopeViewGoback();
    } */
    $scope.serviceType = {
      value: '选择类型', options: [],
      selecOption: function (type) {
        console.log(type)
        this.value = type.name;
        $scope.form.messageType = type.id;
        $scope.selectBlur();
      },
      onFocus: function () {
        this.showServiceTypeOptions = !this.showServiceTypeOptions;
      }
    };
    $scope.ministryType = {
      value: '选择部门', options: [],
      selecOption: function (type) {
        console.log(type)
        this.value = type.depName;
        $scope.form.depId = type.id;
        $scope.selectBlur();
      },
      onFocus: function () {
        this.showMinistryTypeOptions = !this.showMinistryTypeOptions;
      }
    };
    $scope.selectBlur = function () {
      $scope.serviceType.showServiceTypeOptions = false;
      $scope.ministryType.showMinistryTypeOptions = false
    }
    $scope.$on('$ionicView.enter', function () {
      // if (!$scope.formContent) $scope.queryArray(0);
    });
    $scope.getServiceType = function () {
      appService.getData(urlMap.zhzzDispatchTypeList, { regionId: 0, size: 100 }, function (results) {
        $scope.serviceType.options = results.data;
      });
    }
    $scope.getMinistryType = function () {
      appService.getData(urlMap.zhzzDispatchMinistryList, { regionId: 0, size: 100 }, function (results) {
        $scope.ministryType.options = results.data;
      });
    }
    $scope.setForm = function (b, init) {
      if (!b) {
        if ($stateParams.formContent && !init) {
          $rootScopeViewGoback();
          return;
        }
        $scope.formContent = b;
        $scope.showDetail = false;
        return
      }
      $scope.formContent = b;
      $scope.form = {}
      $scope.removeFile()
      $scope.serviceType.value = '请选择';
      $scope.ministryType.value = '请选择';
      $('#localPhotoFile').val('');
      if (!$scope.ministryType.options.length)
        $scope.getMinistryType();
      if (!$scope.serviceType.options.length)
        $scope.getServiceType();
    }
    $timeout(function () {
      $scope.setForm(true);
    })
    $scope.queryArray = function (page) {
      if (page < 1) { //页面刷新时为0,下拉刷新时为1
        $scope.pageNext = 0;
        $scope.dataArray = null;
      }
      $scope.$emit('loading', 'show');
      appService.get(urlMap.zhzzDispatch, {
        regionId: $scope.userRegion.id,
        state: 1,
        page: page
      }, function (results) {
        $scope.$emit('loading', 'hide');
        $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        console.log('寻人寻物:', results);
        if (!results) return;
        var list = results.data, length = list.length, size = results.size,
          articles = $scope.dataArray || []
          ;
        if (length < size) $scope.domore = false;
        else {
          $timeout(function () {
            $scope.domore = true;
          }, 200)
        }
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i], article = {};
            article = item;
            article.summary = $('<div>' + item.content + '</div>').text().replace(/\s+/g, '').slice(0, 30);
            // article.messageUser = item.messageUser.replace(/(.).+/, '$1**');
            // article.address = item.address && item.address.replace(/(.{3}).+/, '$1**');
            article.messageTypeName = item.msgType && item.msgType.name;
            article.depName = item.dep && item.dep.depName;
            /* article.picName = item.imgUrl && item.imgUrl.split(',')[0];
            article.picName = article.picName ? 'thumb_$' + article.picName : article.picName; */
            articles.push(article);
          }
        }
        $scope.dataArray = articles;
      });
    }
    $scope.doRefresh = function () {
      $scope.queryArray(1);
    }
    $scope.onInfinite = function () {
      $scope.queryArray(++$scope.pageNext);
    }
    $scope.alert = function (info, queryAgain, callback) {
      $ionicPopup.alert({
        title: '提示框',
        template: info
      }).then(function (res) {
        if (queryAgain)
          $scope.queryArray(1);
        callback && callback();
      });
    }
    $scope.showDetial = function (b, item) {
      $scope.showDetials = b;
      if (b) {
        var delegate = $ionicScrollDelegate.$getByHandle('articlesDetailScroll');
        delegate.scrollTop();
        item.attachments = item.imgUrl && item.imgUrl.split(',');
        if (item.attachments && item.attachments.length) {
          var attach = [];
          for (var i = 0; i < item.attachments.length; i++) {
            var _type = thisfileType(item.attachments[i]);
            var _attach = _type == 1 ? $scope.pic + '/' + item.attachments[i] : $scope.vio + '/' + item.attachments[i];
            attach.push({
              type: _type,
              path: $sce.trustAsResourceUrl(_attach)
            })
          }
          item.attachments = attach;
        }
        $scope.detailItem = item;
        console.log(item)
      }
    }
    $scope.removeFile = function (reset) {
      $scope.showUploadFiles = []; //预览
      $scope.showUploadNames = []; //预览失败 显示文件名
      if (!reset) {
        $('#localPhotoFile').val(''); //本地
        $scope.cameraFile = null; //拍摄
      }
    }
    /* 本地附件读取 */
    function readerfile (file) {
      return new Promise( function(resolve, reject) {
        var reader = new FileReader();
        reader.onload = function () {
          resolve(reader.result);
        };
        if (file) {
          reader.readAsDataURL(file)
        }
      })
    }
    $scope.fileChangeEvent = function () {
      var files = $('#localPhotoFile')[0].files;
      for (var i = 0; i < files.length; i++) {
        $scope.fileType = thisfileType(files[i].name);
        if (!$scope.fileType == 'error') {
          return;
        }
        $scope.removeFile('reset');
        try {
          readerfile(files[i]).then(function(e) {
            $scope.$apply(function () {
              if ($scope.fileType == 2) {
                $scope.showUploadFiles.push($sce.trustAsResourceUrl(e))
              }
              else $scope.showUploadFiles.push(e)
            })
          })
        } catch (e) {
          alert(e);
          $scope.$apply(function () {
            $scope.showUploadNames.push(files);
          })
        }
      }
    }
    /***
     * use camera
     */
    $scope.useCamera = function (type) {
      // $scope.$emit('loginFirst', function () {
      //开始录像(最长录制时间:60秒)
      if (type == 1) navigator.device.capture.captureImage(success, onError, { limit: 1 });
      if (type == 2) navigator.device.capture.captureVideo(success, onError);
      // });
      function success (mediaFiles) {
        $scope.showUploadFiles = [];
        for (var i = 0; i < mediaFiles.length; i++) {
          var name = mediaFiles[i].name;
          var path = mediaFiles[i].fullPath;
          $scope.fileType = thisfileType(name);
          if (!$scope.fileType == 'error') {
            return;
          }
          $scope.removeFile('reset');
          $scope.$apply(function () {
            if ($scope.fileType == 2) {
              $scope.showUploadFiles.push($sce.trustAsResourceUrl(path))
            }
            else
              $scope.showUploadFiles.push(path)
          })
          $scope.cameraFile = mediaFiles[i];
        }
      }
      //录制失败
      function onError (error) {
        $scope.alert('未进行拍摄！错误码:' + error.code);
      }
    }
    function thisfileType (fileName) {
      var picExt = ".jpg|.jpeg|.png|";
      var vioExt = ".mp4|.3gp|.avi|";
      if (!fileName) return null
      var extName = fileName.substring(fileName.lastIndexOf(".")).toLowerCase();//（把路径中的所有字母全部转换为小写）   
      /* 检查文件类型  */
      if (picExt.indexOf(extName + "|") != -1) return 1;
      if (vioExt.indexOf(extName + "|") != -1) return 2;
      $scope.alert("该文件类型不允许上传。");
      return 'error'
    }
    $scope.submit = function () {
      /* if (!($scope.form.messageType && $scope.form.depId && $scope.form.messageUser && $scope.form.content)) {
        $scope.alert("请完整填写表单信息");
        return;
      }
      if ($scope.form.content.length > 1500) {
        $scope.alert("内容不能超过1500字！");
        return;
      } */
      var file = $('#localPhotoFile').val() || ($scope.cameraFile && $scope.cameraFile.name) || '';
      $scope.fileType = thisfileType(file);
      if (!$scope.fileType == 'error') {
        return;
      }
      $scope.$emit('loading', 'show');
      /* 拍摄上传 */
      if ($scope.cameraFile) {
        var file = $scope.cameraFile;
        var params = {};
        params.httpPath = $scope.httpPath;
        params.type = $scope.fileType;
        params.maxWidth = $scope.maxWidth;
        var ft = new FileTransfer();
        var options = new FileUploadOptions();
        options.fileKey = "file";
        options.mimeType = "multipart/form-data";
        options.fileName = file.name;
        options.params = params;
        //传输进度  
        ft.onprogress = function (progressEvent) {
        };
        ft.upload(file.fullPath, urlMap.fileUpload,
          function (res) {
            $scope.$emit('loading', 'hide');
            if (res.response) res = JSON.parse(res.response)
            var imgUrl = res.imgUrl || res.vioUrl;
            if (imgUrl) {
              $scope.postReport(imgUrl)
            } else {
              $scope.alert("文件上传失败，请联系客服人员！");
            }
          },
          function (error) {
            if (error.http_status == 413) { $scope.alert("文件体积过大, 上传失败!"); return }
            $scope.alert("媒体上传失败，请联系客服人员！");
          },
          options);
        return;
      }
      /* 没有附件 */
      if (!$scope.fileType) {
        $scope.postReport();
        return
      }
      /* 本地文件上传 */
      $timeout(function () {
        $("#files").ajaxSubmit({
          url: urlMap.fileUpload,
          type: "post",
          dataType: "json",
          success: function (res) {
            var imgUrl = res.imgUrl || res.vioUrl;
            if (imgUrl) {
              $scope.postReport(imgUrl)
            } else {
              $scope.alert("文件上传失败，请联系客服人员！");
            }
          },
          error: function (xhr) {
            $scope.$emit('loading', 'hide');
            $scope.alert("媒体上传失败，请联系客服人员！");
          },
          beforeSerialize: function () {
          },
          beforeSend: function () {
            //$("#progressNumber").html('0%');
          },
          uploadProgress: function (event, position, total, percentComplete) {
            $scope.removeFile();
          }
        });
      })
    }
    /***
     * zhzzDispatchAdmin
     */
    $scope.postReport = function (fileStr) {
      var data = $scope.form;
      data.imgUrl = fileStr;
      data.fileType = $scope.fileType;
      data.regionId = $scope.userRegion.id;
      data.userId = $scope.user && $scope.user.id;
      data.menuId = 0;
      appService.postData(urlMap.zhzzDispatch, data,
        function (results) {
          $scope.$emit('loading', 'hide');
          if (results.code != 200)
            $scope.alert("提交出错，请联系客服人员！");
          else
            $scope.alert("信息提交成功！", true, function () {
              // $scope.setForm(false)
              $scope.form = {}
              $scope.removeFile()
              $scope.serviceType.value = '请选择';
              $scope.ministryType.value = '请选择';
              $('#localPhotoFile').val('');
            });
        })
    }
  }
]);
