
appModule.controller('zhzzHomeController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$ionicScrollDelegate',
  function ($scope, $rootScope, $state, appService, $timeout, $ionicScrollDelegate) {
    // console.log('首页');
    /* data */
    $scope.stateName = $state.current.name;
    $scope.bannerArray;
    $scope.noticeArray;
    $scope.dynamicList;
    $scope.partyList;
    $scope.serviceArticleArray;
    $scope.domore;
    $scope.areaId;
    /*** 
     * life cycle 
     * */
    $scope.$on('$ionicView.beforeEnter', function () {
    });
    $scope.$on('changeRegion', function (e, district) {
      if ($scope.areaId != district.id) {
        $scope.district = district;
      }
      $scope.areaId = district.id;
    });
    $scope.$on('isOpen', function (e) {
      $scope.init();
    });
    /***
     * method 
     * */
    $scope.init = function () {
      if(!$scope.serviceArticleArray) $scope.getHomeArticles(0);
    }
    $scope.getHomeArticles = function (page) {
      if (page == 0) { //页面刷新时为0,下拉刷新时为1
        $scope.pageNext = 0;
      }
      $scope.$emit('loading', 'show');
      var data = {
        regionId: $scope.district.id,
        productId: 1,
        state: 1,
        mid: 1,
        page: page
      }
      appService.getData(urlMap.ArtLast, data,
        function (results) {
          $scope.$emit('loading', 'hide');
          // $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
          $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
          console.log(page, '服务:', results.data);
          if (page == 0) {
            $scope.serviceArticleArray = null;
          }
          var list = results.data,
            length = list.length,
            size = results.size,
            articles = $scope.serviceArticleArray || [];
          if (length < size) $scope.domore = false;
          else {
            $timeout(function () {
              $scope.domore = true
            }, 200)
          }
          if (length > 0) {
            for (var i = 0; i < length; i++) {
              var item = list[i],
                article = item;
              // article.thumbnail = 
              articles.push(article);
            }
          }
          $scope.serviceArticleArray = articles;
        });
    }
    $scope.onInfinite = function () {
      $scope.getHomeArticles(++$scope.pageNext);
    }
    $scope.getArticleDetail = function (id) {
      $state.go('zhzzArticleDetail', { id: id, shareFlag: 15, queryUrl: 'comArts' })
    }
  }
]);
