appModule.controller('zhzzMastController', ['$scope', '$rootScope', '$state', 'appService', '$timeout', '$stateParams', '$ionicScrollDelegate', '$document', '$ionicHistory', function ($scope, $rootScope, $state, appService, $timeout, $stateParams, $ionicScrollDelegate, $document, $ionicHistory) {
  $rootScope.themeNav = '';
  $scope.stateName = $state.current.name;
  $scope.regionCode = $stateParams.regionCode || $scope.publicCityId
  $scope.regionName = $stateParams.regionName || $scope.publicCityName
  $scope.communityList = $stateParams.communityList;
  $scope.districtForFuncList;//缓存当前定位
  $scope.paramsActiveNavRootIndex = $stateParams.activeNavRootIndex; //活动一级菜单index(父)
  $scope.activeNav2Index; //活动二级菜单index
  $scope.activeNav3Index; //活动三级菜单index
  $scope.navLevel2 = []; //二级菜单数组
  $scope.navLevel3 = []; //三级菜单数组
  $scope.activeNav2Obj; //活动二级菜单对象
  $scope.activeNav3Obj; //活动三级菜单对象
  var delegateDivisionCommunityList = $ionicScrollDelegate.$getByHandle('divisionCommunityListScroll');
  $scope.init = function () {
    $scope.navLevel2 = [];
    $scope.navLevel3 = [];
    $scope.queryIndex = 'reset';
    $scope.activeNav2Index = 'reset';
    $scope.activeNav3Index = 'reset';
    $scope.allArrays = {};
  }
  $scope.$on('$ionicView.beforeEnter', function () {
    console.log('go state');
    if ($scope.backState) { $state.go($scope.backState); $scope.queryIndex = -1; }
    $scope.backState = null;
  });
  $scope.$on('$ionicView.beforeLeave', function () {
    // console.log($ionicHistory);
  });
  $scope.$watch('districtForFuncList', function (n, o) {
    if (!n) return;
    console.log('更换社区:', n);
    var activeNavRootIndex = $scope.activeNavRootIndex;
    $scope.activeNavRootIndex = 'reset';
    if (n.level != 4 && $scope.district.level == 4) {
      $scope.queryNavRoot(function () {
        if (activeNavRootIndex > 0) $timeout(function () {
          $scope.activeNavRootIndex = activeNavRootIndex;
          //搜索模块滚动到对应锚点
          var hash = 'communityId' + n.id, elm = hash && $document[0].getElementById(hash),
            scrollLeft = elm.offsetLeft - (elm.offsetParent.offsetWidth / 2 - elm.offsetWidth / 2);
          delegateDivisionCommunityList && delegateDivisionCommunityList.scrollTo(scrollLeft, null, true);
        }, 100)
      });
      // $scope.chooseCommunity = true;
    }
  }, true);
  $scope.$watch('activeNavRootIndex', function (n, o) {
    if (!(n > -1)) return;
    $scope.init();
    var nav = $scope.navRoot, index = n;
    var thisLevel = $scope.districtForFuncList.level;
    $scope.activeNavRootObj = nav[index]; //更新活动一级菜单对象
    console.log('切换root导航', $scope.activeNavRootObj.name);
    // $scope.showCommunityFuncList = (index > 0 && $scope.district.level < 5) ? true : false;
    // if ( thisLevel != 4) 
    $scope.queryNavlevel2($scope.activeNavRootObj.id);
    /* else {
      $scope.queryNavRootIndex = n + 1;
      $state.go('zhzz.articleListLevel4');
    } */
  }, true);
  $scope.$watch('activeNav2Index', function (n, o) {
    if (!(n > -2)) return;
    $scope.activeNav2Obj = $scope.navLevel2 && $scope.navLevel2[n];
    $scope.navLevel3 = [];
    $scope.activeNav3Index = 'reset';
    $scope.activeNav3Obj = null;
    var style = $scope.activeNav2Obj && $scope.activeNav2Obj.style;
    switch (style) {
      case 2: //一键举报
        $state.go('zhzz.report');
        break;
      case 3: //意见反馈/我要上报
        $state.go('zhzz.dispatch');
        break;
      case 4: //铁路联防
        $state.go('zhzz.railway');
        break;
      case 5: //光荣榜
        $state.go('zhzz.glory');
        break;
      default:
        $state.go('zhzz.funcList');
        if (!$scope.activeNav2Obj || !$scope.activeNav2Obj.hasSubMenu) {
          $scope.queryIndex = n;
          return
        }
        $scope.queryNavlevel3();
    }

  });
  $scope.$watch('activeNav3Index', function (n, o) {
    $scope.activeNav3Obj = $scope.navLevel3 && $scope.navLevel3[n];
    if (n == 'reset' || !(n > -1)) {
      return;
    };
    $timeout(function () {
      $scope.queryIndex = $scope.activeNav2Index;
    })
  });
  $scope.queryNavlevel2 = function (id) {
    $scope.navLevel2 = [];
    if (!$scope.activeNavRootObj.hasSubMenu && !id) {
      $scope.activeNav2Index = -1;
      return
    };
    var results = $rootScope.zhzzCache[$scope.districtForFuncList.id][$scope.activeNavRootIndex];
    console.log('更新二级菜单: ', results);
    var list = results && results.children, length = list.length;
    for (var i = 0; i < length; i++) {
      $scope.navLevel2.push({
        id: list[i].id,
        name: list[i].name,
        hasSubMenu: list[i].children && list[i].children.length,
        iconName: list[i].iconName,
        style: list[i].tid
      });
      $scope.allArrays['tab' + i] = null;
    }
    $timeout(function () {
      if (length > 0) $scope.activeNav2Index = 0;
    })
    // });
  }
  $scope.queryNavlevel3 = function (id) {
    var results = $rootScope.zhzzCache[$scope.districtForFuncList.id][$scope.activeNavRootIndex].children[$scope.activeNav2Index];
    console.log('更新三级菜单: ', results);
    var list = results && results.children, length = list.length;
    for (var i = 0; i < length; i++) {
      $scope.navLevel3.push({
        id: list[i].id,
        name: list[i].name,
        hasSubMenu: list[i].children && list[i].children.length,
        iconName: list[i].iconName
      });
      $scope.allArrays['tab' + i] = null;
    }
    $timeout(function () {
      if (length > 0) $scope.activeNav3Index = 0;
    })
    // });
  }
  /* 选择社区 */
  $scope.selectCommunity = function (item) {
    $scope.districtForFuncList = item;
  }
  $scope.changeNavLevel2 = function (i, item) {
    $scope.activeNav2Index = i;
    $scope.queryIndex = 'reset';
  }
  $scope.changeNavLevel3 = function (i) {
    $scope.queryIndex = 'reset';
    $scope.activeNav3Index = i;
  }
}]);
